Welcome

Camtasia Studio Getting Started Guide

Thank you for choosing Camtasia Studio. Only Camtasia Studio offers exact video renderings of desktop activity and superior file compression in industry standard formats.

Camtasia Studio is perfect for:

  • Producing Web Site Content
    Create a video of an application and publish it on the Web with Flash.
  • Training, Education, and Distance Learning
    Capture, share and manage knowledge. Make and share how-to videos.
  • Help Desk, Online Help, Help Systems
    Handle error recording and reporting.
  • Desktop Monitoring
    Monitor desktop activities, process control and live content.
  • Video and Voice Annotation
    Annotate documents with voice and video for applications like CAD designs, medical images and Web sites.
  • Documentation
    Preserve and archive desktop activities.
  • Conferencing
    Record, share and archive conference content.
  • CAD and Simulation
    Record and share animation, CAD designs, and annotation.

We hope you enjoy Camtasia Studio.

www.techsmith.com


Installing Camtasia Studio

Installing Camtasia Studio is easy to do. Simply follow the instructions on the Install Wizard screens. Usually, accepting all default settings will work best for you.

System Requirements

To run Camtasia Studio, your system must meet these specifications:

  • Windows 2000 or XP
  • Microsoft DirectX 8.1 or later
  • 500 MHz processor (1 GHz recommended)
  • 64 MB RAM (128 MB recommended)
  • Windows compatible sound card, microphone and speakers (recommended)
  • 30 MB of hard drive space for program installation

Installing Camtasia Studio from CD-ROM
  1. Start Windows.
  2. Insert the Camtasia Studio CD-ROM into the CD-ROM drive. Camtasia Studio setup will automatically start when you close the drive.
  3. Simply follow the install prompts using the default options if desired.
  4. Once the install program has run, restart Windows before using the Camtasia Studio application.

Note: If the setup program does not automatically start, perform the following steps:
1. Find the program names Setup.exe on the CD. Double-click it. Camtasia Studio setup starts.
2. Follow the setup wizard's instructions for installing the program.
3. Once the install program has run, restart Windows before using the Camtasia Studio application.

Installing an Evaluation Copy of Camtasia Studio from the TechSmith Web Site

You can download an evaluation copy of Camtasia Studio or purchase additional copies of Camtasia Studio from the TechSmith Web site.

Go to http://www.techsmith.com/products/studio/default.asp and follow the directions for downloading a copy of the software. It's quick and easy.


Camtasia Studio Quick Start Videos

We invite you to view the Quick Start videos. By watching just a few short videos, you'll quickly get an overview of how to use. Click on the Web links below to get started.

If you installed from a CD-ROM, you can access these videos by selecting Help > Tour in the main menu.

Click here to go to the Quick Start Videos


10 Minutes to your First Camtasia Studio Video

In this chapter, we will take you through a quick-start, tutorial approach to getting you up and running quickly with Camtasia Studio using the Start a new project by recording the screen option found in the Welcome screen. Completing this tutorial should take you ten minutes or less.

Within this brief tutorial, the following topics will be covered.

  • Making a recording.
  • Editing your video using the cut and split options.
  • Adding a transition to your video.
  • Producing the final video.

Step 1. Making a Recording

The first step in creating a Camtasia Studio project is to record your screen. Camtasia Studio automatically records all the dynamic activity on your PC screen, including:

  • Mouse movement
  • Text entry
  • Scrolling windows
  • Animation and video
  • Pop-up windows
  • Animated CAD designs

So... let's make a recording. This process will use the Recording Wizard to assist you in making your recording options selections.

  1. To begin, choose Start > Programs > Camtasia Studio. When the Welcome screen displays, choose the Start a new project by recording the screen option.
  2. The New Recording Wizard displays. Choose the Region of the Screen option. Choose Next.
  3. Click on the Select Region button [image]. Your cursor will turn into a crosshair. Drag the crosshair to select the region of the screen to record. Release after selection has been made. Choose Next.
  4. At this time, take a moment to get familiar with the record options. For now, you will use just two of the options: Record and Stop.
  5. Enable the Disable display acceleration during capture option. This will give you the best recording results. When you choose this option, a tip will display. Read the tip about Hardware Acceleration and then choose OK.
  6. Once you are ready to record, choose Finish. The wizard will minimize.
  7. Once the wizard minimizes, you are ready to begin recording. Press the Record button [image].

Important Note:
Once you click record, your screen will momentarily go black. This is normal and expected.
Perform some on screen activity such as opening and closing a dialog box or typing in a Word document. Record for about one minute and then choose the Stop button [image] on the toolbar.

Note: If Camtasia Recorder has minimized during recording, double-click on the flashing Recorder icon in the system task bar to bring it back up so you can click the Stop button [image].

  1. You will now be prompted to save your video. Enter the name of this video in the field that is provided. Search and select a folder in which to store this movie. Choose Save.
  2. The video will now be displayed within the Clip Bin and is ready to be edited.

Step 2. Getting your Video Ready for Editing

Editing allows you to trim out the pieces of the video that you don't want. It also allows you to split your video into two or more pieces, making it easy to insert Transitions or graphics between scenes.

The first thing that you will need to do is drag your video and drop it on the Timeline. Editing can only be done to clips that are on the Timeline.

Once the clip is on the Timeline, you will see that the video displays within the Preview Area of the screen.

Step 3. Making a Cut

Use the Cut option to remove unwanted portions of your video.

  1. Using the scrubber control found in the Preview Area's controls, move to the general place within the video that you would like to remove.

    Use the Play button [image] and/or other Playback Controls to move to the beginning of the exact place where you would like to make your cut. If necessary, zoom in on the Timeline to get a closer view. When you come to the right spot, click on the Pause button [image].
  2. Click and drag the seek bar on the Timeline to make a selection for cutting.
  3. Once the selection has been made, click on the Cut Selection button [image]. The selection will be deleted. Continue making as many cuts as desired.

Step 4. Splitting your Video

You will use the Split Movie option to split your video clip into two pieces.

  1. Place the seek bar in the location where the split is to occur.
  2. Click on the Split Video button [image]. The movie is split into two pieces. At this time, both pieces are placed on the Timeline or the Storyboard.

Step 5. Add a Transition

Transitions allow you to set special entry effects that will smoothly transition one clip to another in your produced video.

  1. Within the Task List, click on Transitions. You will be taken to the Storyboard view.
  2. The Transition Effects display. Double-click on a transition effect to see how the transition will work.
  3. Drag the Transition onto the Storyboard to the area between the two video clips.
  4. When you are done adding Transitions, choose Finished to return to the main screen.

Step 6. Save your Project

At this time, it would be a good idea to save your project. Saving the project allows you to come back to this video and continue working on it at a later time.

  1. Click on the Save button [image] on the toolbar.
  2. Browse and select the folder where you would like to store this project.
  3. In the File Name field, give this project a name.
  4. Choose Save.

Step 7. Produce the Final Product

Up until now, we have been working with a project file. Until you produce your video, you do not have a video file that can be played in a player.

  1. To produce your video as an AVI file, choose File > Produce Video As. The Production Wizard displays.
  2. Within the wizard, we will accept all of the defaults for the production options. So, choose Next at the next three screens.
  3. In the Video Information screen enter a title and any other information that you would like for this video. Choose Next.
  4. In the Produce Video screen, within the Destination Folder field, browse and select the folder where you would like to store this video.
  5. In the File Name field, give this project a name.
  6. Choose Finish. The Rendering Storyboard status dialog box displays showing you the progress of the production. Once the production is complete, your video will playback for your review.

That's it. You've just created your first Camtasia Studio video.


Getting Familiar With Studio's Easy-to-Use Interface

The Camtasia Studio screen has a very intuitive, easy-to-use interface consisting of two different views; the Storyboard view and the Timeline view. When you first begin to work within Camtasia Studio, you will be in Timeline view. However, each of these views is important in regards to the different type of work that is done in each view.

In the Timeline view, the Timeline is prominently displayed at the bottom of the screen. In the Storyboard view, the Storyboard is prominently displayed at the bottom of the screen. Each clip that you want to include in your finished video will need to be placed on the Timeline or Storyboard.

On the Timeline / Storyboard toolbar, there is a button that toggles between these views. At anytime, you can click on this toggle button to move between the Timeline and Storyboard views.

Additionally, there are several different components that reside within the main views, components such as the Task List, Task Area, Preview Area, etc. Each is explained in detail within this chapter.

Before you begin to use Camtasia Studio, it will be helpful for you to take a few minutes to familiarize yourself with the main screen views and the components contained therein.

See the following topics;

Timeline View

Storyboard View

Task List and the Task Area

Preview Area


Timeline View

Camtasia Studio uses a Timeline to assemble videos that you may have made using Camtasia Recorder or from some other source as well as other forms of media such as still images. Collectively, the items placed on the Timeline are called clips.

Once clips are on the Timeline, you can:

  • Adjust their timing or position.
  • Edit them by clipping or splitting.
  • Add Transitions between clips.
  • Modify the audio, and much more.

Overall, the Timeline view is the primary working view. Most of your editing work will be done in this view and in order to use the editing tools, you must be in Timeline view.


Storyboard View

In the Storyboard view, the Storyboard is prominently displayed at the bottom of the screen. And, just as with the Timeline, Camtasia Studio uses the Storyboard to assemble videos that you may have made using Camtasia Recorder or from some other source, as well as other forms of media such as still images. Collectively, the items placed on the Storyboard are called clips.

Overall, the Storyboard view is primarily used by those who wish to use unedited clips when creating a produced video. When creating a video using unedited clips, simply drag the desired clips from the Clip Bin to the Storyboard in the desired order, add Transitions if desired, and then Produce your video.

It is important to note that you cannot edit your clips while in Storyboard view. You must be in Timeline view in order to edit your clips in any way.


Task List and the Task Area

Camtasia Studio has a Task List and an area where task screens are displayed called a Task Area.

The Task List is used for:

  • Selecting specific tasks or processes to begin.
  • Locating and adding clips to the Clip Bin.
  • Getting help on some of the most commonly used aspects of Camtasia Studio.

The Task Area is used to:

  • Add, store, and preview your clips.
  • Drag clips to the Timeline or Storyboard for placement within the video.
  • Select options relating to the task that has been selected in the Task List.


Preview Area

The Preview Area is a very important and integral part of the Camtasia Studio screen. As clips are placed within the Clip Bin, they can be previewed within the Preview Area before they are placed on the Timeline or Storyboard.

Additionally, as you move throughout your video on the Timeline, the Preview Area will keep pace with the seek bar, allowing the current frame to always be displayed.

Use the Playback Control toolbar to move throughout your clips in the Clip Bin or the video on the Timeline or Storyboard.

Playback Control Toolbar Description Table

The following table describes each of the options found on the Playback Controls toolbar along with its use.

Button
Tool Name
Description
Use
Play
Begins playing the video. When the video begins to play, this option toggles to Pause which will pause the video
Click on the Play button.
Pause
Pauses video.
Click on the Pause button.
Stop
Stops the video from playing.
Click on the Stop button to stop the clip or video. When stopped, it will rewind to the beginning.
Previous Clip
Moves the seek bar to the beginning of the previous clip on the Timeline.
Click on the Previous Clip button
Step Backward
Rewinds the video frame by frame.
Click on the Step Backward button.
Step Forward
Forwards the video frame by frame.
Click on the Step Forward button.
Next Clip
Moves the seek bar to the beginning of the next clip on the Timeline.
Click on the End button.
Time Status Bar
Indicates the position of the seek bar within the overall video on the Timeline.
This is a read only field that changes as the seek bar moves through the clip or the video.
Seek Bar
Indicates the playback progress of the video.
Drag the bar to any desired place in the video.
Drag the seek bar to the desired place in the video. As the seek bar is dragged, the clip or video will play.


Recording the Screen with the New Recording Wizard

The New Recording Wizard allows you to create a new recording from "scratch" using an easy-to-use wizard that walks you through choosing all of your capture settings.

Accessing the New Recording Wizard

To access the New Recording Wizard, do any of the following:

  1. When you startup Camtasia Studio, you will be see the Welcome screen. Make sure the Start a new project by recording the screen option is enabled. Choose OK.
  2. From within Camtasia Studio, click on the Record the screen link [image] in the Task List.
  3. From within Camtasia Studio, choose File > Record the screen.

Step 1. Screen Recording Setup

Within this screen, select the portion of the screen that you would like to record. Also, choose whether or not you would like to record audio whole you are recording the screen.

Once you have made your selections, choose Next.

Step 2. Select Screen Region -OR- Specific Window

Note: This option will only display if Region of the screen or Specific Window was selected in the first page of this wizard.

If you chose to record Region of the screen, you will now need to define the area to be recorded.

  • Click on the Select Region button. Your cursor will turn into a crosshair.
  • Use that crosshair to drag a region on the screen.
  • Release the mouse button to complete your selection.
  • Your selection will be updated into the coordinates fields on this screen. If you are not happy with your selection, simply redo it by choosing the Select Region button once again and dragging a new selection.

When you are happy with you selection, choose Next.

If you chose to record Specific Window, you will now need to define the area to be recorded.

  • Click on the Select Window button.
  • As you move the cursor around the screen, you will see highlighted areas that are available for selection. When you come the area that you want to record, click with the mouse.
  • Your selection will be updated into the coordinates fields on this screen. If you are not happy with your selection, simply redo it by choosing the Select Window button once again and dragging a new selection.

Step 3. Choose Audio Settings

Note: This option will only display if Record Audio was selected in the first page of this wizard.

If you chose to record audio while recording the screen, you will now need to set up your audio settings.

  • In the Audio device field, make sure your device is selected.
  • In the Audio Input source field, make sure the correct source is selected.
  • At this time, you should see that the audio source is live by the activity within the Input Level gage. If you do not see any activity, try selecting another Input source.

When you have the correct audio options selected, choose Next.

Step 4. Choose Finish to Begin Recording

At this time, using the wizard screen, take a moment to review the buttons that you will use to control the recording.

  • Choose whether or not you would like to enabled the Disable display acceleration during capture option. Disabling hardware display acceleration on Windows 2000 or later can dramatically increase frame rates and/or reduce system load during recording.
    Note: When display acceleration is disabled, your screen will momentarily blank at the start and end of recording. This is normal.
  • If you would like to review the video after recording, make sure the After save, play the video option is enabled.
  • If you would like this video to be added to the Camtasia Studio Clip Bin so you can edit it, make sure the After save, edit the video option is enabled.

  1. When you are ready to record, click on the Finish button. The recorder will display.
  2. Click on the Record button [image] to begin.
  3. Click on the Stop button [image] to end your recording. The Save Movie File As dialog box displays.
  4. Browse and select the folder you want to save this recording to.
  5. Enter a name for this video in the File name field.
  6. Choose Save.


Import Options

The Import options allow you to import media files into the Camtasia Studio Clip Bin. Once a file is in the Clip Bin, it is called a clip.

  • To preview a clip, double-click on it.
  • To add a clip to the Timeline or Storyboard, simply drag it and drop it in the desired location.

Note: When importing media files, within the Open dialog box, you have the ability to change the existing option within the Files of type field to All media files. This will allow you to import all kinds of media at once, rather than by one type at a time.

Import Video

To import video files, click on the Import Video link within the Task List. The Open dialog box displays. Browse and select the desired video files. Choose Open. The files will now be in the Clip Bin.

Import Audio

To import audio files, click on the Import Audio link within the Task List. The Open dialog box displays. Browse and select the desired audio files. Choose Open. The files will now be in the Clip Bin.

Import Images

To import image files, click on the Import Image link within the Task List. The Open dialog box displays. Browse and select the desired image files. Choose Open. The files will now be in the Clip Bin.


Edit Options

The Edit options, found within the Task List, are used to modify your new recording or existing video file.

Each of the Edit options is described in detail in the following sections.

Voice Narration
Edit Audio
Transitions
Callouts
Flash Hot Spots
Zoom-n-Pan


Voice Narration

Voice Narration is used to insert narration into your video using the playback of the clips on the Timeline as your guide. When using the Voice Narration options, the video will play along while you are recording.

Once the recording of the narration is complete, the audio clip that you have created will be inserted into the Timeline at the correct position to correspond to the clip or clips that you were narrating.

Typically, if you want to narrate your entire video, it is best to wait and do your narration last, after all of your clips have been added and edited.

Note: It is necessary that you have a working microphone set up before you can record your voice narration.

Fast Facts about Voice Narration
  • This option is only available while in Timeline view.
  • Once your voice narration is created, you will save that audio as a separate track that can be fine tuned for sound or edited at a later time using the Edit Audio option within Camtasia Studio.
  • As you record your narration, the video will play along in the Preview Area, ensuring perfect synchronization between voice and playback.

Before you Record - 2 Tips for Successful Voice Recording
1. During recording, it is best to read with an unhurried, natural, and steady voice.
2. While you are recording, the volume sensor will display a colored spectrum of your voice. It is best to record at a steady level where the level is somewhere near the middle and where all colors show across the spectrum.

Adding Voice Narration

To add Voice Narration, click on the Voice Narration link in the Task List or choose Edit > Voice Narration.

The Voice Narration options screen displays.

Voice Narration Options Description Table

The following table describes each of the options found in the Voice Narration screen along with its use.

Option
Description
Use
Start Recording
Begin the voice narration recording process.
Click on the Start Recording button. The video will begin to play. Being speaking into the microphone.
Stop Recording
Ends the voice narration process.
Click on the Stop Recording button.
Stop recording at end of clip
Automatically ends the recording process when the seek bar comes to the end of the current clip.
Make sure this option is enabled and then click on the Start Recording button.
Mute speakers during recording
This option will mute the speakers as you record. This is an important option to consider since the clip that you are recording voice narration for might already have audio. If the audio is playing while you are recording, then the microphone will pick up that sound as well.
Make sure this option is enabled and then click on the Start Recording button.
Audio device
Allows you to choose the correct audio device.
Choose correct device from the dropdown menu.
Audio input source
Allows you to choose the type of device that will be used to record audio.
Choose correct device from the dropdown menu.
Input level
Allows you to control the level of sound during recording.
Raise the bar to increase the input level. Lower the bar to decrease the input level.
Finished
Saves your changes and exits back to the main screen.
Once you have finished recording your voice narration, click on Finished.
You will be prompted to save your audio file.
Browse and select the folder you want to save this recording to. Enter a name for this video in the File name field. Choose Save.
You will return to the main screen.
Notice that the audio clip that you just created has been added to the Timeline in the Audio 2 track.


Edit Audio

The Edit Audio option allows you to edit existing audio - either from a video clip or a separate audio clip.

To Edit Audio, click on the Edit Audio link in the Task List or choose Edit > Edit Audio. The Edit Audio options screen displays.

At the same time, the Timeline will be visible. You will select the portion of the audio clip that you want to edit directly on the Timeline. For more information on working with clips on the Timeline, see Working with the Timeline.

Edit Audio Options Description Table

The following table describes each of the options found in the Edit Audio screen along with its use.

Option
Description
Use
Select Track(s) to edit
This option allows you to choose which audio track will be edited.
The Audio 1 track is the audio that is embedded in or attached to a video clip on the Timeline.
The Audio 2 track is a stand-alone audio track that may correspond to a video or still image clip but it is not part of that clip.
Choose the desired track to edit. Choose from Audio 1 track, Audio 2 track, or both audio tracks.
Fade In
Fades the audio in at the beginning of the selection.
Make a selection on the Timeline. Click on the Fade In button [image]. The audio will be adjusted to fade in.
Fade Out
Fades the audio out at the end of the selection.
Make a selection on the Timeline. Click on the Fade Out button [image]. The audio will be adjusted to fade in.
Volume Up
Increase the volume level for the selection.
Make a selection on the Timeline. Click on the Volume Up button [image]. The audio will be increased.
Volume Down
Decreases the volume level for the selection.
Make a selection on the Timeline. Click on the Volume Down button [image]. The audio will be decreased.
Replace with silence
Replaces the selection with silence.
Make a selection on the Timeline. Click on the Replace with Silence button [image]. The audio will be replaced with silence.
Delete selected audio
Deletes the selected portion of the audio.
Make a selection on the Timeline. Click on the Delete button [image]. The audio will be removed from the clip.
Cancel
Discards your edits and returns you to the main screen without making any changes to the audio file(s).
Click on the Cancel link.
OK
Saves your edits and returns you to the main screen.
Click on the OK link.


Transitions

The Transitions option allows you to choose and insert Transitions into your video. Transitions are useful for creating a smooth flow between clips on the Timeline or Storyboard.

Fast Facts about using Transitions
  • Transitions can only be placed on the Storyboard.
  • The default duration time for Transitions is three seconds. The duration can be customized using Tools > Options > Transitions.
  • Transitions can only be placed between clips. You cannot begin or end a video with a transition.

To add Transitions, click on the Transitions link in the Task List or choose Edit > Transitions.

You will automatically be taken to Storyboard view and the Transitions options screen displays.

To see how a Transition will look during playback, double-click on it or click on it once to highlight it and then choose the Play button in Playback control.

To insert a Transition between your clips, simply drag it to the desired location.

When you have added all of your Transitions, click on the Finished link. You will exit back to the main screen and will once again be in Timeline view.


Callouts

A Callout is a graphic that you can add to the Timeline so that when the video is produced, the Callout displays within the video. Callouts are used to "call out" or draw attention to an important object or process being shown on the screen. Or, combined with text, they can give additional tutorial or instructional information.

Fast Facts about Callouts
  • This option is only available while in Timeline view.
  • Callouts come in a variety of different shapes and styles.
  • Callouts are totally customizable, allowing you to change the color, font, opacity, size, text, and more.
  • You can create new Callouts by importing your own graphics.
  • Callouts are editable after they have been added to your video.

Working with Callouts

To add a Callout, modify an existing Callout, or delete Callout(s), click on the Callouts link in the Task List or choose Edit > Callouts.

The Callouts option screen displays.

Click on the desired Callout link, choosing from the following options.

Option Link
Description & Use
Add Callout
Click on this link to add a new Callout to your video. You will be taken to the Callout Properties screen. For complete instructions on using each of the Callout options, see the following section entitled Callout Properties Options.
Modify Selected Callout
To modify or edit an existing Callout, first highlight the Callout that you want to edit within the Callout List Box and then click on this link. You will be taken to the Callout Properties screen. For complete instructions on using the Callout options, see the following section entitled Callout Properties Options.
Remove Selected Callout
To remove a particular Callout from the video, first highlight the Callout within the Callout List Box and then click on this link. The Callout will be removed from the list and the Timeline.
Remove all Callouts
To remove all Callouts from the video, click on this link. All of the Callouts will be removed from the list and the Timeline.
Finished
Saves your changes and exits back to the main screen. Once you have finished with your Callouts, click on Finished.


Callout Properties Options

The following table describes each of the options found in the Callout Properties screen along with its use.

Use the options to add a new Callout or to modify an existing Callout.

Option
Description
Use
Callout Type
The Callout Type dropdown menu allows you to choose which kind of Callout you would like to use. Choose from various arrows, bubbles, rectangles and more.
Click on the Callout Type arrow to real the dropdown menu.
Use the mouse to select the desired type.
Once the type has been selected, the available styles will display in thumbnail view underneath the Callout Type field. Use the mouse to select a style. Once selected, the Callout will display in the Preview Area.
Border Color
This option allows you to change the color of the border surrounding the Callout.
Click on the Border Color button to display the palette. Use the mouse to select the desired color. Choose OK. The color will be updated.
Font
Choose the font style.
Choose the font from the dropdown menu.
Font Size
Choose the font size.
Choose the size from the dropdown menu.
Font Attributes
Choose the font attributes such as bold, italic, or underline. Also choose the font color.
Click on the appropriate button.
Font Alignment
Choose the alignment of the font within the Callout. Choose from left, middle, or right justified.
Click on the appropriate button.
Shape Size
Width
Height
X, Y
These fields contain the size and placement coordinates of the Callout.
To size the Callout, in the Properties Area underneath the options, grab a handle on the green box and drag until it is the correct size.
Move the Callout by grabbing the green box and dragging the Callout to a new location.
The Preview Area will continually update as you work.
Keep Aspect Ratio
Allows you to keep the aspect ratio of the Callout as it is sized.
Enable this option to keep the aspect ratio during sizing.
Disable this option to resize the Callout from any direction.
Fade In
This option allows your Callout to gently fade into the video rather than suddenly displaying.
Enable this option to fade the Callout in.
Fade Out
This option allows your Callout to gently fade into the video rather than suddenly disappearing.
Enable this option to fade the Callout out.
Opacity
Determines the opacity level of your Callout.
Slide the bar to increase or decrease the level of opacity.
Cancel
Discards your edits and returns you to the main screen without making any changes to the audio file(s).
Click on the Cancel link.
OK
Saves your edits and returns you to the main screen.
Click on the OK link.


Creating a Custom Callout

You can create you own Callout using exiting BMP, GIF, or JPEG graphic files.

To create a custom Callout, within the Callout Properties screen, click on the Callout Type arrow to reveal the dropdown menu.

Choose the New Callout option. The Custom Callout dialog box displays.

The following table describes each of the options found in the Callout Properties screen along with its use.

Use the options to add a new Callout or to modify an existing Callout.

Option
Description
Use
Graphic File
Allows you to choose the image hat will be used as the new Callout.
Click on the Browse button to browse for and select an image to use.
Once the image is selected, choose Open.
The file path will be updated to the Graphic File field.
Description
Use this field to give this Callout a name.
Backspace out or highlight and overwrite the current name entering a new name.
Text Indent
This determines the margins around the edge of the Callout when text is entered.
Enter the margin in pixels for each side.
Vector Grow Properties
Choose the coordinates that will allow the symmetrical image to grow smoothly as it is resized.
Enter the X Coordinate and Y Coordinate in pixels.
Vector Grow
Allows the graphic to remain smooth and intact while sizing. It does this by taking a vertical line (the X Coordinate), and a horizontal line (the Y-Coordinate) from the image and when you expand the image it makes that line repeat over and over and over to make the image larger.
Because of this type of resizing, there is no loss in image quality.
This option only works if you have a symmetrical graphic.
If you have a symmetrical image, enable this option. The Vector Grow Properties will become enabled.
Add
Adds the new Callout to the Callout Type dropdown box.
Click on the Add button.
Cancel
Discards your edits and returns you to the Callout Properties screen without making any changes.
Click on the Cancel button.
Help
Opens and displays the Camtasia Studio online help.
Click on the Help button.


Removing Custom Callouts

Note: You can only remove Callouts that are not currently in use on the Timeline.

You can delete your Custom Callouts that has been added to the Callout Type dropdown menu.

To remove a custom Callout, within the Callout Properties screen, click on the Callout Type arrow to reveal the dropdown menu. Choose the Remove Custom Callouts option. The Remove Custom Callout dialog box displays.

Select the desired Callout from the list box. A preview will display. If this is the Callout that you want to remove, click on the Remove Selected button.

Choose OK to accept your changes and return to the Callout Properties screen.

Choose Cancel to discard your edits and return to the Callout Properties screen without making any changes.

Choose Help to and display the Camtasia Studio online help.


Flash Hot Spots

Flash Hot Spots allow you to add interactivity to produced Flash SWF movies. Adding interactivity is very nice for making chapters in your video that the viewer can easily jump to. Or, for taking the viewer to a website after they have finished watching the video. Flash Hot Spots work when the viewer clicks directly on the hot spot while watching the video.

Note: Hot Spots are only available for use with SWF output. All other output format cannot use Hot Spots.

Note: This option is only available while in Timeline view.

Fast Facts about Flash Hot Spots
  • You can add as many Flash Hot Spots to a video as desired. However, it is best to wait until you have completed all of your edits before adding your Flash Hot Spots.
  • When the produced video that contains Flash Hot Spots is playing and a Hot Spot is encountered, the video will stop. It is then that the viewer must take some action.
  • Once a Flash Hot Spot is created, you can edit it or delete it.
  • Once a Flash Hot Spot is inserted, it will be displayed on the Timeline on the Hot Spots track.

Adding a Flash Hot Spot

To add a Flash Hot Spot, click on the Flash Hot Spots link in the Task List or choose Edit > Flash Hot Spots. The Flash Hot Spots dialog box displays. Use these options to both add a new Hot Spot or to modify an existing Hot Spot.

The following table describes each of the options found in the Flash Hot Spots screen along with its use.

Option
Description
Use
Add Hot Spot
Add a new Hot Spot to the video.
Click on the Add Hot spot link. The Hot Spot will display in the Properties Area below the options. The Hot Spot will also display in the Preview Area.
To size the Hot Spot, in the Properties Area underneath the options, grab a handle on the red box and drag until it is the correct size.
Move the Hot Spot by grabbing the red box and dragging the Hot Spot to a new location.
The Preview Area will continually update as you work.
Important Note: To add a new Hot Spot, first click on the Add Hot Spot link. Then, move to the place in the video where you would like the Hot Spot to be located.
Remove Hot Spot
Removes the highlighted Hot Spot from the video.
To remove a particular Hot Spot from the video, first highlight the Hot Spot within the Hot Spot List Box and then click on this link. The Hot Spot will be removed from the list and the Timeline.
Remove All Hot Spots
Removes all Hot Spots from the video.
To remove all Hot Spots from the video, click on this link. All of the Hot Spots will be removed from the list and the Timeline.
Click to Continue
Sets the action for the Hot Spot in the produced movie.
This action requires that the viewer click on the Hot Spot on the screen to continue watching the video.
Enable the Click to Continue option.
Goto frame at time
Sets the action for the Hot Spot in the produced movie.
This action requires that the viewer click on the Hot Spot on the screen to move to a specific frame within the video.
Enable the Goto frame at time option.
Enter the frame reference that the viewer will go to when the Hot Spot is clicked on.
Jump to URL
Sets the action for the Hot Spot in the produced movie.
This action requires that the viewer click on the Hot Spot on the screen to jump to a particular URL address.
Enable the Jump to URL option.
Enter the URL that the viewer will go to when the Hot Spot is clicked on.
Finished
Saves your changes and exits back to the main screen.
Once you have finished with your Hot Spots, click on Finished.


Zoom-n-Pan

Zoom-n-Pan effects will allow you to zoom in and out on certain areas of the video, calling attention to and allowing your audience to see important screen movements or actions that they might not see otherwise.

The Zoom-n-Pan option works by inserting key frames that tell Camtasia Studio when to zoom in and when to zoom out. Key frames are simply markers that you place on the desired frames in the video clips. Typically, key frames are used in pairs, one key frame to zoom in and one to zoom back out.

Note: If only one key frame is used and it is set to zoom in, the rest of the video will playback at the key frame's set magnification until the end since there is no key frame giving Camtasia Studio direction to zoom back out.

Fast Facts about Zoom-n-Pan Key Frames
  • This option is only available while in Timeline view.
  • When setting up your key frames, you can choose the location of the magnification, the amount of magnification to apply, and the zoom speed.
  • You can add as many key frames to a video as desired. These do not need to be entered all at once but can be added as you add clips to the Timeline.
  • Once a key frame is created, you can edit it or delete it.
  • If you choose, you can delete all key frames at one time using the Zoom-n-Pan edit options.
  • Once a key frame is inserted, it will be displayed on the Timeline on the Zoom-n-Pan track.

Working with Callouts

To add Zoom-n-Pan key frames, click on the Zoom-n-Pan link in the Task List or choose Edit > Zoom-n-Pan. The Zoom-n-Pan dialog box displays. Use these options to both add a new Zoom-n-Pan key frame or to modify an existing key frame.

Click on the desired Zoom-n-Pan link, choosing from the following options.

Option Link
Description & Use
Add Zoom-n-Pan key frame
Click on this link to add a new Zoom-n-Pan key frame to your video. You will be taken to the Zoom-n-Pan Properties screen. For complete instructions on using each of the Zoom-n-Pan key frame options, see the following section entitled Zoom-n-Pan Properties Options.
Modify Zoom-n-Pan key frame
To modify or edit an existing Zoom-n-Pan key frame, first highlight the Zoom-n-Pan key frame that you want to edit within the Zoom-n-Pan key frame List Box and then click on this link. You will be taken to the Zoom-n-Pan Properties screen. For complete instructions on using the Callout options, see the following section entitled Zoom-n-Pan Properties Options .
Remove Selected Zoom-n-Pan key frame
To remove a particular Zoom-n-Pan key frame from the video, first highlight the Zoom-n-Pan key frame within the Zoom-n-Pan key frame List Box and then click on this link. The Zoom-n-Pan key frame will be removed from the list and the Timeline.
Remove all Zoom-n-Pan key frame
To remove all Zoom-n-Pan key frames from the video, click on this link. All of the Zoom-n-Pan key frames will be removed from the list and the Timeline.
Show zoom rectangles
Enable this option to always view the Zoom-n-Pan key frames in the Preview Area when the video is being played.
Finished
Saves your changes and exits back to the main screen. Once you have finished with your Zoom-n-Pan key frame, click on Finished.


Zoom-n-Pan Properties Options

The following table describes each of the options found in the Zoom-n-Pan key frame Properties screen along with its use.

Use the options to add a new Zoom-n-Pan key frame or to modify an existing Zoom-n-Pan key frame.

Option
Description
Use
Show Entire Video
When this option is enabled and the video is playing, this key frame will "tell" Camtasia Studio to display the entire video.
Enable this option.
Standard Zoom Size
When this option is enabled and the video is playing, this key frame will "tell" Camtasia Studio to zoom in on the area of the video defined by the zoom box. Choose from several predefined zoom boxes.
Enable this option. From the dropdown menu, choose the desired size.
Move the green zoom rectangle to the desired place in the Properties Area below the options.
The Preview Area will continually update as you work.
Custom Zoom Size
When this option is enabled and the video is playing, this key frame will "tell" Camtasia Studio to zoom in on the area of the video that was custom defined.
Enable this option. Either enter the known values in the Width and Height fields or, grab a handle on the green rectangle in the Properties Area and drag to the desired size.
The Preview Area will continually update as you work and the Width and Height fields will also update to match your selection.
Keep Aspect Ratio
Allows you to keep the aspect ratio of the Zoom-n-Pan key frame as it is sized. This prevents the area that is being zoomed-in on from being distorted.
Enable this option to keep the aspect ratio during sizing.
Disable this option to resize the Zoom-n-Pan key frame from any direction.
Position
These fields contain the placement coordinates of the Zoom-n-Pan key frame.
Either enter the known values of the desired position of the Zoom-n-Pan key frame or, within the Properties Area, move the Zoom-n-Pan key frame by grabbing the green box and dragging the Zoom-n-Pan key frame to a new location.
The Preview Area will continually update as you work and the X Coordinate and Y Coordinate fields will also update to match your selection.
Zoom Speed
Allows you to set the speed for the zooming.
Choose either Slow, Fast, or Instant.
Cancel
Discards your edits and returns you to the main screen without making any changes to the audio file(s).
Click on the Cancel link.
OK
Saves your edits and returns you to the main screen.
Click on the OK link.


Produce Options

The Produce options, found within the Task List, are used to produce your new recording in any number of file output types, create menus for your videos, or batch produce your existing video files.

Each of the Produce options is described in detail in the following sections.

Produce Video As
Create CD Menu
Create Web Menu
Batch Production


Produce Video As

The Produce Video As option allows you to produce your video through the use of the Production Wizard.

Within the Production Wizard, choose from several different video file formats to produce with or, setup a Custom Production Profile.

See also:

Producing a Video

Video File Format Options

Custom Production Profile


Create CD Menu

The Create CD option opens Camtasia MenuMaker. Camtasia MenuMaker allows you to create an attractive menu from which to launch your files. With MenuMaker, copies of all of your files are located in one central location making it easy to open and close files or applications. This means no more searching through drives, directories, and folders when giving a presentation or teaching a class. This also allows you to easily create a CD-ROM that will launch with the menu displayed, a perfect way to distribute information to customers, students, workgroups, and more.

You can make your menu from a number of different templates that are included with MenuMaker, templates that are available for download from the Camtasia Studio Web site, or you can make your own customized template. Additionally, you can include all types of files in your menu such as document files, graphic files, multimedia files, etc. The only stipulation for the inclusion of files is that the host application necessary to run the files resides on the PC that is used to launch the files.

See also:

Camtasia MenuMaker


Create Web Menu

The Create Web Menu option opens Camtasia Theater. Camtasia Theater for allows you to easily create an attractive and interactive menu from which to launch your Camtasia Studio-made Flash files.

Camtasia Theater adds DVD-like navigation to your screen videos in Flash format. Using Theater's menu, your users can quickly navigate between multiple movies or view them all in a pre-defined sequence. Theater presentations can be viewed online and on CD-ROM.

See also:

Camtasia Theater


Batch Production

The Batch Production option allows you to batch process multiple Camtasia Studio projects using the Batch Production Wizard. This option is especially helpful for those users who create many projects and would like to batch produce them all at once, maybe even overnight, in order to save time during the work day.

See also:

Batch Production Wizard


Working with the Timeline

A software tutorial or presentation is much more than just plain screen recording - it is a composition in which you are investing a lot of time, effort, and creativity. The Camtasia Studio Timeline plays a very important part in the video production process, making it essential that you become familiar with the different components and workings of the Timeline.

Camtasia Studio uses the Timeline to assemble videos that you may have made using Camtasia Recorder or from some other source as well as other forms of media such as still images and audio files. Collectively, the items placed on the Timeline are called clips. On the Timeline, you will control the timing of each clip, add or remove clips, edit frames, add sound, and much more.

Note: It is important to note that only the clips that are on the Storyboard or Timeline will be included in the production of the video. If you have viewed a clip that is in the Clip Bin in the Preview Area, that file will not be included in the video production unless you drag it to either the Storyboard or Timeline.

The following are some helpful hints and tips for making the best use of the Timeline.

  • The Timeline view is primarily used by those who want to use the advanced editing features for creating a professional-quality produced video. You must be in Timeline view in order to edit your clips in any way.
  • Often, you will find it easier to record a lengthy software session in several short clips and then join them together later. Shorter clips are less prone to mistakes, and are more flexible to handle. For example, you change the order of scenes or insert new clips without having to redo the whole video. And if you discover an error, just change that small clip.
  • The Timeline lets you combine various multimedia elements such as video clips, still images, and audio tracks. You can join these clips in any number and order that you want to.
  • You can save the contents of the Timeline as a Camtasia Studio project file so you can come back and work with the project at a later time.
  • When editing, you can undo/redo the editing until you are completely satisfied with the video.
  • Editing with the Timeline does not affect the original files.
  • To add clips to the Timeline, select a clip in the Clip Bin and drag it onto the Timeline.
  • Insert a new clip by dropping it on the top of the one you would like it to proceed.
  • If you want to show an item more than once, you can repeatedly drag it onto the Timeline from the Clip Bin.

Getting Familiar with the Timeline Components

Below, you will find an overview of the different components of the Timeline.

When Camtasia Studio is opened and the Timeline is first viewed, it will be empty. After loading a clip from the Clip Bin into the Timeline, the Timeline changes to reflect the appearance of the clip.

In this example, we are using a video clip. Note that the first frame of the video will display as an icon in the lower left hand corner. If the clip has audio, then the audio track will also be populated with a waveform. Additionally, the time indicated on the Timeline will change to fit the clip length in seconds.

Adding Clips to the Timeline

To add clips to the Timeline, within the Task List, click on the desired Import option to select the type of clip you would like to add. Choose from the following options. The Open dialog box displays. Browse and find the folder containing the desired file(s). Files within the folder that can be used as clips will display in the Browse Window. Once you have selected your file(s), choose Open. The clips will be displayed within the Clip Bin and are ready to be used in your video production.

To add a clip to the Timeline, simply drag the desired clip to the Timeline and drop it there. You can add as many clips as desired to the Timeline. You can also add repeated instances of a clip to the Timeline.

A Closer Look at the Elements on the Timeline

Once you begin to add clips and annotations of different kinds to the Timeline, the Timeline will be updated to include a pictorial representation of these elements.

The following graphic shows you what a typical Timeline might look like once you begin to add items and make edits to the video clips.

  • The Tracks option on the Timeline allows you to turn certain tracks on or off. Turning a track off will not eliminate the element or clip, it will simply hide the track from view. To turn a track on or off, click on the Tracks button. Choose the desired track from the dropdown menu.
  • You can manually resize the Timeline. To resize, click and drag a portion of the uppermost part of the Timeline. Drag to the desired size and then release the mouse.
  • Double-click on a Hot Spot or Callout on the Timeline to go right to their editing options.

The Timeline Editing Toolbar

The following table describes each of the tools located on the Editing toolbar along with its description and use.

Note: When making cuts to the video using these tools, you are not cutting the actual video file. Making cuts to a video inside of Camtasia Studio is a nondestructive process, in that the original source file is not altered in any way.

Button
Tool Name
Description
Use
Zoom In
Zooms in on the Timeline showing a closer look at the video.
Click on the Zoom In button to zoom in on the Timeline.
Zoom Out
Zooms out on the Timeline. When fully zoomed out, the entire video can be seen on the Timeline.
Click on the Zoom Out button to zoom out on the Timeline.
Cut Selection
Deletes the selection from the video.
Select the part of the video to be cut. Click on the Cut Selection button. The selection will be deleted.
When the cut takes place, the Timeline will be updated to reflect the new length and frame information.
Split Video
Splits the video at the point of the selection seek bar.
Place the selection seek bar in the location where the split is to occur.
Click on the Split Video button. The movie is split into two pieces. At this time, both pieces are placed in the Storyboard.
Show Storyboard
Shows the Storyboard view.
This is a toggle button. When in Timeline view, it will display the Show Storyboard button. Click to move to Storyboard view.
Show Timeline
Shows the Timeline view.
This is a toggle button. When in Storyboard view, it will display the Show Timeline button. Click to move to Timeline view.
Time Increments
Displays the time on the Timeline in various increments depending upon the zoom level.
As the Zoom In and Zoom Out buttons are used, the Timeline will reflect the new time increments.
This is read-only information.
Selection Seek Bar
Indicates the playback progress of the video.
Drag the bar to any desired place in the video.
Drag the seek bar to the desired place in the video. As the seek bar is dragged, the video will play.

Searching the Video using the Timeline

Searching for specific frames to edit within the video can be done several ways:

  • Click at any video location on the Timeline to display the selection seek bar as seen in the graphic below. The frame's time reference will be displayed as a tool tip as well.

    As you click on the Timeline, the Preview Area will be updated with the selected frame.
  • Play the video in the Preview Area using the Play button [image] on the Playback Controls toolbar. Click on the Pause button [image] to pause the video at the appropriate frame. The Timeline will be updated with the current setting.
  • Click on the "scrubber" bar within the Preview Area and drag to a particular location in the video. Both the Preview Area and the Timeline will be updated with the selected frame.

Defining a Selection for Editing

Click and drag on the Timeline to create a selection for editing. The selection is distinguished by a blue highlight encased within two markers.

Adjusting a Selection

Adjusting the selection can be done in two ways:

  • Move the mouse over one of the ends of the selection until the marker turns red and then click and drag the endpoint to a new location.
  • Use the Zoom In button [image] to zoom in closer on the Timeline and adjust your selection by grabbing a marker and dragging it to the desired location. As you drag, the video will play in the Preview Area.

Cutting a Selection from the Video

Note: When making cuts to the video, you are not cutting the actual video file. Making cuts to a video inside of Camtasia Studio is a nondestructive process, in that the original source file is not altered in any way.

Cutting the selection deletes the selected frames from the video. To make a cut, first select the frames to be cut by clicking and dragging on the Timeline. The selection is distinguished by a blue highlight encased within two markers.

Click on the Cut Selection button [image]. That portion of the video will be removed and the Timeline will be updated to reflect the new length and frame information.

Multiple cuts can be made to a single video. Any playback of the video in the video editor will immediately reflect the cut(s) that were made.

The Undo button [image] and Redo button [image] are located on the Timeline's Editing toolbar to allow accidental cuts to the video to be restored.


Working with the Storyboard

A software tutorial or presentation is much more than just plain screen recording, it is a composition in which you are investing a lot of effort, time, and creativity. Camtasia Studio uses a Storyboard to assemble videos that you may have made using Camtasia Recorder or from some other source as well as other forms of media such as still images. Collectively, the items placed on the Storyboard are called clips.

The Storyboard eases your workload and makes the final video more than just than the sum of its smaller parts. The following are some helpful hints and tips for making the most of the Storyboard.

  • The Storyboard view is primarily used by those who might want to use unedited clips when creating a produced video. When creating a video using unedited clips, you simply drag the desired clips from the Clip Bin to the Storyboard in the desired order, add Transitions if desired, and then Produce your video.
  • It is important to note that you cannot edit your clips while in Storyboard view. You must be in Timeline view in order to edit your clips in any way.
  • On the Storyboard, you can join still images and video clips in any number and order you want to.
  • The Storyboard lets you combine various multimedia elements such as video clips, still images, and transition effects.
  • You can save the contents of the Storyboard as a Camtasia Studio project file so you can come back and work with the Storyboard at a later time.
  • When working with clips on the Storyboard, you can undo/redo the positioning until you are completely satisfied with the video.
  • To rearrange the elements while they are on the Storyboard, select a clip and drag and drop it to the new position.
  • If you want to show an item more than once, you can repeatedly drag it from the Clip Bin onto the Storyboard.

Note: Only the clips that are on the Storyboard or Timeline will be included in the production of the video. If you have viewed a clip that is in the Clip Bin in the Preview Area, that file will not be included in the video production unless you drag it to either the Storyboard or Timeline.


Getting Familiar with the Storyboard Components

Below, you will find an overview of the different components of the Storyboard. After loading a clip from the Clip Bin into the Storyboard, it changes to reflect the appearance of the clip. The first frame of the video and still images will display as a thumbnail image.

On the toolbar, you will see a toggle button [image]. When in Storyboard view, it will display Show Timeline. Click to move to Timeline view.

Note: If the clip has audio, then the audio track will not be seen when in Storyboard view. You must switch to Timeline view in order to see the audio tracks or to edit the video.

Adding Clips to the Storyboard

To add clips to the Storyboard, use the Import options within the Task List to select the type of clip you would like to add. The Open dialog box displays. Browse and find the folder containing the desired file(s). Files within the folder that can be used as clips will display in the Browse window. Once you have selected your file(s), choose Open.

The clips will be displayed within the Clip Bin and are ready to be used in your video production.

To add a clip to the Storyboard, simply drag the desired clip to the Storyboard and drop it there. You can add as many clips as desired. You can also add repeated instances of a clip to the Storyboard.

Searching the Video using the Storyboard

Searching for specific frames to edit within the video can be done several ways.

  • Clicking at any location on the video within the Storyboard displays the selection within the Preview Area.
  • Play the video in the Preview Area using the Play button [image] on the Playback Controls toolbar.
  • Click on the Pause button [image] to pause the video at the appropriate frame.


Camtasia Studio Toolbar & Menu Options

Several of the most-used options have been added to the main toolbar on the Camtasia Studio screen.

Placing these much-used tools on the toolbar allows you to access them more quickly.

To aid in your navigation around the toolbar, each time your cursor touches a button, a tool tip will appear. The tool tip gives you the name of the tool.

Toolbar Description Table

The following table describes each of the tools that can be found on the toolbar along with its use.

Button
Tool Name
Description
Use
New Project
Begins a new Camtasia Studio project.
Click on the New button.
If you are currently working on a project and you have not saved, you will be prompted to do so before the new project is started.
Open Project
Opens an existing project. The Open Project File dialog allows you to browse for the file and select it.
Click on the Open Project button.
Within the Browse dialog box, browse and select the desired project to open. Choose Open.
Save Project
Saves the work you have in the current project, including all effects, Transitions, and project settings.
This option does not create or save an AVI file. This is accomplished with Produce Video.
Click on the Save Project button.
If it is the first time that you have saved the project, you will be prompted to save to a folder with a file name.
Once the project is saved for the first time, you will no longer be prompted to save a location or name.
Import Media Files
Displays the Open dialog box so you can choose the desired media files to import.
Click on the Import Media button.
The Open dialog box will display. Browse and select the desired media files to use in your video production project.
Produce Video As..
Displays the Video Production Wizard which allows you to create your video from your video project.
First, assemble your video using the Timeline or Storyboard. Make any necessary edits. Choose the Produce Video Wizard button. The wizard displays. Choose your production options to create your video.
Undo
Will undo the last action in succession. This is an unlimited undo.
Click on the Undo button.
Redo
Will redo the last action in that was undone. This is an unlimited redo.
Click on the Redo button.
View Task List
Displays or hides the Task List.
Choose the View Task List button to toggle this pane on or off.
Tools
Displays a dropdown menu that allows you to access the other Camtasia Studio applications.
Click on the down arrow to display the dropdown menu. Choose the desired application from the list.
Help
Opens the Camtasia Studio online help.
Click on the Help button.


Camtasia Studio File Menu Options

The File menu options allow you to access the new, open and save project options, the import and batch options as well as many other important functions.

File Options Description Table

The following table describes each of the File options along with its use.

File Option
Description
Use
New Project
Will create a new Camtasia Studio project.
Choose File > New Project.
If a current project is being worked on, you will be prompted to save any changes before it closes and the new, empty project is started.
Open Project
Displays a standard Open dialog box allowing you to open a project file.
Choose File > Open Project.
From within the Open dialog box, browse and select the desired file to be opened. Choose Open.
Note: Project files have a .CAMPROJ extension.
Save Project
Saves the project file. Saving the project allows you to open the project again at a later time.
Choose File > Save Project.
The first time that a project is saved, you will be prompted to Save As. Select the folder to store project in and enter a name for the project. Choose OK.
Save Project As
Saves the project as another name.
Choose File > Save Project As.
Select the folder to store project in and enter a name for the project. Choose OK.
Record the Screen
Opens the New Recording Wizard which allows you to create a new screen recording.
Choose File > Record the Screen. The New Recording Wizard dialog box displays.
Step through the wizard, choosing your options as you go.
Import Media
Displays the Open dialog box, allowing you to choose the media files that you want included in this project.
Choose File > Import Media. The Open dialog box displays.
Browse and select the desired media files and then choose Open.
The clips are displayed in the Clip Bin.
Drag to the Storyboard or Timeline to include in final video.
Produce Video As
Allows you to save your project as a video using different video file formats.
When selected, the Production Wizard will display allowing you to set all parameters necessary to render your video to the desired file format such as SWF, FLV, AVI, RM, GIF, MOV, CAMV, or WMV.
This includes movie window size, compression codecs for audio and video, information such as the title, author, and copyright, and the filename.
Choose File > Produce Video As.
Batch Production
Begins the batch processing process. This option will batch process multiple projects.
This option is especially helpful for those user's who create many projects and would like to batch produce them all at once, maybe even overnight, in order to save time during the work day.
Choose File > Batch Production.
Pack and Show
This option allows you to package your movie for easy one-step distribution to your users. Pack and Show creates a Windows-executable file (.EXE) that users can simply double-click to unpack the file, install the TSCC codec and Camtasia Player (if you have included them) and play the movie.
Note: The TSCC codec is now built into the Camtasia Player. This means that you do not need to install the TSCC codec on the host machine in order to view the video with the TSCC if you are using Player for playback.
You have the options to include the TSCC codec and Camtasia Player in the package, so that they will be automatically installed on the user's computer.
Choose File > Pack and Show.
Save Audio As
You can save an audio track that is embedded in an AVI file as a separate WAV file.
Use this feature to make a backup copy of your audio track, use the sound track in a different application, etc
Choose File > Save Audio As.
To saving your audio track as a .WAV file:
  1. Within Camtasia Studio, import the AVI video clip whose audio track you want to save as a separate file.
  2. Drag the clip to the Timeline.
  3. From the menu bar, choose File > Save Audio.
    Note: The Save Audio option will be grayed out if the video clip you have selected does not have an audio track.
  4. The Save Audio As dialog appears. Select the location where you would like to save your audio track to and then choose a name for your .WAV file.
  5. Click the Save button to save your audio track as a .WAV file.
Save Frame As
Saves the current frame displayed in the video editor as a BMP. Saving a video frame as a still image is particularly helpful when you want to print and share a frame from an AVI video. Maybe there's a scene of a video you want to show a client, or perhaps you want to work on part of an image with a colleague. This way, you can easily show anyone hard copy frames of the video you've created.
On the Timeline, move to the frame you want to save.
  • Select File > Save Frame As. The Save Video Frame As dialog displays.
  • Select the folder and file name to save the graphic file.
  • Choose Save.
Properties
Displays the properties box for the file that is selected in the Clip Bin. The Properties box gives statistical information on the file such as format, file location, file size, etc.
Choose File > Properties.
Recent Projects
Displays a list of the most recently opened projects.
Choose File > Recent Projects. Click on a recent project name to open the project.
Exit
Exits the Camtasia Studio application.
Choose File > Exit.


Camtasia Studio Edit Menu Options

The Edit menu options allow you to invoke many edit commands and options used for editing your video such as Cut Selection, Edit Audio, Flash Hot Spots, and much more.

Edit Options Description Table

The following table describes each of the Edit options along with its use.

Note: When making splits to the video using the Edit options, you are not cutting the actual video file. Making splits to a video inside of Camtasia Studio is a nondestructive process, in that the original clip file is not altered in any way.

Edit Option
Description
Use
Undo
Will undo the last action in succession. This is an unlimited undo.
Choose Edit > Undo.
Redo
Will redo the last action in that was undone. This is an unlimited redo.
Choose Edit > Redo.
Add to Timeline
Adds the highlighted clip to the Timeline. Clip is added to the last position on the Timeline when inserted.
Highlight desired clip in the Clip Bin.
Choose Edit > Add to Timeline.
Split
Splits the video at the point of the selection seek bar.
Place the selection seek bar in the location where the split is to occur.
Click on the Split Video button or choose Edit > Split. The movie is split into two pieces.
Cut Selection
Will cut the selected object.
Select the part of the video to be cut. Click on the Cut Selection button or choose Edit > Cut Selection. The selection will be deleted.
When the cut takes place, the Timeline will be updated to reflect the new length and frame information.
Extend Frame
Allows you to extend the duration of a frame. This is most useful when you want to add additional narration to a particular frame or you want to extend a frame at the end of the video to match the length of an audio track.
Choose Edit > Extend Frame.
The Extend Frame dialog box displays.
Select the desired duration for the frame in seconds by using the arrow buttons.
Choose OK to save changes and exit this dialog box.
Choose Cancel to exit this dialog box without making an changes.
The Timeline will be updated with the new time.
Voice Narration
Opens the Voice Narration dialog box within the Task Area, allowing you to insert narration into your video using the playback of the clips on the Timeline as your guide.
Choose Edit > Voice Narration.
The Voice Narration dialog box displays.
Edit Audio
Opens the Edit Audio dialog box within the Task Area, allowing you to edit existing audio - either from a video clip or a separate audio clip.
Choose Edit > Edit Audio.
The Edit Audio dialog box displays.
Transitions
Opens the Transition dialog box within the Task Area, allowing you to choose and insert Transitions into your video.
Transitions are useful for creating a smooth flow between clips on the Timeline or Storyboard.
Choose Edit > Transitions.
The Transitions dialog box displays. To add a Transition, drag one from the Task Area to the Storyboard.
Choose Finished to exit this dialog box.
Callouts
Opens the Callouts dialog box within the Task Area, allowing you to choose and insert Callouts into your video.
Callouts are especially useful for calling attention to important information in your video.
Choose Edit > Callouts.
The Callouts dialog box displays.
Flash Hot Spots
Opens the Flash Hot Sports dialog box within the Task Area, allowing you to insert interactive Flash Hot Spots into your video.
Flash Hot Spots are especially useful in allowing your viewers to jump to specified points in your video.
Note: This option is only available in videos that are produced using the SWF output file format.
Choose Edit > Flash Hot Spots.
The Flash Hot Spots dialog box displays.
Zoom-n-Pan
Opens the Zoom-n-Pan dialog box within the Task Area, allowing you to set key frame reference points for zooming in and out and panning on a clip.
Choose Edit > Zoom-n-Pan.
The Zoom-n-Pan dialog box displays.


Camtasia Studio View Menu Options

The View menu options allow you to access the options that determine how your main view will appear.

View Options Description Table

The following table describes each of the View options along with its use.

View Option
Description
Use
Storyboard
Toggles the main screen to the Storyboard view.
Choose View > Storyboard.
Timeline
Toggles the main screen to the Timeline view.
Choose View > Timeline.
Task List
Toggles the Task List on or off.
Choose View > Task List.
Toolbar
Toggles the Toolbar on or off.
Choose View > Toolbar.
Status Bar
Toggles the Status Bar on or off.
Choose View > Status Bar.
Full Screen
Displays the video full screen. This allows you to see the entire video at once.
Enlarging the video to fit the screen may distort the view of the video. This distortion only effects the preview view, not the actual video.
When you are in Full Screen mode, there are no visual Playback Controls. You must control the paying with keyboard shortcuts.
Choose View > Full Screen.
You will see your video full screen.
Choose from the following keyboard shortcuts to control the playback:
Press <Esc> to exit back to the main screen.
Shrink to Fit
Shrinks the video to fit within the Preview Area if the size of the Preview Area is smaller than the size of the video. This allows you to see the entire video at once.
Shrinking the video to fit the Preview Area may distort the view of the video. This distortion only effects the preview view, not the actual video.
If this option is not enabled, then you may only see part of the video in the Preview Area.
Choose View > Shrink to Fit.
Zoom In
Use Zoom In to get a closer look at the clips on the Timeline. This will allow you to get a more precise selection for editing, trimming, etc.
Choose View > Zoom In
Zoom Out
Will zoom the view out on the Timeline.
Choose View > Zoom Out
Zoom to Fit
Will zoom in or out on the Timeline to allow the entire Timeline to fit in the window.
Choose View > Zoom to Fit
Clip Bin
Allows you to choose the way that you want to view and/or sort your clips within the Clip Bin.
Choose View > Clip Bin.
A flyout menu will display. From the menu, choose the desired view option.


Camtasia Studio Play Menu Options

The Play menu options allow you to access the options for the Preview Area's Playback Controls toolbar.

Play Options Description Table

The following table describes each of the Playback options along with its use.

Play Option
Description
Use
Play/Pause
Begins playing the video. When the video begins to play, this option toggles to Pause which will pause the video.
Choose Play > Play/Pause.
Stop
Stops the video from playing. When Stop is selected, the seek bar will return to the beginning of the video.
Choose Play > Stop.
Beginning
Moves seek bar to the beginning.
Choose Play > Beginning.
End
Moves seek bar to the end.
Choose Play > End.
Previous Clip
Moves the seek bar to the beginning of the previous clip on the Timeline.
Choose Play > Previous Clip
Next Clip
Moves the seek bar to the beginning of the next clip on the Timeline.
Choose Play > Next Clip
Step Backward
Rewinds the video frame by frame.
Choose Play > Step Backward.
Step Forward
Forwards the video frame by frame.
Choose Play > Step Forward.


Camtasia Studio Tools Menu Options

The Tools menu options give you access to the other Camtasia Studio components as well as to a few Camtasia Studio specific options such as enabling and disabling the welcome screen, setting frame rates, etc.

Tools Options Description Table

The following table describes each of the Tools options along with its use.

Tools Option
Description
Use
Camtasia Recorder
Start Recorder.
Choose Tools > Camtasia Recorder.
Camtasia MenuMaker
Starts MenuMaker.
Choose Tools > Camtasia MenuMaker.
Camtasia Theater
Starts Theater.
Choose Tools > Camtasia Theater.
Camtasia Player
Start Player.
Choose Tools > Camtasia Player.
Options
Displays the Options dialog box which is used to set Camtasia Studio system options.
Brings up the Options dialog box.
To enable an option, click on the box. If a checkmark is entered in the box, that option is enabled.
To disable an option, click on the checkmark to remove it.
Play AVI files with Camtasia Player:
This option, when enabled, will allow AVI files to play with Camtasia Studio Player by default.
This option is enabled by default.
Show welcome dialog on startup:
This option, when enabled, will display the Welcome dialog box. This option is enabled by default.
Enable Tips:
Use this option to turn the tips on or off. When a checkmark is present, the tips are on. Remove the checkmark to turn the tips off.
Preview Frame Rate:
This option will automatically adjust all clips to play back at the same frame rate on the Timeline/Storyboard. The Automatic option is enabled by default.
Automatic: Use this option to automatically adjust the frame rate to the frame rate that is the highest of all the clips on the Timeline/Storyboard or to 10 fps, whichever is higher. For example, if one clip is 15 fps and one is 5 fps and both of them are on the Timeline/Storyboard, the Automatic setting will make the 5 fps clip run at 15 fps, allowing you to get smooth video playback.
Additionally, if this option were selected and several clips on the Timeline/Storyboard were 5 fps, then these would all be adjusted to run at 10 fps.
Custom: Choose this option to set a custom fps speed. When setting a custom frame rate, all of the clips on the Timeline/Storyboard will run at that framerate.
Default Durations (In Seconds): Use this option to set the default duration for either the Transitions, Images, or Callouts.
Use the arrow buttons to set the duration speed higher or lower.
Temporary Storage Folder: Allows you to designate the default folder that is used to store temporary files that Camtasia Studio needs in order to process your video.
This option is set to the system temp directory by default.
OK: Choose OK to update and save your changes and to exit back to Camtasia Studio's main screen.
Cancel: Choose Cancel to return to the main screen without making any changes.
Help: Choose Help to get help on the options found in this dialog box.


Camtasia Studio Help Menu Options

The Help menu options gives you access to the Camtasia Studio online help as well as other Camtasia Studio and TechSmith support options.

Help Options Description Table

The following table describes each of the Help options along with its use.

Help Option
Description
Use
Camtasia Studio Help
Displays the Camtasia Studio online help.
Choose Help > Camtasia Studio Help.
Support
Displays the Technical Support dialog box. This dialog box contains important TechSmith Web addresses for receiving technical support.
This dialog box also contains application diagnostic information.
Choose Help > Support.
Copy to Clipboard: Copies the diagnostic information to the clipboard to be pasted elsewhere.
Save to File: Saves the diagnostic information as a text file.
OK: Choose OK to exit this dialog box and return to the main screen.
Check for Upgrade
Accesses the TechSmith upgrade Web site which will allow you to check for possible upgrades.
Choose Help > Check for Upgrade.
Make sure that you are connected to the Internet and then click on the link.
On the TechSmith web page, fill out the requested information and then choose Submit.
A TechSmith representative will contact you in regards to your upgrade status.
Frequently Asked Questions
Accesses the TechSmith Frequently Asked Question Web site which will allow you to search the FAQ database.
http://www.techsmith.com/products/studio/faqs.asp
Choose Help > Frequently Asked Questions.
Make sure that you are connected to the Internet and then click on the link.
TechSmith on the Web
Displays a dropdown menu of several helpful TechSmith Web sites.
TechSmith Home: http://www.techsmith.com/defaultflash.asp
Camtasia Studio Home: http://www.techsmith.com/products/studio/default.asp
Send Feedback: http://www.techsmith.com/products/feedback.asp
TechSmith Products: http://www.techsmith.com/products/studio/faqs.asp
Choose Help > TechSmith on the Web
Make sure that you are connected to the Internet and then click on the desired link.
About Camtasia Studio
Displays the About dialog box which lists version and licensing information.
Choose Help > About Camtasia Studio
Purchase Camtasia Studio
If you are using the evaluation copy of Camtasia Studio, this option allows you to purchase Camtasia Studio.
Choose Help > Purchase Camtasia Studio
Enter Software Key
If you are using the evaluation copy of Camtasia Studio but have purchased it, this option allows you to enter your software key.
Choose Help > Enter Software Key


Creating an Interactive Flash Movie

Camtasia Studio offers you many different ways to add creative and easy-to-use professional enhancements to your videos. These include such things as:

  • Adding voice narration as your video plays in the Preview Area.
  • Adding additional audio tracks to include voice over, background music, fade in and fade out effects, and more.
  • Adding attractive and interesting transition effects between clips.
  • Adding still images to your video. These are perfect to use as titles, credits, etc.
  • Inserting graphical Callouts directly on to your video to enhance visibility of certain objects or portions of the screen.
  • Inserting interactivity via Flash Hot Spots. Flash Hot Spots allow you to set certain points in the video that when a viewer clicks on them they are taken to a certain point in the video or taken to a particular web page.
  • Adding zooming and panning effects that will allow you to zoom in on certain areas of the video and/or pan across the video.

About this Tutorial

Simple and complete instructions for adding each of these enhancements to your video is contained in the following chapter using a tutorial format. Each section is based upon a scenario that addresses common, yet specific issues or tasks that need to be routinely performed in the creation of an average video.

It is very important to note that these sections build upon each other as you go through them sequentially.

Therefore, it is highly recommended that you begin with the first tutorial and work your way through each one in the order that they appear in this text. After each section is completed, save your project file and use that file as a basis for the next section.

Overall, once you complete the tutorial, you will have created an interactive Flash movie that displays in a Web-ready Theater menu complete with narration, background music, Callouts, Hot Spots, and more.

To successfully complete this tutorial, read and follow the directions just as they are given.

Theater allows you to easily create an attractive and interactive menu from which to launch your Camtasia Studio-made Flash files. Using the Theater menu's DVD-like navigation, your viewers can quickly navigate between multiple movies or view them all in a pre-defined sequence. Theater presentations can be viewed online and on CD-ROM.

What you need to know before you begin...

Before you begin this tutorial, it is highly recommended that you read and look over the rest of this manual including the Getting Familiar with the Camtasia Studio Screens chapter. That chapter contains important information about the different components of the screen, the names of different tools and buttons, specific terminology relating to video production, etc.

Note: It might be very helpful for you to print a copy of each of the graphics that show the screens, their components, and labels and use them as a reference guide as you move throughout this tutorial.


1. Importing the Media Files

For each section in this tutorial, we will be using TechSmith-created media files. Before you begin the tutorial, you will need to place each of those files in the Camtasia Studio Clip Bin.

The media files include the following:

  • An Apple a Day.avi
  • Apple Music Loop.wav
  • Johnny 1.jpg
  • Johnny 2.jpg
  • Johnny 3.jpg
  • Johnny 4.jpg
  • Learning.jpg
  • Learning2.jpg

To add the media files to the Clip Bin:

  1. Start Camtasia Studio. Within the Welcome screen, choose the Start a new project by importing media files option and click OK.
  2. Browse and search for C:\Program Files\TechSmith\Camtasia Studio 2\Tutorials.
  3. Highlight each of the files by pressing the <CTRL> key on the keyboard while at the same time using the mouse to click on each media file.

Note: Do not be concerned about the contents in the folder entitled Theater SWFs. This will be used at a later time and its contents should therefore not be imported into the Clip Bin.

  1. When each file is highlighted, click on Open.
  2. The files will be displayed within the Clip Bin.


2. Adding the Still Images and the Video Clip to the Timeline

Adding still images to your video is a great way to add interest through the use of title and credits placards created with graphics, clipart, photo images, borders, frames, etc. It is also a good way to insert PowerPoint slides, flowcharts, diagrams and much more. The possibilities are endless for what you can do with still images in your video.

  • You can add as many still images and AVIs as you would like to your video.
  • Still images can be placed on either the Timeline or the Storyboard.
  • The default duration time for still images to display is five seconds. The duration of the image can be customized using Tools > Options > Default Duration (In Seconds) > Images.
  • AVIs can only be placed on the Timeline. Also, the editing of AVI files can only occur on the Timeline.

Scenario

In this section, we will be adding the media clips to the Timeline in the correct order.

To successfully complete this task, read and follow the directions just as they are given, beginning with Step 1. Getting Started.

Step 1. Getting Started

  1. Choose Tools > Options on the toolbar. The Options dialog box displays.
  2. Change the Default Duration for Images to 10 seconds and then choose OK. (This will allow you to have enough time to add narration later on.)

You are now ready to begin adding the clips to the Timeline.

Step 2. Adding Still Images to the Timeline

  1. From the Image section of the Clip Bin, drag the Johnny 1, Johnny 2, Johnny 3, and Johnny 4 still images onto the Timeline in the order that they are numbered. If you get one into the wrong position, simply drag it to the correct place on the Timeline and drop it there.
  2. Drag the Learning still image to the first position on the Timeline and the drag the Learning2 image to the last position on the Timeline.
  3. Drag the An Apple a Day AVI to the last position on the Timeline.
  4. Click on the Stop button [image] in the Preview Area to move the seek bar to the first position in the video. You will see that the Learning image is updated to the Preview Area.
  5. At this time, choose File > Save Project. Name this project "An Apple a Day" and then choose Save.
    Your Timeline will now look like the following graphic.

That's it. You've just created a complete video sequence by adding media clips to the Timeline.


3. Adding Transition Effects Between the Images

Transition effects allow you to insert animated effects that smoothly transition one clip to the next. There are many different Transitions to choose from so you can get just the right look that you need for your video.

Scenario

In this section, we will be inserting Transitions between several of the clips on the Timeline. We will not insert Transitions between all of the clips.

To successfully complete this task, read and follow the directions just as they are given, beginning with Step 1. Getting Started.

Fast Facts about using Transitions
  • Transitions can only be placed on the Storyboard.
  • The default duration time for Transitions is three seconds. The duration can be customized using Tools > Options > Transitions.
  • Transitions can only be placed between clips. You cannot begin or end a video with a transition.

Step 1. Getting Started

  1. Within the Task List, click on Transitions. The Transition options will display in the Task Area.
  2. The Transition effects are on the left hand side of the screen. Double-click on a Transition effect to see it play in the Preview Area. You can also highlight a Transition and then click on the Play button [image] to see the Transition effect.

Step 2. Adding Transition Effects in Between the Clips

Note: During this process, we will only drag and insert Transitions into the Storyboard in certain locations. Only place the Transitions in the positions marked by checkmarks in the following graphic.

  1. Once you decide on a Transition that you like, drag it to the Storyboard in the first location. Remember to only place the Transitions inside the placeholders that are denoted with a checkmark. Once placed on the Storyboard, an image depicting the Transition's effect will display in the placeholder as seen below.
  2. Continue to add Transitions until the four placeholders are filled. These can all be the same Transition or different ones.
  3. Choose Finished and you will return to the main screen.
  4. Click on the Show Timeline button [image] in the toolbar .
  5. Click on the Save button [image] on the toolbar to save your project file.

Congratulations. You have successfully added Transition effects to your video. To see how it all looks, view your video using the Play button [image] in the Preview Area.


4. Adding Voice Narration

Adding voice narration allows you to narrate your video as you play clips on the Timeline/Storyboard in the order that you have established. Once the narration is complete, your audio file will be added to the Timeline in synch with your video clips.

Typically, if you want to narrate your entire video, it is best to wait and do your narration last, after all of your clips have been added and edited. However, since we are only going to narrate these four still images and will not be cutting or splitting them, we can perform this step now.

Note: It is necessary that you have a working microphone set up before you can record your voice narration.

Fast Facts about adding Voice Narration
  • This option is only available while in Timeline view.
  • Once your voice narration is created, you will save that audio as a separate track that can be fine tuned for sound or edited at a later time using the Edit Audio option within Camtasia Studio.
  • As you record your narration, the video will play along in the Preview Area, ensuring perfect synchronization between voice and playback.

Scenario

In this section, we will be using our "An Apple a Day" project file to add narration to the still images that we added to the Storyboard. For narration, we will be reading the text off of the still images as they are presented during playback in the Preview Area.

To successfully complete this task, read and follow the directions just as they are given, beginning with Step 1. Getting Started.

Step 1. Getting Started

  1. Make sure that you have a working microphone attached to your PC and that it is in the correct position for speaking into.
  2. Click someplace on the Johnny 1 still image on the Timeline. Choose Play > Previous Clip to move the seek bar to the very beginning of that clip.
    Your seek bar will be located somewhere close to the following time reference on the Timeline.

Tip! Use the Zoom In button [image] on the Timeline to get a closer look at the Timeline. It makes clip and frame selection much easier.

  1. If you cannot clearly read the text within the Preview Area, from the menu bar, choose View > Shrink to Fit, to disable that option. The text should now become clear in the Preview Area. Simply resize the screen so that all of the text is clearly showing.
    You are now ready to begin adding your voice narration.

Step 2. Adding Voice Narration

Before you Record - 2 Tips for Successful Voice Recording
1. During recording, only read that portion of the text on the screen that is comfortable to get through within the 10 second timeframe that each image displays. That will most likely be about 3-4 lines. It is best to read with an unhurried, natural, and steady voice rather than attempting to read all of the text in the short time given.
2. While you are recording, the volume sensor will display a colored spectrum of your voice. It is best to record at a steady level where the level is somewhere near the middle and where all colors show across the spectrum.

  1. Within the Task List, click on Voice Narration. The Task Area will change to display the Voice Narration options.
  2. To begin recording, click on the Start Recording button [image]. Begin speaking into the microphone, reading the text as it displays on the screen.
  3. When the seek bar reaches the end of the Johnny 4 still image, click on the Stop Recording button [image].
  4. The Save Narration As dialog box displays. Name this recording Apple Narrate and then choose Save. The audio file will be automatically updated to the Timeline inside of the Audio 2 track as seen in the graphic below.
  5. Choose Finished and you will return to the main screen.
  6. Click on the Save button [image] on the toolbar to save your project file.

Congratulations. You've just created a voice narration audio file. To see how it all sounds and plays together, just play your video using the Play button [image] in the Preview Area.


5. Cutting Unwanted Frames out of a Video Clip

Cutting is a fast and easy way to finely tune or edit your video clips allowing you to remove unwanted errors or long periods of time when nothing is being shown on the screen. To cut, you simply drag and highlight the portion of the clip to be cut and then select the Cut button [image].

When making any edits such as cutting or splitting, you are not making any changes to your actual file. Instead, editing in Camtasia Studio is a nondestructive process and changes made inside of Camtasia Studio are not reflected in your original stored files but are instead stored within the Camtasia Studio 2 project file.

Fast Facts about Cutting
  • This option is only available while in Timeline view.
  • If you decide that you don't want to keep a cut after it is made, just choose the Undo button [image] to restore your clip.
  • Once you make a cut, the Timeline is automatically and immediately updated with the clip's new time.
  • You can see the effect of your cut right away by playing your video in the Preview Area.
  • Cutting in Camtasia Studio does not affect your original clip file.

Scenario

In this section, we will move to a specific point within the video and cut out a mistake that was made.

To successfully complete this task, read and follow the directions just as they are given, beginning with Step 1. Getting Started.

Step 1. Getting Started

  1. Click at some point on the An Apple a Day video clip on the Timeline. Choose Play > Previous Clip to move the seek bar to the very beginning of that clip.
  2. Play your video through from beginning to end. You will clearly see an error that was made in the drawing of the apple within the video. This is the section that will be cut out of the video.

You are now ready to begin editing your video clip by selecting and cutting.

Step 2. Selecting and Cutting Video Frames

  1. Move the seek bar on the Timeline to the following time reference within the video.

    The time reference will display as you move your cursor over the top of the Timeline. When you reach the desired location, click once with the mouse to insert the seek bar.

Note: If you are having trouble getting the exact reference point, choose a point closest to the reference point.

Tip! Use the Zoom In button [image] on the Timeline to get a closer look at the Timeline. It makes frame selection much easier.

  1. Click and drag the seek bar until you come to the following time reference.

Note: If you are having trouble getting the exact reference point, choose a point closest to the reference point.
Your video will be highlighted in blue. The highlighted part is what will be cut out. As you drag and highlight, the video will play in the Preview Area, allowing you to see just what will be cut.

  1. When you are done highlighting, release the cursor. Click on the Cut button [image] on the toolbar. The selected frames will be removed. If you feel that you have made an error, click on the Undo button [image] and then repeat the select and cut process over again until you get it right.
  2. Click on the Save button [image] on the toolbar to save your project file.

That's it. You've just edited your first video by making a selecting and cutting out the unwanted frames. To see how it all looks, view your video using the Play button [image] in the Preview Area.


6. Using Zoom and Pan

Zoom-n-Pan effects will allow you to zoom in and out on certain areas of the video, calling attention to and allowing your audience to see important screen movements or actions that they might not see otherwise.

The Zoom-n-Pan option works by inserting key frames that tell Camtasia Studio when to zoom in and when to zoom out. Key frames are simply markers that you place on the desired frames in the video clips. Typically, key frames are used in pairs, one key frame to zoom in and one to zoom back out.

Note: If only one key frame is used and it is set to zoom in, the rest of the video will playback at the key frame's set magnification until the end since there is no key frame giving Camtasia Studio direction to zoom back out.

Fast Facts about Zoom-n-Pan Key Frames
  • This option is only available while in Timeline view.
  • When setting up your key frames, you can choose the location of the magnification, the amount of magnification to apply, and the zoom speed.
  • You can add as many key frames to a video as desired. These do not need to be entered all at once but can be added as you add clips to the Timeline.
  • Once a key frame is created, you can edit it or delete it.
  • If you choose, you can delete all key frames at one time using the Zoom-n-Pan edit options.
  • Once a key frame is inserted, it will be displayed on the Timeline on the Zoom-n-Pan track.

Scenario

In this section, we will be setting a key frame that will zoom in on a particular area of the video that contains close-up work on the screen. Once the close-up work is shown, we will add another key frame to pan out and bring the viewing area back to normal.

To successfully complete this task, read and follow the directions just as they are given, beginning with Step 1. Getting Started.

Step 1. Getting Started

  1. Within Camtasia Studio, make sure that the "An Apple a Day" project is open in Timeline view.
  2. Move the seek bar to the following time reference within the video.

    The time reference will display as you move your cursor over the Timeline. When you reach the desired location, click with the mouse to insert the seek bar.

Note: If you are having trouble getting the exact reference point, choose a point closest to the reference point.

Tip! Use the Zoom In button [image] on the Timeline to get a closer look at the Timeline. It makes frame selection much easier.

You are now ready to begin adding zoom and pan key frames.

Step 2. Adding Zoom-n-Pan Key Frames

  1. Click on the Zoom-n-Pan option in the main screen's Task List. The Task Area will change to display the Zoom-n-Pan options.
  2. Within the Task List, click on Add Zoom-n-Pan key frames. The Zoom-n-Pan Properties box displays.
  3. Enable the Standard Zoom Size option. From the dropdown menu, choose 240 x180.
  4. Move the green box to the area shown in the graphic below. The placement of the green box outlines the area that will be zoomed in on.
  5. Choose Slow in the Zoom Speed options.
  6. Choose OK. You will return to the Zoom-n-Pan area. The key frame will be displayed within the key frame list.
  7. Click on the Save button [image] on the toolbar to save your project file.

That's all there is to it. You've just created your first Zoom-n-Pan key frame.

Step 3. Create another Key frame that will Zoom Out

  1. While still in the Zoom-n-Pan options area, in the Preview Area, move the seek bar on the Timeline to the following time reference within the video.

Note: If you are having trouble getting the exact reference point, choose a point closest to the reference point.

Tip! Use the Zoom In button [image] on the Timeline to get a closer look at the Timeline. It makes frame selection much easier.

  1. Click on the Add Zoom-n-Pan key frame option. The Zoom-n-Pan Properties dialog box displays.
  2. At this time, we will simply accept the default entries since the green box is around the entire video. This will tell Camtasia Studio to show the entire video once again. To accept the defaults, do not make any changes and just click on OK.
  3. You will return to the Zoom-n-Pan options area. The new key frame will be displayed within the key frame list.
  4. Click on Finished to save the key frames and exit back to the main view.
  5. Your two Zoom-n-Pan points will now be marked on the Timeline as indicated by two blue diamonds in the Zoom track.
  6. Click on the Save button [image] on the toolbar to save your project file.

Congratulations. You've just created your first Zoom-n-Pan key frame sequence. To see how it all sounds and plays together, just play your video using the Play button [image] in the Preview Area.


7. Adding a Callout

A Callout is a graphic that you can add to the Timeline so that when the video is produced, the Callout displays within the video. Callouts are used to "call out" or draw attention to an important object or process being shown on the screen. Or, combined with text, they can give additional tutorial or instructional information.

Fast Facts about Callouts
  • This option is only available while in Timeline view.
  • Callouts come in a variety of different shapes and styles.
  • Callouts are totally customizable, allowing you to change the color, font, opacity, size, text, and more.
  • You can create new Callouts by importing your own graphics.

Scenario

In this section, we will be using our "An Apple a Day" project file to add two similar Callouts to our video. These Callouts will be placed on the last frames of each of the two separate sections we have been creating. The first section we will refer to as "About Johnny Appleseed". The second section we will refer to as "Let's Draw an Apple". These Callouts will be used later to create two Flash Hot Spots, that when clicked on, will take the viewer back to the first screen within the video.

To successfully complete this task, read and follow the directions just as they are given, beginning with Step 1. Getting Started.

Step 1. Getting Started

  1. Within Camtasia Studio, make sure that the "An Apple a Day" project is open in Timeline view.
  2. Choose Tools > Options on the toolbar. The Options dialog box displays.
  3. Change the Default Duration for Callouts to 1 second and then choose OK.

  4. Move the seek bar to the following time reference within the video.

    The time reference will display as you move your cursor over the Timeline. When you reach the desired location, click with the mouse to insert the seek bar.

Note: If you are having trouble getting the exact reference point, choose a point closest to the reference point.

Tip! Use the Zoom In button [image] on the Timeline to get a closer look at the Timeline. It makes frame selection much easier.

You are now ready to begin adding your Callout.

Step 2. Adding a Callout

  1. Click on the Callouts option in the main screen's Task List. The Task Area will change to display the Callout area.
  2. Click on the Add Callout option. The Callout Properties dialog box displays.
  3. In the Callout Type field, choose the Curved Arrow option from the dropdown menu. In the selection area below that, choose the following style:
  4. Make the Font: 9, Style: Bold, and Justification: Left.
  5. In the Text field, type "Go Back" as seen below.
  6. Disable the Fade In and Fade Out options.
  7. Use the green box located within the preview window to place and size your Callout. As you make changes to the Callout in the positioning window, those changes will be updated to the larger Preview Area so you can see just how your Callout will look in your video. For our project, we want to move the Callout to the bottom right and size it small so it looks like the following graphic. Once you have your Callout just right, choose OK.
  8. Click on the Save button [image] on the toolbar to save your project file.

Step 3. Adding a Second Callout

  1. While still within the Callouts area, from the menu bar, choose Play > End. This will move the seek bar all the way to the end of the video.
  2. Click on the Add Callout option. The Callout Properties dialog box displays.
  3. In the Callout Type field, choose the Curved Arrow option from the dropdown menu. In the selection area below that, choose the following style:
  4. Make the Font: 9, Style: Bold, and Justification: Left.
  5. In the Text field, type "Go Back" as seen below.
  6. Disable the Fade In and Fade Out options.
  7. Use the green box located within the positioning window to place and size your Callout. As you make changes to the Callout in the preview window, those changes will be updated to the larger Preview Area so you can see just how your Callout will look in your video. Move the Callout to the bottom right and size it the same as when you created the first Callout. Once you have your Callout just right, choose OK.
  8. Once you return to the Callouts area, you will have two entries in the Callouts list.
  9. Within the Callouts dialog box, choose Finished to return to the main screen. The Timeline will be updated on the Callout track to show the Callouts' position.
  10. Click on the Save button [image] on the toolbar to save your project file.

Congratulations. You've just created your first Callouts. To see how it all looks, view your video using the Play button [image] in the Preview Area.


8. Adding Interactive Flash Hot Spots

Flash Hot Spots allow you to add interactivity to produced Flash SWF movies. Adding interactivity is very nice for making chapters in your video that the viewer can easily jump to. Or, for taking the viewer to a website after they have finished watching the video. Flash Hot Spots work when the viewer clicks directly on the hot spot while watching the video.

Note: Hot Spots are only available for use with SWF output. All other output format cannot use Hot Spots.

Fast Facts about Flash Hot Spots
  • This option is only available while in Timeline view.
  • You can add as many Flash Hot Spots to a video as desired. However, it is best to wait until you have completed all of your edits before adding your Flash Hot Spots.
  • When the produced video that contains Flash Hot Spots is playing and a Hot Spot is encountered, the video will stop.
  • Once a Flash Hot Spot is created, you can edit it or delete it.
  • Once a Flash Hot Spot is inserted, it will be displayed on the Timeline on the Hot Spots track.

Scenario

In this section, we will be adding two Flash Hot Spot jumps from the first frame of the video to other places within the video. One Hot Spot will take the viewer to the beginning of the About Johnny Appleseed section while the other Hot Spot will take the viewer to the beginning of the Let's Draw an Apple section. We will call these sections chapters.

We will then place another Hot Spot on the last frame of each chapter (where we just added the Callouts) which, when selected, will take the viewer back to the first frame so they may choose another chapter to view.

To successfully complete this task, read and follow the directions just as they are given, beginning with Step 1. Getting Started.

Step 1. Getting Started

Within Camtasia Studio, make sure that the "An Apple a Day" project is open in Timeline view.

You are now ready to begin adding interactive Flash Hot Spots to your video.

Step 2. Adding the Jump-to-Chapter Flash Hot Spots

  1. Click on the Stop button [image] in the Preview Area to move to the first frame in the video.
  2. Within the Task List, click on Flash Hot Spots. The Flash Hot Spots options display in the Task Area.
  3. Click on Add Hot Spot. You will see the red Hot Spot display.
  4. To set your first Hot Spot, in the work area on the left, move, size, and position the red square over the sentence that reads "Click here to learn Fun Facts...".
  5. Enable the Go to Frame at Time option and enter this time reference for the first frame of the Johnny Appleseed chapter. The reference can be found in the following graphic. Enter the time exactly as it is shown using the same formatting as seen here.

    Your screen will now look like the following graphic.
  6. Choose Add Hot Spot once again.
  7. Set your second Hot Spot in the work area on the left, over the sentence that reads "Click here to learn how to Draw an apple...".
  8. Enable the Go to Frame at Time option and enter this time reference for the Let's Draw and Apple chapter. The reference can be found in the following graphic. Enter the time exactly as it is shown using the same formatting as seen here.

    Your screen will now look like the following graphic.
  9. Within the Flash Hot Spots dialog box, choose Finished to return to the main screen. The Timeline will be updated on the Hot Spots track to show the Hot Spots' position.
  10. Click on the Save button [image] on the toolbar to save your project file.

Important Note:
You will not be able to see your Flash Hot Spots actually work until you have produced your video in Macromedia Flash format.

That's it. You've just created your first two Flash Hot Spots that will take the viewer to the different chapters. Now you will need to create two more Hot Spots that will take the viewer back to the Table of Contents page after they have viewed a chapter.

Step 3. Adding the Return Flash Hot Spots

  1. Click on Flash Hot Spots in the Task List. The options will display.
  2. Click on Add Hot Spot. You will see the red Hot Spot display.
  3. Using the scroll bar or the seek bar on the Timeline, move to the last frame of the About Johnny Appleseed chapter. This is the frame where you created the first Callout. Once you reach that frame on the Timeline, the Callout will be visible on the Timeline and in the Preview Area. Click on the Callout on the Timeline to position the seek bar in that frame.
  4. In the work area on the left, move, size and position the red square over the Callout.
  5. Enable the Go to Frame at Time option. We will leave this as the default entry since we want the viewer to go back to the first frame of the video.
  6. Click on Add Hot Spot. You will see the red Hot Spots display.
  7. Using the scroll bar or the seek bar on the Timeline, move to the last frame of the Let's Draw and Apple chapter. This is the frame where you created the second Callout. Once you reach that frame on the Timeline, the Callout will be visible on the Timeline and in the Preview Area. Click on the Callout on the Timeline to position the seek bar in that frame.
  8. In the work area on the left, move, size and position the red square over the Callout.
  9. Enable the Go to Frame at Time option. We will leave this as the default entry since we want the viewer to go back to the first frame of the video.
  10. You will now have a total of four Flash Hot Spots in the Hot Spots list. Choose Finished. You will return to the main screen.
  11. Click on the Save button [image] on the toolbar to save your project file.

Important Note:
You will not be able to see your Flash Hot Spots work until you have reproduced your video in Macromedia Flash format.

That's it. You've just created your first Flash Hot Spot sequence that will take the viewer to your different chapters and then back to the table of contents.


9. Adding Audio Clips as Background Music

Adding background music is a great way to set the mood for your viewers as they watch your video. There may be many times as you demonstrate a process or display a flowchart or diagram on the screen, that there isn't any narration going on. In that case, it is nice to add a little music in the background to give your video a more professional touch.

Overall, adding background music is something that should be done as one of the last steps in your video creation process. This way, all of the cuts and edits have been made prior to adding the audio file. If you add the audio file first, and then make cuts and edits to the video clips, the audio file may not synch up correctly with the video.

Fast Facts about Adding Audio Files
  • This option is only available while in Timeline view.
  • You can add as many different audio files as you like to your Timeline.
  • Once an audio file has been placed on the Timeline, you can edit it by adding fade in and fade out sections, increasing or decreasing the volume, or by removing portions of the audio altogether.
  • Drag either end of the audio clip while it is on the Timeline to instantly size the audio to fit a particular clip.
  • You can add the same audio loop file repeatedly to the Timeline to get a long playing sound.

Scenario

In this section, we will be inserting multiple instances of the background audio clip on the Timeline to synch up with the drawing video clip.

Once we get the audio clips placed and sized correctly on the Timeline, we will resize the end of the last audio clip to match the size of the video.

To successfully complete this task, read and follow the directions just as they are given, beginning with Step 1. Getting Started.

Step 1. Getting Started

Within Camtasia Studio, make sure that the "An Apple a Day" project is open in Timeline view.

Step 2. Adding Audio Clips to the Timeline

  1. Zoom in on the Timeline several zoom levels. Scroll so you can clearly see the Learning2.jpg and the An Apple a Day AVI on the Timeline.
  2. Select the Apple Music Loop.wav file in the Clip Bin and drag it to the Timeline, lining it up with the first frame of the Learning2.jpg still image that is already on the Timeline.

Tip! If you still need to get a closer view for fine tuning your alignment, use the Zoom In button [image].

  1. Grab the audio clip and drag it back and forth until it is perfectly lined up with the still image.
  2. Grab and drag the same audio clip and place it on the Timeline next to the other one. Make sure they are as close to each other as possible. Do this repeatedly until the number of audio files fills the space on the Timeline created by the video clip.
  3. The last audio clip will extend past the video clip.
  4. Grab and drag to last audio clip to the left to line up with end of the video.

    If need be, use the Zoom In button [image] to move in and get a better view of your alignment.
  5. Click on the Save button [image] on the toolbar to save your project file.

Good Job. You've just created your background music sequence using a music loop clip.

Step 3. Editing the Audio Clips

Now that all of your audio clips are added, we will go into the Audio Editor and fade in the first audio clip and fade out the last audio clip to better transition the end of the video.

  1. From the Task List, choose Edit Audio.
  2. Click on the beginning of the first audio clip in the waveform area as seen in the following graphic.
  3. Using the seek bar, drag and highlight about three seconds of the beginning of the clip and then click on the Fade In button [image]. The waveform in the Audio Editor will change to reflect the change to the volume.
  4. Now, click on the last audio track in the waveform. Using the seek bar, drag and highlight about four to five seconds of the end of the clip and then click on the Fade Out button [image]. The waveform in the Audio Editor will change to reflect the change to the volume.
  5. Choose OK. You will return to the main screen.
  6. Click on the Save button [image] on the toolbar to save your project file.

Congratulations. You've just edited your audio clips. To see how it all works together, just play your video using the Play button [image] in the Preview Area.


10. Producing your Video as a Macromedia Flash Movie

Macromedia Flash movies or SWF files have become one of the most popular ways of creating content to put out on the Web. With Camtasia Studio, creating interactive, web-ready Flash content is fun and easy - no programming is needed.

During this part of the tutorial, you will be creating the actual video output. Up until now, we have just been working with a project file. Once the video is produced, the Flash Hot Spots will become active and you will be able to view your interactive movie.

Fast Facts about Producing a Macromedia Flash (SWF) Movie File
  • Producing is easy using the Camtasia Studio Production Wizard. The Wizard steps you though each part of the process.
  • Generally, accepting the default option selections is a good choice for most people.
  • Once the video is produced, you can no longer edit your Callouts, move your Hot Spots, etc. You can however, make changes to your project file and then reproduce the video.

Scenario

In this section, we will be producing our project file as a Flash Movie file (SWF). Using the Wizard, this process is easy and fast.

To successfully complete this task, read and follow the directions just as they are given, beginning with Step 1. Getting Started.

Step 1. Getting Started

  1. Within Camtasia Studio, make sure that the "An Apple a Day" project is open in Timeline view.
  2. Click on the Save button [image] on the toolbar to save your project file.
  3. From within the Task List, choose Produce Video As. The Production Wizard will display.
  4. Enable the Macromedia Flash SWF Movie File option. Choose Next.
  5. At the subsequent two screens, accept all of the defaults by clicking Next.
  6. At the Produce Video screen, choose a destination for this video file and enter the desired video name. For this tutorial, name this video "All About Apples".
  7. Choose Finish.

The video will begin producing and you will see a Rendering Storyboard status dialog box. When the video is done producing, a Production Results screen will display. Choose Close at the Production Results screen. The video will now display in playback mode.

To see your Hot Spots in action, click on either of the chapter titles to go to that section in the video. Once the video comes to the end of that section, click on the Go Back Callout to go back to the beginning of the video.

Congratulations. You've just created your first interactive Flash video. To see how it all works together, just play your video by double-clicking on the HTML file in the folder where you stored your movie.


11. Creating a Flash Menu Using Camtasia Theater

Camtasia Theater allows you to easily create an attractive and interactive menu from which to launch your Camtasia Studio-made Flash files.

Camtasia Theater adds DVD-like navigation to your screen videos in Flash format. Using Theater's menu, your users can quickly navigate between multiple movies or view them all in a pre-defined sequence. Theater presentations can be viewed online and on CD-ROM.

Theater operates on a project basis. This means that you add files, edit the look and feel of the menu and then save your work as a project file. Later, you can come back to that project file and change the look of the menu, add or delete files, etc.

Fast Facts about Creating an Interactive Theater Menu

You can:

  • Select a single Flash file or complete directories of SWFs.
  • Sort and rename videos within the menu.
  • Control your movie playback using the Auto-sequencing option.
  • Provide a scrolling menu.
  • Provide custom Flash playback controls.
  • Customize the font and color control.
  • Produce HTML output in one quick step - no programming needed.
  • Produce XML output for custom configuration within Flash MX.

Scenario

In this section, we will be creating and producing an interactive Theater menu for use with our "An Apple a Day" interactive SWF movie file.

Creating a Flash menu with Camtasia Theater is quite simple, involving only seven basic steps from beginning to end. This includes such steps as adding a title, choosing custom colors, adding the files, saving the project, creating the menu, and then testing.

To successfully complete this task, read and follow the directions just as they are given, beginning with Step 1. Getting Started.

Step 1. Getting Started

Getting started in Theater is quick and easy. There is nothing you need to know about Flash programming or development to create a Web-ready, interactive menu. From within the Task List, choose Create web menu.

Camtasia Theater will start.

Step 2. Add Title and Customize

  1. Within the Menu title field, enter a title for this menu. For this tutorial, use "Apples! Apples!".
  2. Click on the Menu Background button and choose the following color from the palette

    Choose OK.
  3. Click on the Item Normal button and choose the following color from the palette

    Choose OK.
  4. Click on the Item Rollover button and choose the following color from the palette

    Choose OK.

Step 3: Add Movies and Edit Names

  1. Within the Menu List box, click on the Add SWF Movie button [image] on the sidebar.
  2. A standard Browse dialog box displays. Browse and select the All About Apples.swf movie file that you have made and then choose OK.
  3. Next, click on the Add SWF Movie button [image] once again on the sidebar. A standard Browse dialog box displays. Browse to C:\Program Files\TechSmith\ Camtasia Studio 2\Tutorials\Theater SWFs and select the Blossom Time.swf and the Variety.swf movie files and then choose Open. The selected SWF movies are now updated to and displayed within the Movie List area.

Step 4: Configure Controller

Click on the Controls tab to display the Controls options. In this tab:

  1. Select whether or not you want your movies to pause before playing or start automatically. If you choose the Paused at Start option, upon playback, your viewer will have to manually begin playing the movie by clicking on the Start button within the player.
  2. Click on the Movie controller color button to select the color of the movie controller.
  3. Choose whether you would like to include an About box in your menu. If so, enable the Show About box option and then add the desired text in the About text field.
  4. If desired, select any duration or elapsed time properties to display in the controller using the Duration/Elapsed Time Properties options.
  5. Select the desired Preload Movie Properties. Enable the Show loading movie option to play the preload movie until the actual SWF file has been loaded. This will play according to the percentage specified in the % of main movie to preload field.
  6. If you would like to see your menu after it is exported, make sure the Launch Menu after export option is enabled.

Once you have made all of your additions and edits to the controller, you are ready to export and create the actual menu.

Step 5: Save Project & Export the Flash Menu

  1. At this time, save your project file. This will allow you to come back and work on this menu at a later time. Name your project "An Apple a Day". Next, it is time to export and create your Flash menu.
  2. Click on the Export Flash Menu button at the bottom of the screen.
  3. A standard Browse dialog box displays. Browse and select the folder that will house this menu's files. Choose OK. The folder will be created for you. Once you choose OK, the export process will begin.
  4. At this time, you will see a standard progress dialog box. Wait until the movie is done being exported.

When it is done, you will receive a confirmation dialog box letting you know that your menu was created successfully. Choose OK. If you chose to display the menu, it will begin after you choose OK.

Once it is finished, the menu will display within a browser.

Good Job. You're Done. You have just created your first interactive Flash menu from which to play your SWF movies.

You have now completed this tutorial.


Pack and Show

Overview

This option allows you to package your video for easy one-step distribution to your users. Pack and Show creates a Windows-executable file that users can simply double-click to unpack the file, install the TSCC codec and Camtasia Player (if you have included them) and play the movie.

Note: The TSCC codec is now built into the Camtasia Player. This means that you do not need to install the TSCC codec on the host machine in order to view the video with the TSCC if you are using Player for playback.

You have the options to include the TSCC codec and Camtasia Player in the package, so that they will be automatically installed on the user's computer.

When users receive the .EXE file, they simply double-click it to unpack it, install TSCC if desired, and show the movie.

There are two advantages to Pack and Show:

  • Users get everything they need to view a TSCC-encoded movie.
  • The packaging process may reduce the size of files to be distributed without affecting the movie quality. For example, when the movie contains uncompressed audio, the audio quality will be unaffected by packaging.

Instructions for using Pack and Show

Note: Depending on which type of video you select to package, the second Pack and Show Wizard screen explained in Step 2 below, will be different than the one shown in this particular set of instructions. This is because each type of video (SWF, AVI, WMV, etc.) has it's own set of unique options that will need to be set during the Pack and Show packaging process.

Note: The example shown in this set of instructions walks you through the AVI Pack and Show process. This is because this option contains many more options than either a SWF or WMV video file which typically will only have one or two options to choose from. Therefore, when creating a Pack and Show file, use these simple instructions substituting the wizard screen that is shown here in Step 2 with the one shown for your specific video type. After you have completed the second wizard screen, choose Next to continue with Step 3.

Step 1: Creating a Pack and Show File

Choose File > Pack and Show. The following Pack and Show Wizard dialog box displays.

In the Movie File Name field, click on the Browse button [image] to browse and select the desired video.
The name of the executable file and its path is automatically populated in the Executable File Name field based upon the name of the video that was chosen. It is stored in the same directory as your selected video. You can accept the default entry or enter a new file name and/or path.

Once these fields are filled in, choose Next.

Step 2: Selecting the Pack and Show Options

Note: At this time, depending on which type of video you selected to package, the wizard screens will be different from the one shown. This is because each type of video has it's own set of unique options that needs to be set during the Pack and Show process. Therefore, substitute the wizard screen that is shown here in Step 2 with the one shown for your specific video type. Each file format Options screen will have instructions for selecting the desired options. After you have completed your second wizard screen, choose Next to continue with Step 3.

The Pack and Show Options dialog box is displayed for your specific type of video file format.

In this example, the TSCC AVI Options dialog displays for packaging an AVI video that has the TSCC codec built into it.

If you would like to use the default player that is on the host PC instead, then select the Use default player option. If desired, check the Include TSCC codec installer option.

By default, the Use Camtasia Player option is selected. The TSCC codec is built into the Camtasia Player. This means that you do not need to install the TSCC codec on the host machine in order to view the video with the TSCC if you are using Player for playback. Select the desired Player options. (Each of these is described in the following table.)

Player Options Description Table

The following table describes each of the Player options that can be included in your Pack and Show video.

Player Option
Description
Start playing automatically
Starts Player as soon as the Pack and Show executable is double-clicked on.
Exit after playing movie
Player closes automatically as soon as video is done playing.
Repeat movie until closed
Automatically repeats movie until Player is manually closed by user.
Stay on last frame
Player stops on and displays last frame when video finishes.
Always on top
Player will reside as the topmost application on the desktop.
Play in maximized mode
Player operates as in maximized mode.
Play in full screen mode
Player operates as a full screen.
To title bar
No title bar displays while Player is running.
No menu bar
No menu bar displays while Player is running.
No toolbar
No tool bar displays while Player is running.
No status bar
No status bar displays while Player is running.
No dragging by movie area
You cannot drag the video around the screen.
Background Color
Sets the background color. This is the color that is seen around the video if the video size does not take up the full screen when the full screen option is enabled.
Click on the Background Color button to reveal the Color dialog box. Choose the desired color and choose OK. The color will be updated in the Pack and Show dialog box.

Step 3: Select Package Video Options

The Package Video dialog box displays.

Enable the Package another movie option to package another movie using this wizard.

Enable the Run movie after packaging option to play the video after it has been packaged.

Step 4: Finishing Up

Choose Finish to start the packaging process. The packaging will begin and a status bar will display to alert you to the progress.

After the packaging process is complete, the video file is now packaged into an executable file and stored on your computer. If you opted to play the video after packaging, it will automatically begin playing.

To distribute the video, simply ship the file with the .EXE extension, instructing the recipient to double-click the file to open and play it.


Producing a Video

When you have set the timing and sequence of video clips and still images in your video, you are ready to Produce. This process, also called "rendering," assembles all of the audio, video, and images into one video file, based on the sequence you have established on the storyboard.

Producing takes place though the use the Production Wizard. This option is found in the Task List under Produce > Produce Video As or under File > Produce Video As.

The easy-to-use wizard presents a series of wizard panels that prompt you for the information needed to produce the video.

Overall, the steps to creating the video are as follows:

  1. Add desired files to storyboard by dragging from the Clip Bin.
  2. Apply all edits to clips on Timeline or Storyboard.
  3. Choose Produce Video As.
  4. Choose the desired encoding options.
  5. Choose the video size options.
  6. Choose the destination folder and a name.
  7. Produce the video.

Note: This chapter will discuss in detail the options required for steps three through ten. That is, the actual production or rendering of the video. For detailed information on completing steps one and two, see Getting Familiar With Studio's Easy-to-Use Interface, Edit Options, and 10 Minutes to your First Camtasia Studio Video.

Video Production Options

When you choose Produce Video As, the following Video Production Options dialog box displays.

During this step, you will be selecting the file format of the video you are creating. There are many formats to choose from with each format having their own particular set of options. Once you have selected the desired file format, you will need to select the options for that format.

Once you have made your selection, choose Next to continue. The encoding options for the type of format you chose will display.

To continue, click on the link that corresponds to the video file format that you chose.

AVI Video File
Macromedia Flash Movie File (SWF)
Macromedia Flash Video File (FLV)
QuickTime Movie File
Windows Media Streaming Media File
Real Media Streaming Media File
Camtasia for RealPlayer Streaming Media File
GIF Animation File
Custom Production Profile


Video File Format Options

These screens are accessed from within the Production Wizard Encoding Options dialog box.

For each of the different Movie File Formats that can be selected, there is a corresponding Encoding Options dialog box that is used to configure the video during production.

Choose from the following.

AVI Video File
Macromedia Flash Movie File (SWF)
Macromedia Flash Video File (FLV)
QuickTime Movie File
Windows Media Streaming Media File
Real Media Streaming Media File
Camtasia for RealPlayer Streaming Media File
GIF Animation File
Custom Production Profile


AVI Video File

Note: Once you have reviewed the information in this section and have selected the options for this file format, you will need to continue with Video Size.

The AVI Encoding Options screen allows you to select the options that will be used to configure the video during production.

The AVI file format retains the highest quality and is editable by Camtasia Studio, Camtasia Effects, or other video editing programs. This AVI file format is also a vendor-neutral format that can be converted into vendor-specific streaming media file formats. These features make AVI files an ideal format for your original, high-quality recordings.

Camtasia Studio uses the TechSmith Screen Capture Codec (TSCC) as the default video compressor. However, you can choose to use any available Windows AVI video codec, including the standard MD-RLE and MS Video 1 codecs that come with Windows.

AVI Options Description Table

The following table describes each of the AVI production options.

AVI Option
Description
Colors
Select a color option from the drop-down list.
The default Automatic option preserves the highest color setting on the Storyboard.
If you want to decrease the size of the video, select a lower color depth.
Frame Rate
Select a frame rate option from the drop-down list.
The default Automatic option preserves the highest frame rate setting on the Storyboard.
If you want to decrease the size of the video, select a lower frame rate.
Audio Setup
The Audio Setup button gives you access to the Audio Format dialog box. In this dialog box you can set record and playback rate options.
For more information, see Audio Toolbar Description Table and Audio Tab.
Video Setup
Allows you to set the compression options for the capture.
For more information on selecting the options in this dialog box, see the same options listed in Recorder AVI Video Setup Button.
Encode Audio
Remove the checkmark from the Encode Audio box if you do not want to include audio in the movie you are producing.
Interleave Audio
Interleaving the audio and video data allows it to playback smoothly when the video file is played from a slower device such as a floppy disk, or CD-ROM. The only reason to disable interleaving would be to speed up video file "Rendering" time.
The box for Interleave audio every X video frames specifies how much to interleave audio and video data. The lower the number specified for "X," the smoother the playback will be.
Interleaving every 1 video frame is full interleaving which always results in the smoothest playback.
Frames
Enter the number of frames that should play before interleaving occurs.
Interleaving with higher numbers of video frames results in progressively less interleaving and potentially less smooth playback. However, the video file may be smaller with less interleaving. This can be an important consideration for long videos with large pixel dimensions and detail.
Seconds
Enter the number of seconds that should play before interleaving occurs.
Interleaving with higher numbers of video frames results in progressively less interleaving and potentially less smooth playback. However, the video file may be smaller with less interleaving. This can be an important consideration for long videos with large pixel dimensions and detail.
Details
The Details box shows details about the selections you have made on this tab for the audio and video options of the AVI videos you are recording.
Cancel
Choose Cancel to exit back to the previous screen without making any changes.
Help
Choose Help to access the online help file containing information that is pertinent to this screen.


Macromedia Flash Movie File (SWF)

Note: Once you have reviewed the information in this section and have selected the options for this file format, you will need to continue with Video Size.

The Macromedia Flash Encoding Options screen allows you to select the options that will be used to configure the video during production.

Since most SWF files will be played in a Web browser, the SWF production process creates two files: the actual SWF video file and a simple HTML file of the same name that references the produced SWF file. To properly play the SWF video file, launch the HTML file in a Web browser.

Keep the following in mind when working with Flash (.SWF) videos:

  • If you selected the "Play movie after production" option in the Produce Movie dialog, the produced file will begin playing inside your Web browser.
  • To properly view the SWF file, double-click on the corresponding HTML file. This will play the SWF file inside your Web browser with the appropriate width and height.
  • It is important that the width and height specified in the HTML file are the exact dimensions of the produced SWF file. If these dimensions are not correct, the movie will be scaled and the quality will appear distorted.
  • Since the HTML file references the SWF file, if the SWF file is renamed or moved to a different directory, then you must edit the corresponding HTML file to reflect this change.

Macromedia Flash Options Description Table

The following table describes each of the Flash production options.

SWF Option
Description
Colors
Select a color option from the drop-down list.
The default Automatic option preserves the highest color setting on the Storyboard.
If you want to decrease the size of the video, select a lower color depth.
Frame Rate
Select a frame rate option from the drop-down list.
The default Automatic option preserves the highest frame rate setting on the Storyboard.
If you want to decrease the size of the video, select a lower frame rate.
Encode Audio
Remove the checkmark from the Encode Audio box if you do not want to include audio in the movie you are producing.
Audio Format
From the dropdown menu, choose the type of audio format that you want to include with this video. Once an Audio Format is selected, the Audio Attributes dialog box will be updated to reflect the default settings.
Audio Attributes
Once the Audio Format option is selected, this field will be automatically updated with a default setting. If you would like to change this setting, choose a different setting from the dropdown menu.
Basic Playback Controls
By default, the entry here is for the basic playback controls to display on the Flash video. The basic playback controls allow you to play, pause, and stop the video.
To set the options for the basic playback controls, click on the Options button. The Playback Controls Options dialog box displays.
Preload Movie: Enable this option if you want to display an image while the video is loading.
Loading Screen: If Preload Movie is selected, specify the image you would like to display while the video is loading, or use the default.
Click on the Browse button [image]. Browse and select the desired BMP, GIF, or JPEG image file. Choose Open. The file path is updated to the Loading Screen field.
Playback Controls - None
Choose this option from the dropdown menu to forego having any playback controls available on the Flash video.
Playback Controls - Advanced
Choose this option from the dropdown menu to add Advanced Playback Controls to the Flash video.
The Advanced Playback Controls will allow you to:
  1. Incorporate an animated preloading SWF file.
  2. Add a movie controller that gives you the ability to:
  3. "Scrub" back and forth in the Camtasia Studio-created SWF file.
  4. Add optional Play, Pause and Stop controls.
  5. Add optional Fast Forward and Rewind controls.
  6. Add optional About box to display movie information such as authorship, size, etc.
  7. Show the duration of the SWF file on the stage.
  8. Show the elapsed time of the SWF file.
For complete instructions on selecting the Advanced Playback options, continue with Setting Up the Flash Video Advanced Playback Controls.
End Action
Specify the action you would like to occur at the end of the video. Choosing Stop or Loop will force the player to stop or loop regardless of the player settings. Choosing Jump to URL will cause the browser to launch using the URL you provide in the field below.
To select an End Action, choose the desired action from the drop down menu.
Pause at Start
Enable this option if you want the video to pause before it is played. Enabling this option prohibits the video from automatically playing when the URL is first accessed.
With this option enabled, the video will need to be started manually using the Start button on the playback controls.
Note: If the playback controls are not enabled, you must right-click on the video in the Web browser and click Play from the pop-up menu.
URL
If you choose Jump to URL in the End Action field, specify the Web URL in this field.
Details
The Details box shows details about the selections you have made on this tab for the audio and video options of the Flash videos you are recording.
Cancel
Choose Cancel to exit back to the previous screen without making any changes.
Help
Choose Help to access the online help file containing information that is pertinent to this screen.


Macromedia Flash Video File (FLV)

Note: Once you have reviewed the information in this section and have selected the options for this file format, you will need to continue with Video Size.

Note: QuickTime v6.0 or later and the Macromedia Flash Video Exporter included with Flash MX 2004 Professional are required to produce FLV files. The Macromedia Flash authoring tool must be used to create a SWF file that plays the FLV video file.

The Macromedia Flash Video File (FLV) Encoding Options screen allows you to select the options that will be used to configure the video during production.

Macromedia Flash Video (FLV) is a cross-platform streaming file format that plays in Flash Player 7 or later or that can be streamed from the Flash Communication Server. FLV files can be used by Flash authors to optimize delivery of long videos.

Note: For more information on this file format and the available options, see the documentation that came with the Flash MX 2004 Professional authoring environment or consult the Macromedia Web site.


QuickTime Movie File

Note: Once you have reviewed the information in this section and have selected the options for this file format, you will need to continue with QuickTime Audio Setup Settings Dialog Box.

The QuickTime Encoding Options screen allows you to select the options that will be used to configure the video during production.

  • QuickTime is a cross-platform video file format with a wide selection of video and audio compressors.
  • QuickTime videos playback in the standard Apple QuickTime player on Windows and Mac computers.
  • When using this video format, you must be sure to include the QuickTime Authoring component when you install QuickTime.

QuickTime Options Description Table

The following table describes each of the QuickTime production options.

QuickTime Option
Description
Audio Setup
The Audio Setup button gives you access to the Audio Setup dialog box. In this dialog box you can set record and playback rate options.
For more information, see QuickTime Audio Setup Settings Dialog Box.
Video Setup
The Video Setup button gives you access to the Compression Settings dialog box. In this dialog box you can set the compression options for the video.
For more information, see QuickTime Compression Settings Dialog Box.
Encode Audio
Remove the checkmark from the Encode Audio box if you do not want to include audio in the movie you are producing.
Interleave Audio
Interleaving the audio and video data allows it to playback smoothly when the video file is played from a slower device such as a floppy disk, or CD-ROM. The only reason to disable interleaving would be to speed up video file "Rendering" time.
The box for Interleave audio every X video frames specifies how much to interleave audio and video data. The lower the number specified for "X," the smoother the playback will be.
Interleaving every 1 video frame is full interleaving which always results in the smoothest playback.
Details
The Details box shows details about the selections you have made on this tab for the audio and video options of the QuickTime videos you are recording.
Cancel
Choose Cancel to exit back to the previous screen without making any changes.
Help
Choose Help to access the online help file containing information that is pertinent to this screen.


QuickTime Audio Setup Settings Dialog Box

Note: Once you have reviewed the information in this section, you will need to continue with Video Size.

The Audio Setup button [image] in the Options dialog box gives you access to the Sound Settings dialog box. In this dialog box you can set the audio options for the video.

This feature is found in Camtasia Studio > Produce Video As > QuickTime Movie File Format > Next > QuickTime Encoding Options screen > Audio Setup button.

Note: Once you have set the Sound Settings, chose OK to exit back to the QuickTime dialog where you will continue with the Production process.

QuickTime Audio Settings Options Description Table

The following table describes each of the QuickTime Audio Settings options.

Audio Settings Option
Description
Compressor: Type
From the dropdown menu, choose the desired compressor option. Choose the compressor that best suits your audio content, or choose None to use uncompressed audio (best quality and largest file size).
Rate
Select the desired kHz rate from the dropdown menu. Choose higher rates for better quality and a larger file size. Choose lower rates for lower quality and a smaller file size.
Size
Choose 16 bit for higher quality sound and a larger file size. Choose 8 bit for lower quality sound and a smaller file size.
Use
Since Stereo is roughly twice the size as Mono, choose Mono unless you have audio that was recorded in stereo.
Options
Depending on which Compressor is selected, the Options button will become enabled [image].
To select the desired options, click on the Options button. The Options dialog box will display.
For more information on the QuickTime options, visit the QuickTime Website or consult your QuickTime documentation.
OK
Choose OK to save changes and exit back to the Produce Movie dialog box.
Cancel
Choose Cancel to exit back to the Produce Movie dialog box without making any changes.


QuickTime Compression Settings Dialog Box

Note: Once you have reviewed the information in this section, you will need to continue with Video Size.

The Video Setup button [image] in the Options dialog box gives you access to the Compression Settings dialog box. In this dialog box you can set the compression options for the video. This feature is found in Camtasia Studio > Produce Video As > QuickTime Movie File Format > Next > QuickTime Encoding Options screen > Video Setup button.

Note: Depending on which version of QuickTime you have installed, this particular dialog box may differ slightly.

Note: Once you have set the Compression Settings, chose OK to exit back to the QuickTime dialog where you will continue with the Production process.

Note: It is important to note that each codec option will have its own unique configuration options. For more information on each of those options, consult that specific company's documentation.

Within the scope of this section's documentation, only the options for TechSmith EnSharpen encoder will be discussed.

The EnSharpen encoder gives you:

  • Standard QuickTime movies
  • Completely lossless quality
  • The highest compression in the industry for screen recording and animated content
  • Real-time speed.
  • Compatibility with any video editing or content creation tool that can produce QuickTime movies on Macintosh or Windows - including Camtasia Studio.

EnSharpen Options Description Table

The following table describes each of the EnSharpen options.

EnSharpen Option
Description
TechSmith EnSharpen
This is the TechSmith QuickTime video codec.
Depth
Choose the desired color depth from the dropdown menu. This is the number of colors that will be in the produced video.
Compression
Choose the compression point. This determines the ratio between file size and compression speed.
Frames per second
Select the frame rate in frames per second from the dropdown list. While more frames per second usually produces smoother videos, your resulting video file will be proportionally larger and more system resources will be required to record the video.
Keyframe every
Used to determine how often to include a key frame in the video stream.
A keyframe is a video frame that does not depend on previous frames streamed to RealPlayer. It is used to recover from lost frames, during network congestion for example, and, during seeking in the movie when the user moves the seek slider in RealPlayer.
Increasing the key frame frequency results in quicker and smoother seeking. However, it increases the bandwidth needed for the video stream.
To set the Key frame inclusion rate, enter the amount of seconds in the Keyframe every field.
Limit data rate to
Some compressor types allow you to specify a maximum data rate in KBytes/sec in this field.
Kbytes/sec
If the Limit data rate to option has been enabled, enter the desired number of Kbytes per second.
OK
Choose OK to save changes and exit back to the Produce Movie dialog box.
Cancel
Choose Cancel to exit back to the Produce Movie dialog box without making any changes.


Windows Media Streaming Media File

Note: Once you have reviewed the information in this section and have selected the options for this file format, you will need to continue with Video Size.

The Windows Media Encoding Options screen allows you to select the options that will be used to configure the video during production.

The WMV file format is the latest Microsoft streaming file format. WMV files play in Microsoft's Windows Media Player. A variety of audio and video compressors are available, including the Windows Media Screen video codec which is optimized for screen recordings.

Windows Media Options Description Table

The following table describes each of the Windows Media production options.

Windows Media Option
Description
Profiles
Select the profile that you want to use in the encoding session. A profile contains all of the technical details required to encode content, which includes supported source types, target audience, codecs, frame rate, and so on.
The profiles that are available in the list depend on the type of encoding you plan to do, such as live broadcast, file conversion, or screen capture. Used to select one of the listed screen capture quality options.
They are listed by the target delivery options (28.8 Kbps live delivery, 28.8 Kbps 5 fps, and 128 Kbps -- also suitable for email delivery).
Screen Capture profiles only
Keep this option enabled.
Edit
Click on the Edit button to edit the currently selected custom profile. Continue with Windows Media Edit Options Screen.
Manage
Click on the Manage button to launch Profile Manager and create a new profile or remove an existing one. Continue with Windows Media Manage Options Dialog Box.
Description
This read-only field gives a description of the profile that is selected in the Profiles drop down menu.
Details
The Details box shows details about the selections you have made on this tab for the audio and video options of the Windows Media videos you are recording.
Add index to file (to enable seeking within the file)
Enable the Add index to file (to enable seeking within the file) option if you want to enable users to seek specific portions of the content using the seek capabilities in Windows Media Player.
Cancel
Choose Cancel to exit back to the previous screen without making any changes.
Help
Choose Help to access the online help file containing information that is pertinent to this screen.


Windows Media Edit Options Screen

The Edit button [image] gives you access to the Edit Profile dialog box. In this dialog box you can set the profile options for the video.

This feature is found in Camtasia Studio > Produce Video As > Windows Media Streaming Media File Format > Next > Windows Media Encoding Options screen > Edit button.

Note: Once you have set the Edit Profile options, chose Finish to exit back to the Windows Media dialog where you will continue with the Production process.

At this time, you will be within the Windows Media Wizard. This is a wizard that runs independently of Camtasia Studio.

For more information on each of the Windows Media Wizard options, consult your Windows Media documentation or the Window Media Website.

You can also click on the Help button found at the bottom of the wizard screens. The Windows Media online help will display.

Continue this topic with Windows Media Manage Options Dialog Box.


Windows Media Manage Options Dialog Box

The Manage button [image] gives you access to the Manage Profiles dialog box. In this dialog box you can set the profile options for the video.

This feature is found in Camtasia Studio > Produce Video As > Windows Media Streaming Media File Format > Next > Windows Media Encoding Options screen > Manage button.

This screen displays the full list of system profiles and any custom profiles that might have created. A green icon indicates system profiles; a red icon indicates custom profiles. You can create a new profile, edit or delete custom profiles, or copy a profile's characteristics and then edit it.

Note: Once you have set the Manage Profiles options, chose Close to exit back to the Windows Media dialog box where you will continue with the Production process.

While in the Manage Profiles dialog box, you will be within the Windows Media Wizard for managing profiles. This is a wizard that runs independently of Camtasia Studio.

For more information on each of the Windows Media Wizard options, consult your Windows Media documentation or the Window Media Website.

You can also click on the Help button found at the bottom of the wizard screens. The Windows Media online help will display.


Real Media Streaming Media File

Note: Once you have reviewed the information in this section and have selected the options for this file format, you will need to continue with Video Size.

The RealMedia wizard dialog box allows you to select the options that will be used to configure the video during production.

The RealMedia option creates video files that are compressed and optimized for Web delivery using the standard RealVideo and RealAudio codecs. This format gives 'real world' video content with many color gradients and high motion where lossy video quality is acceptable. It requires viewers to have the RealPlayer and codec installed.

With streaming media file formats, quality depends on the target bitrate. Also, streaming files are generally not editable and cannot be converted to any other file format. For these reasons, it is best to keep your original source content in the AVI file format and use streaming media file formats only for publishing and delivery.

RealMedia Options Description Table

The following table describes each of the RealMedia production options.

RealMedia Option
Description
File Type
Select a RealVideo file type: either SureStream or Single Rate.
Select SureStream to produce a file that can stream to target audiences at more than one bitrate. Contact your system administrator if you need more information.
Target Audience
Select an appropriate throughput option based on the access methods your viewers are likely to use.
In the Target Audience field, select the desired bitrate from the menu by clicking on the box next to the desired option. A checkmark will display once an option is enabled.
Audio Format
Select a format from the dropdown list that matches the audio included on the Storyboard.
A No Audio setting is included to produce a movie with no audio track.
Video Quality
Select an option from the dropdown list that matches your video on the Storyboard.
For most screen capture videos, Sharpest Image is the best choice.
2 Pass Encoding
This option attempts to achieve better compression by analyzing the video prior to encoding. This causes the encoding process to take longer, but may produce a smaller file.
Variable Bit Rate Encoding
This option attempts to achieve better compression by varying the bits used to encode different parts of the video.
Default
To restore defaults, click on the Default button.
Cancel
Choose Cancel to exit back to the previous screen without making any changes.
Help
Choose Help to access the online help file containing information that is pertinent to this screen.


Camtasia for RealPlayer Streaming Media File

Note: Once you have reviewed the information in this section and have selected the options for this file format, you will need to continue with Video Size.

The Camtasia RealPlayer Plugin Encoding Options screen allows you to select the options that will be used to configure the video during production.

This file format uses the Camtasia for RealPlayer Plug-In to stream video with perfect lossless quality. The audio stream is encoded with standard Real Audio codecs. Choose this option for content with few color gradients, low motion, and where the highest video quality is required.

The Camtasia for RealPlayer file format produces a presentation in three files:

  1. mymovie.camv (the video stream)
  2. mymovie.rm (the audio stream, if any)
  3. mymovie.smil (SMIL presentation file to play the audio and video streams simultaneously).

RealPlayer 8.0 or later must be installed on your system to play this format. If you are asked if you would like to update your RealPlayer, do so. When you select Camtasia for RealPlayer in Camtasia, the required Plug-In from the RealNetworks AutoUpdate service should be downloaded automatically, if necessary.

Note: A video only presentation does not require an SMIL file. The .CAMV file can be opened directly in RealPlayer.

Note: To stream a .CAMV file from a RealServer, stop RealServer, copy the camtasf.dll file format Plug-In from the Camtasia install folder to your RealServer Plugging folder and then restart RealServer.

Tips for Reducing Dropped Frames when Producing a Camtasia for RealPlayer (.camv) File

If you are experiencing dropped frames during the production of a .camv file, the following are several tips for helping to reduce dropped frames:

  • Increase the target bitrate.
  • Decrease the audio bitrate.
  • Increase the buffering 'preroll'.
  • Decrease the frame rate.
  • Decrease the color depth.
  • Avoid content with a lot of color gradients and motion.

Camtasia for RealPlay Options Description Table

The following table describes each of the Camtasia for RealPlayer production options.

Camtasia for RealPlayer Option
Description
Target Audience
Used to select the appropriate throughput option based on the access methods your viewers are likely to use.
For best performance, select the largest bandwidth likely. For conservative performance, select the smallest likely bandwidth.
To choose a Target Audience option, click on the box next to the desired option. A checkmark will display when enabled.
Note: Multiple target audience selections are not supported. Choose only one Target Audience option.
Target Bitrate Settings
Used to set the overall bitrate for each target audience. This gives you control over the exact bitrate (audio and video combined) that the streaming media file will be encoded for.
For example, it is common to encode to a target bitrate of 34 Kbps for the 56K modem target audience, since 34 Kbps of actual useable bandwidth is what you can typically expect.
To set the bitrate, click on the Target Bitrate Settings button [image]. The Target Bitrate Settings dialog box is displayed. Continue with Target Bitrate Settings Dialog Box.
Audio Target Settings
Used to set the bitrate allocated to the audio stream (if any) in your streaming media file. The video stream uses leftover bandwidth, if any. That is, if you choose 56K modem as a target audience and configure the audio stream bitrate to be 16 Kbps for the 56K modem target audience, then the video stream is encoded to a 18 Kbps bitrate (assuming the overall bitrate for 56K modem is set to 34 Kbps).
Note: The bandwidth for the video stream (resulting in fewer dropped video frames) can be increased by choosing a lower audio bitrate.
To set the bitrate, click on the Audio Target Settings button [image].
The Audio Target Settings dialog box is displayed. Continue with Target Audience Settings Tab.
Preroll
Used to set the amount of time, in seconds, that RealPlayer initially buffers the audio and video stream before it starts to play the movie.
Note: You can artificially increase the bandwidth for the video and audio stream (resulting in fewer dropped video frames) by increasing the preroll. There is a limit to how much preroll your audience will tolerate. With too large a preroll, you loose the advantages of streaming, since so much of the file must be downloaded and buffered before the movie starts to play.
To set the Preroll, enter the amount of seconds in the Preroll field.
Keyframe every
Used to determine how often to include a keyframe in the video stream.
A keyframe is a video frame that does not depend on previous frames streamed to RealPlayer. It is used to recover from lost frames, during network congestion for example, and, during seeking in the movie when the user moves the seek slider in RealPlayer.
Increasing the keyframe frequency results in quicker and smoother seeking. However, it increases the bandwidth needed for the video stream.
To set the Keyframe inclusion rate, enter the amount of seconds in the Keyframe every field.
Colors
This field is used to select the color depth of the video stream. 16-bit color is essentially lossless video.
The 12- and 9-bit color settings reduce the color in the video, resulting in some loss of quality such as exhibiting bands of color gradients.
The 12- and 9-bit color settings can significantly reduce the bandwidth required for the video stream.
To select the colors, choose the desired option from the dropdown menu.
Frame Rate
The target frame rate for the video stream. Choose automatic to use the highest frame rate of all the clips on the Storyboard. If the frame rate can not be achieved at a given target bitrate, video frames are dropped. Lower the frame rate to reduce the bandwidth needed by the video stream, but then your video can become choppy.
Audio Format
Select a format from the dropdown list that matches the type of audio that exists in the clip(s) on the Storyboard.
A No Audio setting is included to produce a movie with no audio track.
Details
The Details box shows details about the selections you have made on this tab for the audio and video options of the Camtasia for RealPlayer videos you are recording.
Cancel
Choose Cancel to exit back to the previous screen without making any changes.
Help
Choose Help to access the online help file containing information that is pertinent to this screen.


Target Bitrate Settings Dialog Box

Use this dialog box set the overall bitrate for each target audience. This gives you control over the exact bitrate (audio and video combined) that the streaming media file will be encoded for. For example, it is common to encode to a target bitrate of 34 Kbps for the 56K modem target audience, since 34 Kbps of actual useable bandwidth is what you can typically expect.

To set the bitrate, click on the Target Bitrate Settings button [image].

Note: Once you have set the Target Bitrate, chose OK to exit back to the Camtasia for RealPlayer dialog where you will continue with the Production process.

The Target Bitrate Settings dialog box is displayed.

Target Bitrate Settings Options Description Table

The following table describes each of the Target Bitrate Settings options.

Target Bitrate Settings Option
Description
Target Audience
In the Target Audience field, select the desired bitrate from the dropdown menu.
Once you have made your selection, the Target Bitrate Kbps field will automatically be populated with a default setting.
Target Bitrate Settings
Once the Target Audience option is selected, this field will be automatically updated with a default setting. If you would like to change this settings, within the Target Bitrate Kbps field, enter the desired number.
The bottom of this screen gives you the recommended Kbps number for each bitrate option. This information is read-only information and cannot be changed.
Restore Defaults
To restore defaults, click on the Restore Default button.
OK
Choose OK to save changes and exit back to the Produce Movie dialog box.
Cancel
Choose Cancel to exit back to the Produce Movie dialog box without making any changes.


Target Audience Settings Tab

Use this dialog box to set the bitrate allocated to the audio stream (if any) along with the Kbps settings for your streaming media file.

The video stream uses left over bandwidth, if any. That is, if you choose 56K modem as a target audience and configure the audio stream bitrate to be 16 Kbps for the 56K modem target audience, then the video stream is encoded to a 18 Kbps bitrate (assuming the overall bitrate for 56K modem is set to 34 Kbps).

Note: The bandwidth for the video stream (resulting in fewer dropped video frames) can be increased by choosing a lower audio bitrate.

Note: Once you have set the Target Audience, chose OK to exit back to the Camtasia for RealPlayer dialog where you will continue with the Production process.

To set the bitrate, click on the Audio Target Settings button [image]. The Target Audience Settings dialog box is displayed.

In the desired field, select the bitrate from the dropdown menu.

Once you have made your selection, the rest of the Kbps fields will automatically be populated with a recommended default setting.

Once an option is selected, a complete description of that option will be displayed under the dropdown menu. The description information is read-only information and cannot be changed.

  • To restore defaults, click on the Restore Default button.
  • Choose OK to save changes and exit back to the Produce Movie dialog box.
  • Choose Cancel to exit back to the Produce Movie dialog box without making any changes.


GIF Animation File

Note: Once you have reviewed the information in this section and have selected the options for this file format, you will need to continue with Video Size.

The Animated GIF Encoding Options screen allows you to select the options that will be used to configure the video during production.

The GIF video format allows you to publish short tutorials and product demonstrations on the Web that playback in any browser on any computer platform.

Camtasia Studio creates highly optimized animated GIF files that are as small as possible. However, there are practical limits on the length of GIF animations since they must be downloaded entirely before they can play in a browser.

GIF animations do not contain audio and are limited to 256 colors.

GIF Options Description Table

The following table describes each of the GIF production options.

GIF Option
Description
Colors
Select a color option from the drop-down list.
The default Automatic option preserves the highest color setting on the Storyboard.
If you want to decrease the size of the video, select a lower color depth.
The Automatic option is selected by default.
Frame Rate
Select a frame rate option from the drop-down list.
The default Automatic option preserves the highest frame rate setting on the Storyboard.
If you want to decrease the size of the video, select a lower frame rate.
The Automatic option is selected by default.
Loop indefinitely
When this option is enabled, after the video ends, it will loop to the beginning and play over and over.
Disable this option if you want the video to end after it plays.
This option is enabled by default.
Play
Used in conjunction with the Loop option.
Enable this option to stipulate the number of times to loop the video. Enter number of times to play.
Optimized Palette
This option will generate an optimized palette using all of the colors in all frames in the GIF file.
This option typically produces a better quality and better looking GIF file than Fixed Palette.
This option is enabled by default.
Fixed Palette
This option will generate a palette with a fixed set of colors. It may be useful if you must have the same palette used in multiple GIF files. For example, multiple animated GIF files playing on a Web page viewed on a 256-color desktop.
Include Windows colors
This option will include the standard Windows 20 colors in the GIF file palette (either Optimized Palette or Fixed Palette).
This option typically produces the best results for screen recordings.
This option is enabled by default.
Dithered color reduction
This option will apply a dithering effect during color reduction. Dithering attempts to smooth the effects of color reduction.
Dithering is typically only useful for real-world content (for example, a music video) rather than screen recordings of an Office-style application.
Details
The Details box shows details about the selections you have made on this tab for the audio and video options of the GIF videos you are recording.
Cancel
Choose Cancel to exit back to the previous screen without making any changes.
Help
Choose Help to access the online help file containing information that is pertinent to this screen.


Custom Production Profile

A Custom Production Profile contains a set of saved production instructions including the Video File Format, Encoding Options, and Video Size options.

Setting up a Custom Production Profile makes the production of videos faster and easier since choosing a Custom Profile allows you to bypass most of the Production Wizard process method.

See also:

Using Custom Production Profiles

Manage Production Profiles

Creating a Custom Production Profile
  1. To create a Custom Production Profile, create your video within Camtasia Studio as usual.
  2. When you are ready to produce your video, in the Task List, choose Produce Video As.
  3. The Production Wizard displays.
  4. Enable the Custom Production Profile option.
  5. Click on the Manage button. The Manage Production Profiles dialog box displays.
  6. Click on the New button. The Profile Editor Wizard dialog box displays.
  7. Within the Profile Name field, enter the name that you would like to give this profile.
  8. In the Description field, enter a description for this profile.
  9. Choose the desired Video File Format option.
  10. From this point on, you will choose your profile options just as though you were stepping though the wizard. Continue the rest of this setup with Video File Format Options.


Using Custom Production Profiles

  1. To use Custom Production Profiles, create a video as usual within Camtasia Studio.
  2. When you are ready to produce your video, within the Task List, choose Produce Video As. The Production Wizard will display.
  3. Enable the Custom Production Profile option.
  4. From the dropdown list, choose the desired profile. Choose Next.
  5. The Produce Video screen displays.


Manage Production Profiles

The Manage Production Profiles dialog box is used to add, edit, and remove Custom Production Profiles.

At any time, choose Close to exit from this dialog box or, choose Help to access the online help.

Accessing the Manage Production Profiles Dialog Box
  1. To access the Manage Production Profiles dialog box, create a video as usual within Camtasia Studio.
  2. When you are ready to produce your video, within the Task List, choose Produce Video As. The Production Wizard will display.
  3. Enable the Custom Production Profile option.
  4. Click on the Manage button. The Manage Production Profiles dialog box

To Add a New Profile

Choose New. Continue with Custom Production Profile.

To Edit an Existing Profile

Choose Edit. Step through the Editor Wizard screens, making any changes along the way. When you come to the end of the wizard, click on Finish. The changes will be saved.

To Remove a Profile

Select the profile that you would like to remove from the Production Profiles dropdown list. Choose Remove.

You will receive a confirmation dialog box. Choose Yes to remove the profile. Choose No to return to the Manage Production Profiles dialog box.


Video Size

Note: Once you have reviewed the information in this section and have selected the options for this file format, you will need to continue with Video Information.

The Video Size screen allows you to set the size of the produced video.

Video Size Options Description Table

The following table describes each of the video Size options.

Video Size Option
Description
Largest movie size
Creates the entire video using the size of the largest clip in the storyboard.
Selecting this option is recommended because Camtasia Studio calculates the size required to include the largest dimensions encountered in the clips included in the project.
Click on the radio button to enable this option for use.
Standard movie size
Creates your video using a standard size.
Click on the radio button to enable this option for use. From the dropdown menu, choose the desired size.
Custom size
This option allows you to create your video using dimensions that you set.
Click on the radio button to enable this option for use. Type the Width and Height in the boxes provided.
Stretch to fit
This option enlarges small clips and reduces larger ones to fit.
If the image is distorted, recalculate aspect ratios.
Place a checkmark in the Stretch to fit box if you want to create a final movie that fits the size you have specified regardless of individual clip size.
Background color
This option sets the background color for clips that are smaller than the standard size specified.
Click on the Background Color button to reveal the Color dialog box. Choose the desired color and choose OK. The color will be updated in the Size tab.
Disable Callout fade effects to reduce file size
Use instant Zoom-n-Pan speed to reduce size
Cancel
Choose Cancel to exit back to the previous screen without making any changes.
Help
Choose Help to access the online help file containing information that is pertinent to this screen.


Video Information

Note: Once you have reviewed the information in this section and have selected the options for this file format, you will need to continue with Produce Video.

Important Note when Creating a Custom Profile: After you complete this screen in your profile production process, choose Finish. You will return to the Manage Production Profiles dialog box. Choose Close to return to the Production Wizard screen. Your new profile will now be added to the Custom Production Profile dropdown list.

Note: This option is not available with Macromedia Flash (SWF) Movie File option. Continue with Produce Video.

The Video Info screen allows you to enter additional information about your video that you want displayed to your audience, such as the title, author, and copyright.

Video Information Options Description Table

The following table describes each of the Video Information options.

Video Information Option
Description
Title
Type the title of the video in this field.
Author
Type your name or organization name in this field.
Copyright
Type appropriate copyright protection information in this field.
Cancel
Choose Cancel to exit back to the previous screen without making any changes.
Help
Choose Help to access the online help file containing information that is pertinent to this screen.


Produce Video

The final step in producing a video is the actual rendering. This process assembles all of the audio, video, and images into one video file, based on the sequence you have established on the storyboard.

The Produce Video screen allows you to enter the destination folder name and file name and lets your choose two post production options.

Produce Video Options Description Table

The following table describes each of the Info options.

Info Option
Description
Destination Folder
In the Destination Folder field, select a folder for the video from the drop-down list of recently-used folders or click on the Browse button [image] to browse for one.
File Name
Enter the name of this video.
Show Production Results
Enable this option to see the Production Results dialog box after the production process is complete. Continue with
Play movie after production
Enable this option to play the video in Camtasia Player after the production process is complete.
Cancel
Choose Cancel to exit back to the previous screen without making any changes.
Help
Choose Help to access the online help file containing information that is pertinent to this screen.

Once you have set all of the video options, you are ready to start the rendering process. Within the Produce Movie dialog box, click on the Finish button. The rendering will start immediately.

At this time, two separate processes will occur: the rendering of the storyboard clips and the interleaving of the audio. During each of these processes, you will see a status dialog box giving you the progress of the processing.

Once you have set these video options, you are ready to start the rendering process. Within the Produce Movie dialog box, click on the Finish button [image].

The Production Process

After you have started the production process, the rendering will start immediately. At this time, two separate processes will occur: the rendering of the storyboard clips and the interleaving of the audio. During each of these processes, you will see a status dialog box giving you the progress of the processing.


Production Results Dialog Box

Once the processing is complete, if you enabled the Show production results option in the Produce Movie screen, you will see the Production Results dialog box.

This dialog box displays information about the movie production process, including the files that were created, content duration, content file size, and the options used to produce the movie.

Note: Each file format will display a Production Results dialog box that contains information that is relevant to its own production results. For this example, the SWF format is shown.

The results give you immediate feedback on how the production process went and key information about what was produced. After a review of the production results, you might decide to reduce the frame rate or target bitrate to see how it effects the content file size. Or, after review, you could change your production options, produce the content again, and then view the production results to determine whether you achieved the desired file size.

Note: It may be useful to copy and paste the production results from this dialog to save a record of production options used to create a particular movie. This might be especially useful for Flash developers who will need to know the SWF file's frames per second, width, and height when working with the SWF within Flash MX.

After review, to exit the Production Results dialog box, choose Close. After you choose Close, if you have opted to playback the video, the video will begin in Camtasia Player. Once the video has played, close Player. You will return to Camtasia Studio. At this time, save the video project if desired.


Setting Up the Flash Video Advanced Playback Controls

Note: This section is a continuation from the section entitled Macromedia Flash Options tab and describes how to set up the Advanced Playback Control options while producing a Flash SWF video. These options are found by selecting Camtasia Studio > Produce Video As > Macromedia Flash SWF Movie File Format > Next > Macromedia Flash Encoding Options screen > Playback Controls button.

The Flash SWF Advanced Playback Controls will allow you to:

  • Incorporate an animated preloading SWF file.
  • Add a movie controller that gives you the ability to "Scrub" back and forth in the Camtasia Studio-created SWF file.
  • Add Fast Forward and Rewind controls.
  • Add an About box to display movie information such as authorship, size, etc.
  • Show the duration of the SWF movie.
  • Show the elapsed time of the SWF movie.

Note: Once you have made your playback selections, choose OK in the Advanced Playback Controls dialog box to save your work and exit back to the Production Option dialog box. At that time, continue the Production process as normal. You can also choose Cancel at any time to exit the Advanced Playback Controls dialog box without making any changes.

Note: After production is complete to run the SWF Movie with the Playback Controls, run the *.html file.

The following graphic shows you what the different playback options might look like in your flash movie.


Selecting the Advanced Playback Controls

To begin the selection process, from within the Production Options dialog box, choose the Advanced option from the dropdown menu and then click on the Options button.

The Playback Control Options dialog box displays.

Playback Control Options Description Table

The following table describes each of the Playback Control options.

Movie Controller Option Field
Use
Controller Color
Click on the Control Color button [image] to display the color selection chart. Use the mouse to select the color that you want to tint the Movie Controller.
Show fast forward/rewind controls
Enable this option to display the fast forward and the rewind controls on the Movie Controller. When enabled, the finished movie will contain a Fast Forward and Rewind control button.
Show about box
Enable this option if you would like to make an "About" box available to the users.
The About box is accessed by the user when the Camtasia Studio button is selected on the Movie Controller. This type of box usually contains important information such as copyright, authorship, dates, etc.
When the About box option is enabled, the About box text field is displayed.
When the About option is disabled, the About box text field is disabled.
About box text
Enter the desired information, up to eight lines of text.
Show duration
Display the total duration of the SWF movie in the selected display format.
Show elapsed time
Display the current time of the SWF movie in the selected display format.
Display format
From the dropdown menu, select a display text format for the duration and/or elapsed time. You may chose different Hour: Minute combinations.
Font
Select the font in which you would like the duration and/or elapsed time to be displayed. To assure that the target machine has these fonts, there are two standard options for you to choose from, either Arial or Times New Roman.
Font Color
Click on the Font Color button to display the color selection chart. Use the mouse to select the color that you want to tint the font.
Show loading movie
Enable this option if you would like to show a SWF movie while your Camtasia Studio SWF file downloads.
Once enabled, additional options become available.
Match loading movie size to main movie size
Enable this option if your would like your preloading movie's size to match the size of the main movie's size. This option ensures that both movies are the same size in terms of width and height.
If this option is not enabled, then the preloading movie will display at it's own width and height dimensions.
Loading Movie URL (local or on HTTP server)
Enter the URL or path to the movie you would like to display while your Camtasia Studio SWF file loads.
To help get you up and going quickly with the Advanced Control options, we have provided a default entry that links to a Camtasia Studio-made preload SWF file.
The loading movie does not have to be a SWF file. It can also be a JPEG, GIF, or BMP file. However, if a non-SWF file is used, it will automatically be converted to a SWF file by CS.
This file can be on local system or it can be on an HTTP or HTTPS server.
If the selected file is on a local system, it will be copied to the SWF file's output directory.
If the selected file is on an HTTP or HTTPS server, the file will not be copied to the SWF file's output directory.
Note: The is has a drop down that allows selecting of "Default Movie," but does not store other URLs.
Percent of main movie to preload
Enter the percentage of the main movie that you would like to preload before it begins playing. The preload movie will remain on the screen until this percentage is reached.
Minimum Preload movie display time (in seconds)
You may enter the minimum amount of time in seconds that you would like the preload movie to remain on the screen.
This works in combination with the % of Main Movie to Preload setting. This means that both conditions must be met before the movie will begin playing.


About the Advanced Playback Control Files

During the creation of the Flash movie using the Advanced Playback Controls, five separate files are created. These files are shown in the graphic below and described in the following table.

Note: If the main SWF movie file is run alone, it will play, but no playback controls will be present and it may look slightly distorted. If the controller SWF is run alone, it will fail.

Playback Control Options Description Table

The following table describes each of the Playback Control options.

File Extension
File Type
Description
*.html
HTML Document
The HTML file that the Flash movie plays in. To run the SWF Movie with the Playback Controls, run the *.html file.
*.swf
Flash Movie
What was converted to a SWF file from an AVI file during the production process.
*_config.xml
XML Document
This file contains all of the options to control the appearance of playback controls.
Note for those familiar with Flash development: This file's XML tags can be edited to change how the playback bar looks. All of the options that are present in the Playback Controls Options dialog box can be accessed via the XML file. Editing the XML file to reflect changes to the playback controls saves considerable time since this process bypasses the process of reproducing the AVI file.
*_controller.swf
Flash Movie
This is the file that contains all of the selected playback graphics.
*._preload.swf
Flash Movie
This is the movie that will be used as the preload movie.


Editing Post-Production Flash SWF Movie File Advanced Controls

Several of the files that are created during the production process of a SWF file using the Advanced Playback Controls are editable for various reasons such as changing the name of the SWF movie or desiring to customize the look of the playback bar without reproducing the entire file.

The following sections give you complete instructions on editing these files. See B and Editing the XML File to Change the Look of the Playback Controls.


Edit a Flash Movie's Advanced Playback Controls Files

Several of the files that are created during the production process of a SWF file using the Advanced Playback Controls are editable for various reasons such as changing the name of the SWF movie or desiring to customize the look of the playback bar without reproducing the entire file.

The following sections give you complete instructions on editing these files.

Editing the SWF Files to Change a Movie Name

If you decide to change the name of your SWF movie, there are two file names that must be edited in order for the movie to play correctly. These two files are the actual SWF movie file and the movie URL tag within the XML file.

To begin, first rename the SWF file using Windows Explorer: .

Next, open the XML file using Notepad or WordPad. To open in Notepad, simply double-click on the XML file. To open within WordPad, within Windows Explorer, right-click on the XML file and choose Open With > WordPad.

The XML file will open. In the MovieURL line, change the name of the SWF file. This is found between the > < as seen in the example below.

Once you have made your change, choose File > Save As. From the Save As dialog box, choose Save. When asked if you want to overwrite the existing file, choose Yes.

Adding a Config File to Run the SWF Movie inside the Flash Player

There may come a time when you will want to play the SWF movie within the Flash Player instead of a browser. To do this, you must create a configuration file named config.xml and put that file in the same folder as the *._controller.swf file. This addition of a config file will 'tell' the movie to bypass displaying the movie in the browser and to play the movie within the stand-alone Flash Player.

Note: The stand-alone Flash Player must be available on the user's system in order for this process to work.

To create an alternative config.xml file, simply copy and paste the *._config.xml file generated by Camtasia Studio during production and rename it to config.xml.

To run the SWF movie, run the *._controller.swf. The HTML file will be bypassed and the movie will play in the stand-alone Flash player as seen below.


Editing the XML File to Change the Look of the Playback Controls

If you have produced your Flash movie and decide that you don't like the look of your Advanced Playback Controls, you can easily edit the *._config.xml to make any desired changes. This process saves a great deal of time since you don't have to make the changes in Camtasia Studio and then reproduce the movie to get the desired results. All of the options that are present in Camtasia Studio's Advanced Playback Controls Options dialog box can be accessed within the XML file along with several options found within the Production Options dialog box.

Overall, the process for editing the Advanced Playback Controls is quite simple. You simply edit the XML file in a text editor, modify the values in between the starting and closing XML tags > <, and then save the file. Detailed instructions on modifying the XML file follow this overview information.

Modifying the SWF Movie's XML File

Open the XML file using Notepad or WordPad. To open in Notepad, simply double-click on the XML file. To open within WordPad, within Windows Explorer, right-click on the XML file and choose Open With > WordPad.

The XML file will open and you will see many values surrounded by XML tags.

XML Entry Overview

There are three parts to the tags in this XML file. The first is the opening tag enclosed in (< >). After the opening tag is the value. This is the part that will be edited. After the value is the closing tag. The closing tag looks like the opening tag except that it has a slash (/) before the tag name.

Note: When making edits, all of the new entries must be formatted exactly as they appear in the original XML file.

Making the Actual Changes to the XML File

In the desired line, you will need to change the current option entry to the new entry. The option entries, known as values, are found between the XML tags > <.

To make a change, highlight the existing value and then type the new value using the same formatting that existed in the original value. Once you have made your changes, choose File > Save As. From the Save As dialog box, choose Save. When asked if you want to overwrite the existing file, choose Yes. Launch the accompanying HTML file in your web browser and the changes will take effect.

XML Advanced Playback Control Options

The following table describes each of the XML file options. These options are found within Camtasia Studio's Production Wizard. Choose the Macromedia Flash (SWF) Movie File format and then choose Next.

Option Name
XML File Advanced Playback Control Option
Production Wizard Equivalent
Description
Valid Values
Auto Start the Movie
AutoStart
Pause at Start:
This option will determine if the movie begins playing right after it is loaded.
If the value entered is "0", the user must push play in order to start the movie.
1 = Movie will begin playing.
0 = Movie will pause before playing.

Movie Width
MovieWidth
Custom Size: Width
Width of the content movie in pixels.
Cannot be changed within this file. In order to change the Movie Width, you must make the changes within Camtasia Studio and then reproduce your movie.
Movie Height
MovieHeight
Custom Size: Height
Height of the content movie in pixels.
Cannot be changed within this file. In order to change the Movie Height, you must make the changes within Camtasia Studio and then reproduce your movie.
Background Color
Background Color
Background Color
This option describes the background color of the movie. The color is entered in hexadecimal color code.
If you are not sure what color code to use, you can easily look up "hexadecimal color chart" by doing an Internet search from your favorite browser. This will give you a list of sites that contain the information that you need.
Enter the hexadecimal color number.
Movie File Name
MovieURL
Movie File Name
This is the name of the actual SWF main movie.
Enter the desired movie name.
Note: If this option is changed, the actual *.swf file name must also be renamed to match this entry.
Show Loading Movie
ShowLoadingMov
Show Loading Movie
This option is used to show a SWF movie while your Camtasia Studio SWF file downloads.
1 = Preload movie will begin playing.
0 = Preload movie will not play.
Loading Movie URL (local or on HTTP server)
LoadingMovURL
Show Loading Movie
When choosing a different preload movie using the XML file, the loading movie must be a SWF file.
It cannot be a JPEG, GIF, or BMP as allowed by the Camtasia Studio production process.
Enter the URL or path to the SWF movie you would like to display while your Camtasia Studio SWF file loads.
This file can be on local system or it can be on an HTTP or HTTPS server.
If the selected file is on a local system, it will be copied to the SWF file's output directory.
If the selected file is on an HTTP or HTTPS server, the file will not be copied to the SWF file's output directory.
Match preload movie size to main movie size
ScaleLoadingMov
Match preload movie size to main movie size
You can enable this option (1) if you would like your preloading movie's size to match the size of the main movie. This option ensures that both movies are the same size in terms of width and height.
If this option is not enabled (0), then the preloading movie will display at it's own width and height dimensions.
1 = Preload movie size will match the size of the main movie.
0 = Preload movie will play at its original size.
Percent of main movie to preload
LoadingMovPercentToLoad
Percent of main movie to preload
The preload movie will remain on the screen until this percentage is reached.
Enter the percentage out of 100 that you would like to preload before it begins playing.
Minimum Preload movie display time (in seconds)
LoadingMovMinDuration
Minimum Preload movie display time (in seconds)
The time in seconds that you would like the preload movie to remain on the screen.
This option works in combination with the Percent of Main Movie to Preload setting.
This means that both conditions must be met before the movie will begin playing.
Enter the minimum amount of time in seconds that you would like the preload movie to remain on the screen.
Controller Color
ControllerColor
Controller Color
This option describes the color of the movie controller. The color is entered in hexadecimal color code.
If you are not sure what color code to use, you can easily look up "hexadecimal color chart" by doing an Internet search from your favorite browser. This will give you a list of sites that contain the information that you need.
Enter the hexadecimal color number.
Show Fast Forward and Rewind Controls
ShowFFRW
Show fast forward/rewind controls
Enable this option to display the fast forward and the rewind controls on the Movie Controller.
When enabled, the finished movie will contain a Fast Forward and Rewind control button.
1 = Will display the Fast Forward and Rewind Controls.
0 = Fast Forward and Rewind Controls will not display.
Show About Box
ShowAbout
Show About box
Enable this option if you would like to make an "About" box available to the users.
The About box is accessed by the user when the Camtasia Studio button is selected on the Movie Controller.
1 = Will display the About box.
0 = The About box will not display.
About Box Text
AboutBoxText
About box text
This type of box usually contains important information such as copyright, authorship, dates, etc.
Enter the desired information, up to eight lines of text.
Display Format
TimeDisplayFormat
Display Format
Enter a display text format for the duration and/or elapsed time. There are several different Hour: Minute combinations.
Enter the desired duration code exactly as it is given here.
SS
Two digit seconds
MM:SS
Two digit minutes and seconds separated by a colon
HH:MM
Two digit hours and minutes separated by a colon
HH:MM:SS
Two digit hours, minutes, and seconds separated by colons
SSs
Two digit seconds with `s' abbreviation
MMm SSs
Two digit minutes and seconds with `m' and `s' abbreviations
HHh MMm
Two digit hours and minutes with `h' and `m' abbreviations
HHh MMm SSs
Two digit hours, minutes, and seconds with `h,' `m,' and `s' abbreviations
Duration
ShowDuration
Duration
Displays the total duration of the SWF movie in the selected display format.
1 = Will display the duration.
0 = The duration will not display.
Show Elapsed Time
ShowElapsedTime
Show Elapsed Time
Displays the current time of the SWF movie in the selected display format.
1 = Will display the elapsed time.
0 = The elapsed time will not display.
Time Display Font
TimeDisplayFont
Time Display Font
Enter the font in which you would like the duration and/or elapsed time to be displayed.
To assure that the target machine has these fonts, there are two standard options for you to choose from:
Arial
Times New Roman
Font Color
TimeDisplayFontColor
Font Color
This option describes the color of the duration and elapsed time display. The color is entered in hexadecimal color code.
If you are not sure what color code to use, you can easily look up "hexadecimal color chart" by doing an Internet search from your favorite browser. This will give you a list of sites that contain the information that you need.
Enter the hexadecimal color number.


Batch Production Wizard

The Batch Production option allows you to batch process multiple Camtasia Studio projects using the Batch Production Wizard. This option is especially helpful for those user's who create many projects and would like to batch produce them all at once, maybe even overnight, in order to save time during the work day.

Producing takes place though the use the Production Wizard. This option is found in the Task List under Produce > Produce Video As or under File > Produce Video As.

The easy-to-use wizard presents a series of wizard panels that prompt you for the information needed to batch produce your videos.

To begin a batch production
  1. From within the Task List, choose Produce > Batch production or choose File > Batch Production. The Select Files dialog box displays.
  2. Click on the Add Files/Projects button to add the projects to produce. The Select Files and Projects to batch Produce dialog box displays.
  3. Browse and select the desired files. To select multiple files, hold down the <CTRL> key while selecting the files with the mouse. Choose Open. If you have added any files in error, highlight them and choose the Remove Selected button.
  4. When you have all your files added to the File Name list, click on Next.
  5. The Batch Production screen displays. Choose how to apply the profiles to the projects being produced. Choose Next.

If you chose: Use a different profile for each file/project

Then you will be at the Select Profiles screen.

  1. Use the dropdown menu in the Profile Name field to select a profile for each file in the list.
  2. To create or edit a profile, choose the Profile Manager button.
  3. When you have assigned all your projects a profile, choose Next.
  4. You will be at the Batch Wizard Output screen. Click on the Browse button and select the desired output folder to house the videos.
  5. Choose Finish.
  6. The processing will begin. Continue with the topic entitled About the Processing found below.

If you chose: Use one profile for all files/projects

Then you will be at the Batch Wizard Output screen.

  1. Click on the Browse button and select the desired output folder to house the videos.
  2. Choose Finish.
  3. The processing will begin. Continue with the topic entitled About the Processing found below.

About the Processing

After you choose Finish, the batch processing will immediately begin. As the batch process proceeds, you will see the status of each projects being produced.

Once the batch processing is complete, you will see the Production Results dialog box. This results box gives you valuable information about your produced files such as the start and end times, the named of the produced video, and where the files where stored once they were produced.

Choose Close to exit the Production Results dialog box.


Camtasia Recorder

Camtasia Recorder allows you to capture cursor movements, menu selections, pop-up windows, layered windows, typing, and everything else you see on your screen.

  • You can use ScreenDraw, included in Recorder, to draw on your desktop while you record a video -- just like television sportscasters!
  • Use Camtasia Recorder's powerful ScreenPad annotation feature to add callouts, logos and graphics as you record your video.
  • Apply real-time effects like cursor and object highlighting, graphic and image annotations, watermarks, time stamps, captioning and audible mouse clicks.
  • Move in for a closer look with Zoom.
  • Pan the capture frame across the screen to show more detail.

General Suggestions for Recording
  • Make multiple short recordings instead of one large recording.
  • You may find that you need to rehearse video capture sequences to get the best results. To practice, you can perform several "takes," replaying them after production to see ways of improving the video.
  • For lengthy or involved sequences of action, you may want to write a script before recording. Think through the actions, in detail, you want to capture, then write them down in sequential steps.
  • Record clips using high-quality codec settings (for example, use the TechSmith Screen Capture Codec for lossless video compression, and use uncompressed PCM audio). Then, use Camtasia Studio to produce a finished video with whatever final compression you need from the high-quality lossless source clips recorded with Recorder.
  • If you are including voice-over audio, write your comments exactly as you want them and print the script in large type, to make it easy to read while recording. To eliminate the sound of paper shuffling, you can tape script pages together and hang them near the monitor so they are easy to read.
  • Normal mouse and cursor movement can be jerky, hesitant, or too fast for the capture to pick up. The cursor appears to jump and the program reacts before the viewer can see where the mouse is. To eliminate some of these problems, practice the sequence slowly, then build up speed as you go.
  • When showing cursor movement, pause a fraction of a second over the element, then click. This will allow cursor position to be established in the video before the next action takes place.
  • By viewing glitches and correcting them in succeeding takes, you will eventually come up with a professional-looking video sequence that you can save.


Getting Familiar with the Recorder Screen

The Camtasia Recorder screen has a very intuitive, easy-to-use interface. Below, you will find an overview of the components of Camtasia Recorder's two different views of the recorder screen: the Normal view and the Recording view. Before you begin your work within Recorder, take a few minutes to get familiar with these.

Additionally, information on the Recorder Toolbar Options is included in this chapter.

Normal View

When you first startup Camtasia Recorder, you will be in the default normal view as seen in the following graphic.

Recording View

Once you begin to record, you will revert to the recording view as seen in the following graphic.

How do I Start, Pause, Stop, and Delete a Recording?

The following sections give detailed information on starting, pausing, stopping, and deleting a recording.

Start a Recording

There are three ways to start recording:

  1. Click the Record button on the toolbar [image]. The Recording Wizard displays.
  2. Select menu options Capture > Record.
  3. Press the default Record/Pause hotkey, <F9>. Or, if you have changed hotkeys, use those. You will be in record mode. You'll know you are recording because the green brackets in the corners showing the recording area begin to flash slowly (for all inputs except Screen).

Pause a Recording

There are three ways to pause recording:

  1. Click the Pause button on the toolbar [image].
  2. Select menu options Capture > Pause.
  3. Press the default Record/Pause hotkey, <F9>. Or, if you have changed hotkeys use those. Recorder's status area shows statistics about the recording you are currently making. Take a second to review them.
Stop a Recording

This finishes and saves the current capture. There are three ways to stop recording:

  1. Click the Stop button on the toolbar [image].
  2. Press the default Stop hotkey <F10>.
  3. Select menu options Capture > Stop. Or, if you have changed hotkeys, use those.

The Save Video File As dialog opens for you to specify a filename (unless you specified automatic file naming using Options > Preferences > File Name).

The Windows Media Player on your computer starts with the video file loaded and may start automatically.

Delete a Recording

This cancels and discards the current capture.

During any recording, you can delete or cancel the process these ways:

  1. Click the Delete button on the toolbar [image].
  2. Select menu options Capture > Delete.

The capture pauses and you get a message asking if you are sure you want to delete the current video capture. If you answer Yes, the recording stops and any captured frames are discarded.


Recorder Toolbar Options

Several of the most-used options have been added to the main toolbar on the Recorder screen.

Placing these much-used tools on the toolbar allows you to access them more quickly.

Next to several of the tool buttons you will see a small, black down-arrow. Clicking on the down-arrow will reveal a dropdown menu of options related to that tool.

To aid in your navigation around the Recorder toolbar, each time your cursor touches a button, a tool tip will appear. The tool tip gives you the name of the tool.

Choosing a Toolbar

There are several toolbars available within Recorder. By default, only the main toolbar is displayed when Recorder is first opened. You can display any or all of the other toolbars by enabling them from the View menu.

To enable a toolbar to view, choose the desired toolbar from the View dropdown menu. Once enabled, a small bullet will be placed next to the toolbar name. The different toolbars are highlighted in the graphic below.


Main Toolbar Description Table

The Main toolbar is used primarily for starting the recording, pausing and stopping the recording, and accessing the recording options.

The following table describes each of the tools that can be found on the Main toolbar along with its use.

Button
Tool Name
Description
Use
Record
Begins the recording sequence.
Click on the small down arrow to access the dropdown list of individual Input options.
Click on the Record button to begin recording.
Screen: Captures the entire screen.
Window: Captures a window.
Region: Captures a user-defined region of the screen.
Fixed Region: Captures a predetermined region of the screen.
For complete information on the Input options, see Input Menu Options.
Pause
Pauses the recording.
Click on the Pause button to pause recording.
Stop
Stops the recording so you can save the file.
Click on the Stop button to stop recording. You will be prompted to save your video.
Delete
Deletes the recording you just made.
Click on the Delete button to delete recording.
When selected, the capture pauses and a message displays asking if you are sure you want to delete the current video capture. If Yes, the recording stops and any captured frames are discarded.
Toggle View
Changes the view of the Recorder screen.
Additionally, click on the small down arrow to access the dropdown list of View menu options for the toolbars and ScreenPad.
For more information on the toolbars found in the View menu, see the following:
  • Recorder Toolbar Options
  • Audio Toolbar Description Table
  • Cursor Toolbar Description Table
  • Zoom and Pan Toolbar Description Table
For more information on ScreenPad, see ScreenPad.
Click on the Toggle View button to change the view of the Recorder screen.
The toggle button cycles through the following views.
Standard View: This is the default view of the Recorder screen that shows the main toolbar and the video statistics and properties area.
You can also toggle the Standard view by choosing View > Standard. A bullet placed adjacent to Standard lets you know this option is enabled.
Compact View: This view of the Recorder screen only shows the menu bar, main toolbar, and any other toolbars that are turned on. You will not see the video statistics and properties area.
You can also toggle the Compact view by choosing View > Compact. A bullet placed adjacent to Compact lets you know this option is enabled.
Minimal View: This view of the Recorder screen only shows the main toolbar and any other toolbars that are turned on. You will not see the menu bar or the video statistics and properties area.
You can also toggle the Minimal view by choosing View > Minimal. A bullet placed adjacent to Minimal lets you know this option is enabled.
Note: During the recording process, you can choose to minimize Recorder to the system tray. This keeps Recorder out of the way while you record. To minimize Recorder while you record, choose Tools > Options > Program Tab option. Enable the Minimize before starting capture option:
Options
Will open the Options dialog box.
Click on the Options button to open the Options dialog box. Click on the small down arrow to access the dropdown list of individual Options tabs.
AVI:
Used to set preferences for recording videos such as codecs, key frame rates, time-lapse capture, etc. See also AVI Tab.
File:
Used to set the file naming options for your video recordings. See also File Tab.
Hotkeys:
A hotkey is a key or combination of keys that you push to run a command or operate a program. Use this tab to define the hotkey options used in the making of your recordings. You can change the default hotkeys to whatever you would like. See also Hotkeys Tab.
Live:
Used to set the options for the Live Desktop Video Feed feature. See also Live Tab.
Program:
Used to set the Program Capture Options. See also Capture Tab.
Annotation:
For adding annotations to the video. Annotations include a timestamp, watermark, captions, highlights, etc. See also Annotation Tab.
Audio:
For adding audio effects to the video as it is being recorded. Audio effects include real-time audio inputted from a microphone, mouse click sounds, and keyboard sounds. See also Audio Tab.
Cursor: For adding cursor effects to the video as it is being recorded. Cursor effects include hiding the cursor, showing the cursor, highlighting the cursor, and highlighting the mouse clicks. See also Cursor Tab.
ScreenDraw: For adding a drawing effect over the screen. You can draw various shapes, such as Highlight, Ellipse, Pen, Line, or Arrow. See also ScreenDraw Tab.
Watermark: For adding a watermark graphic to your video. The watermark is a small image that is placed into the recording area. See also Watermark Tab.
Zoom & Pan: For adding zoom and/or pan effects to the video as it is being recorded. Zooming magnifies your actions. Panning focuses your actions. See also Zoom and Pan Toolbar Description Table.
Camtasia Studio
Will open the dropdown menu allowing you to choose another component to open.
Click on the small down arrow to reveal a dropdown menu of individual Camtasia Studio components.
Use the mouse to select the desired component.
Help
Opens the Recorder online help.
Click on the Help button to display the help file.


Annotation Toolbar Description Table

The Annotation toolbar is used primarily for adding annotations to the video while you record. Annotations include a timestamp, watermark, captions, highlights, etc.

The Annotation tools are toggle options. This means that you can use the toolbar buttons to turn the desired option on or off as the video is being recorded. Click on the button once to enable the option. Click on the button once more to disable the option.

The following table describes each of the tools that can be found on the Annotation toolbar along with its use.

Note: The Annotation toolbar is turned on or off using the Annotation Toolbar option in the View dropdown menu. For more information on the View menu, see View Menu Options.

Button
Tool Name
Description
Use
Add System Stamp
Add an annotation with the current time and date, computer or user name, or elapsed time to your video.
Click on the Add System Stamp button to add stamp to video during recording.
The Add System Stamp option can also be activated from the menu bar in Effects > Annotation > Add System Stamp.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
This option is configured in the Effects Options dialog box under the Annotation tab. Choose Effects > Options > Annotation.
For more information, see Annotation Tab.
Add Caption
Add a text annotation to your video.
Click on the Add Caption button to add a caption to the video during recording.
The Add Caption option can also be activated from the menu bar in Effects > Annotation > Add Caption.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
This option is configured in the Effects Options dialog box under the Annotation tab. Choose Effects > Options > Annotation.
For more information, see System Stamp & Caption Option Buttons.
Add Watermark
Add a watermark graphic to your video.
The watermark is a small image that is placed into the recording area.
Click on the Add Watermark button to add a watermark to the video during recording.
The Add Watermark option can also be activated from the menu bar in Effects > Annotation > Add Watermark.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
This option is configured in the Effects Options dialog box under the Annotation tab. Choose Effects > Options > Watermark.
For more information, see Watermark Tab.
AutoHighlight
Add a highlight border to areas of the capture (typically a window, dialog, or box) as the cursor passes over them during capture.
The highlight area changes dynamically with the cursor position.
Click on the AutoHighlight button to add a highlight to the video during recording.
The AutoHighlight option can also be activated from the menu bar in Effects > Annotation > AutoHighlight.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
This option is configured in the Effects Options dialog box under the Annotation tab. Choose Effects > Options > Annotation.
Note: You can use Capture > Pause/Resume to control exactly when and where the AutoHighlight effect appears.
For more information, see Annotation Tab.
Highlight
Allows you to select a static area of a window or the whole window to have a highlight rectangle around it.
As you record the movie and move the cursor on screen, the highlight area does not change.
Click on the Highlight button to add a highlight to the video during recording.
The Highlight option can also be activated from the menu bar in Effects > Annotation > Highlight.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
This option is configured in the Effects Options dialog box under the Annotation tab. Choose Effects > Options > Annotation.
For more information, see Annotation Tab.
ScreenDraw
Add a drawing effect over the screen. You can draw various shapes, such as Highlight, Ellipse, Pen, Line, or Arrow.
Click on the ScreenDraw button to add a drawing to the video during recording.
The ScreenDraw option can also be activated from the menu bar in Effects > Annotation > ScreenDraw.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
This option is configured in the Effects Options dialog box under the ScreenDraw tab. Choose Effects > Options > ScreenDraw.
For more information, see Annotation Tab and ScreenDraw Tab.


Audio Toolbar Description Table

The Audio toolbar is used for adding audio effects to the video as it is being recorded. Audio effects include real-time audio inputted from a microphone, mouse click sounds, and keyboard sounds.

The Audio tools are toggle options. This means that you can use the toolbar buttons to turn the desired option on or off as the video is being recorded. Click on the button once to enable the option. Click on the button once more to disable the option.

The following table describes each of the tools that can be found on the Audio toolbar along with its use. For more information on this topic, see Audio Tab.

Note: The Audio toolbar is turned on or off using the Audio Toolbar option in the View dropdown menu. For more information on the View menu, see View Menu Options.

Button
Tool Name
Description
Use
Record Audio
Record real-time audio as you record the video.
To record audio, click on the Record Audio button.
The Record Audio option can also be activated from the menu bar in Effects > Audio > Record Audio.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
Cursor Sounds
Record sounds for cursor clicks as you record the video
To record cursor sounds, click on the Cursor Sounds button.
The Cursor Sounds option can also be activated from the menu bar in Effects > Audio > Cursor Sounds.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
This option is configured in the Effects Options dialog box under the Audio tab. Choose Effects > Options > Audio.
For more information, see Cursor Tab.
Keyboard Sounds
Record sounds for key clicks as you record the video.
To record keyboard sounds, click on the Keyboard Sounds button.
The Keyboard Sounds option can also be activated from the menu bar in Effects > Audio > Keyboard Sounds.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
This option is configured in the Effects Options dialog box under the Audio tab. Choose Effects > Options > Audio.
For more information, see Audio Tab.
Mute Audio Effects
Mute all sound effects.
To mute all sound effects, click on the Mute Audio Effects button.


Cursor Toolbar Description Table

The Cursor toolbar is used for adding cursor effects to the video as it is being recorded. Cursor effects include hiding the cursor, showing the cursor, highlighting the cursor, and highlighting the mouse clicks.

Click on the desired button once to enable the option. Click on the Hide Cursor button [image] to disable the option.

The following table describes each of the tools that can be found on the Cursor toolbar along with its use. For more information on this topic, see Cursor Tab.

Note: The Cursor toolbar is turned on or off using the Cursor Toolbar option in the View dropdown menu. For more information on the View menu, see also View Menu Options.

Button
Tool Name
Description
Use
Hide Cursor
Hides the cursor during recording of video.
To hide the cursor, click on the Hide Cursor button.
The Hide Cursor option can also be activated from the menu bar in Effects > Cursor > Hide Cursor.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
Show Cursor
Show the cursor during recording of video.
To show the cursor, click on the Show Cursor button.
The Show Cursor option can also be activated from the menu bar in Effects > Cursor > Show Cursor.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
This option is configured in the Effects Options dialog box under the Cursor tab. Choose Effects > Options > Cursor.
Highlight Clicks
Visually highlight the clicking of the mouse during the recording of video using a variety of shapes and colors.
To show the mouse cursor clicks, click on the Highlight Clicks button.
The Highlight Clicks option can also be activated from the menu bar in Effects > Cursor > Highlight Clicks.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
This option is configured in the Effects Options dialog box under the Cursor tab. Choose Effects > Options > Cursor.
Highlight Cursor
Highlight the cursor with a translucent outline during the recording of video using a variety of colors.
To show the highlighted cursor, click on the Highlight Cursor button.
The Highlight Cursor option can also be activated from the menu bar in Effects > Cursor > Highlight Cursor.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu. This option is configured in the Effects Options dialog box under the Cursor tab. Choose Effects > Options > Cursor.
Highlight Cursor & Clicks
Turn on highlighting of both cursor clicks and cursor movement using a variety of shapes and colors.
To show the highlighted cursor and mouse clicks, click on the Highlight Cursor & Clicks button.
The Highlight Cursor option can also be activated from the menu bar in Effects > Cursor > Highlight Cursor & Clicks.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu. This option is configured in the Effects Options dialog box under the Cursor tab. Choose Effects > Options > Cursor.


Zoom and Pan Toolbar Description Table

The Zoom and Pan toolbar is used for adding zoom and/or pan effects to the video as it is being recorded.

Overall, zooming magnifies your actions while panning focuses your actions. Zooming and panning help to focus your viewer's attention on specific areas of your recording.

  • Zoom while recording to show more detail or cover more area.
  • Pan to capture the smaller area where the action is taking place.

The following table describes each of the tools that can be found on the Zoom and Pan toolbar along with its use.

Note: The Zoom and Pan toolbar is turned on or off using the Zoom and Pan toolbar option in the View dropdown menu. For more information on the View Menu, see View Menu Options.

Button
Tool Name
Description
Use
AutoPan
AutoPan the area you are recording.
This option follows the cursor while you are recording with a floating area that shows where the action happens.
To enable AutoPan, click on the AutoPan button.
The AutoPan option can also be activated from the menu bar in Effects > Zoom & Pan > AutoPan.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
This option is configured in the Effects Options dialog box under the Zoom tab. Choose Effects > Options > Zoom.
AutoZoom
AutoZoom during recording.
AutoZoom allows you to zoom between two windows, regions, etc., with a smooth, professional appearance.
AutoZoom automatically pans the area and zooms in smoothly.
To enable AutoZoom, click on the AutoZoom button.
The AutoZoom option can also be activated from the menu bar in Effects > Zoom & Pan > AutoZoom.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
This option is configured in the Effects Options dialog box under the Zoom tab. Choose Effects > Options > Zoom.
Zoom Out
Zoom Out on the area you are recording.
This allows you to reduce a portion of the screen or application area (and therefore capture a larger area).
The percentage of zoom is indicated in the statistics display area.
This option always maintains aspect ratio of capture.
To zoom out, click on the Zoom Out button.
Continue clicking the Zoom Out button until the correct zoom level is achieved.
The Zoom Out option can also be activated from the menu bar in Effects > Zoom & Pan > Zoom Out.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
This option is configured in the Effects Options dialog box under the Zoom tab. Choose Effects > Options > Zoom
Zoom In
Zoom In during recording to show more detail on screen or cover more area.
This allows you to enlarge a portion of the screen or application area (and therefore capture a smaller area).
The percentage of zoom is indicated in the statistics display area.
This option always maintains aspect ratio of capture.
To zoom in, click on the Zoom In button.
Continue clicking the Zoom In button until the correct zoom level is achieved.
The Zoom In option can also be activated from the menu bar in Effects > Zoom & Pan > Zoom In.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
This option is configured in the Effects Options dialog box under the Zoom tab. Choose Effects > Options > Zoom.
Zoom To
The Zoom To button will zoom directly to a certain size, or to a specific region, window or the full screen.
To enable Zoom To, click on the Zoom To button.
Once enabled, clicking on the Zoom To button again will set the zoom view back to 100 percent.
Click on the small down arrow to access the dropdown list of zoom to options.
The Zoom To option can also be activated from the menu bar in Effects > Zoom & Pan > Zoom To.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.
Zoom Undo
The Zoom Undo button reverts back to the last zoom size and toggles between the last two zoom sizes.
To enable Zoom Undo, click on the Zoom Undo button.
The Zoom Undo option can also be activated from the menu bar in Effects > Zoom & Pan > Zoom Undo.
When this option is enabled for recording, a checkmark is placed next to the option in the dropdown menu.


Recorder Menu Options

The following chapter describes each of the Recorder dropdown menu options.

See the following topics.

Capture Menu Options
Input Menu Options
Output Menu Options
View Menu Options
Effects Menu Options


Capture Menu Options

The Capture menu options allow you to access the recording controls as well as the input and output options. To select a Capture option, choose the desired option from the dropdown menu.

The following table describes each of the Capture menu options.

Toolbar Button
Capture Option
Description
Use
Record
Will begin the video capture process.
Click on the Record button or choose Capture > Record.
Pause
Will pause the video capture process.
Click on the Pause button or choose Capture > Pause.
Stop
Will stop the video capture process.
Click on the Stop button or choose Capture > Stop.
Delete
Will delete the current video capture.
Click on the Delete button or choose Capture > Delete. When selected, the capture pauses and a message displays asking if you are sure you want to delete the current video capture. If Yes, the recording stops and any captured frames are discarded.
Choose No to continue recording.
Input
Defines the area of the desktop that will be recorded. Four options provide the flexibility to capture exactly what part of the screen you want to include in your video.
The Input menu options are accessed from the Capture > Input dropdown menu or from the Record button's dropdown menu on the main toolbar.
Choose the desired option from the either dropdown menu.
For more information, see Input Menu Options .
Output
Tells Recorder what to do with the video content that you are capturing. The Output menu options are accessed from the Capture dropdown menu.
Chose Capture > Output. Choose the desired option from the dropdown menu.
Wizard
The New Recording Wizard allows you to create a new recording from "scratch" using an easy-to-use wizard that walks you through choosing all of your capture settings.
For more information on this feature, see Recording the Screen with the New Recording Wizard .


Input Menu Options

Input defines the area of the desktop that will be recorded. The four Recorder Input options let you capture exactly the area of the screen you want to include in your video. This way, your video won't include any superfluous areas of your screen, but will instead focus on the action.

Also, if you're concerned about file size, you can help control the size of the file by concentrating on a smaller area. At the same time, if you require a video of the entire screen, you can still exercise that option. By experimenting with the different input choices, you can find the best input size for your particular needs.

Access these options from either the Capture > Input dropdown menu or from the dropdown menu on the Capture button. Once enabled, a bullet will display next to the selected option.

The following table describes each of the Input menu options.

Input Option
Description
Use
Screen
The entire computer screen will be captured.
To record the entire screen, choose Capture > Input > Screen and then click the Record button.
Window
Records a selected window.
To record the entire screen, choose Capture > Input > Window and then click the Record button.
The cursor will change to a finger-pointer/highlighter. With the highlighter, select a window or any portion of a window to be captured. When you pass over areas that can be selected, they are highlighted. Click with the pointer to select the window.
Region
Records a user-defined region.
To record a region, choose Capture > Input > Region and then click the Record button.
The cursor changes to a crosshair-pointer. To define a region, click and drag the cursor over the area you want to capture.
Fixed Region
Records a pre-defined region.
To record a fixed region, choose Capture > Input > Fixed Region.
The Fixed Region dialog box will display. Define the size of the fixed region using the options below.
Select:
Use Select to draw the fixed region. If you use Select to set starting point and dimensions, the numbers are automatically placed in the appropriate boxes.
Fixed Starting Point:
To set a starting point manually, click a checkmark in the Fixed starting point box
Width and Height:
To set the Width and Height, type the pixel dimensions in the boxes provided. These can also be defined by using the Select option.
Start X and Start Y:
Type the coordinates, in pixels, in the Start X and Start Y box. Note that (0,0) is the top-left corner of the screen. These can also be defined by using the Select option.
OK:
Choose OK to save changed.
Click the Record button to begin recording.


Output Menu Options

Output tells Recorder what to do with the video content that you are capturing. The Output menu options are accessed from the Capture dropdown menu.

To enable an option, use the mouse to select it from the menu. Once enabled, a bullet will display next to the selected option.

The following table describes each of the Output menu options.

Output Option
Description
Use
File
The captured video will be stored in an industry standard AVI (video) file. The AVI files you create with Recorder can be imported, edited, etc. in any third party application that supports the AVI format.
If you choose to, the name and location of the saved video file can be set to run automatically. This option is set under Tools > Options > File Tab.
Choose Capture > Output > File and then click the Record button.
Live
The captured video will be made available to any live encoding process you have running on your computer. Rather than saving your screen capture video to a file, you can send what you capture, as you're capturing it, in real-time -- literally sending out a live broadcast of desktop activity.
Recorder simulates a hardware PC camera and works with streaming media encoders (Microsoft's Windows Media Encoder and RealNetworks' Real Producer), video conferencing and Webcam applications. Camtasia looks like a standard Video for Windows video capture device to these applications.
For a complete discussion on this topic, see Live Tab.
Choose Capture > Output > Live and then click the Record button.
When Live Output is On, all input options are disabled, since video frame size is determined by the application that is using Recorder as a video source.


View Menu Options

The View menu options allow you to choose the look and feel of the Recorder screen in regards to the view and toolbar display. You can also use the View menu to access ScreenPad and play recently created Recorder AVI files in Player.

Note: For more information on ScreenPad, see ScreenPad.

Note: For more information on Player, see Camtasia Player.

To select a View option, choose the desired option from the dropdown menu.

The following table describes each of the View menu options.

View Option
Description
Use
Standard
This is the default view of the Recorder screen which shows the main toolbar and the video statistics and properties area.
Choose View > Standard.
A bullet placed adjacent to Standard lets you know this option is enabled.
You can also cycle through the screen views by clicking on the Toggle View button [image] on the main toolbar.
Compact
This view of the Recorder screen only shows the menu bar, main toolbar, and any other toolbars that are turned on.
You will not see the video statistics and properties area.
Choose View > Compact.
A bullet placed adjacent to Compact lets you know this option is enabled.
You can also cycle through the screen views by clicking on the Toggle View button [image] on the main toolbar.
Minimal
This view of the Recorder screen only shows the main toolbar and any other toolbars that are turned on. You will not see the menu bar or the video statistics and properties area.
Note: During the recording process, you can choose to minimize Recorder to the system tray. This keeps Recorder out of the way while you record. To minimize Recorder while you record, choose Tools > Options > Program Tab option. Enable the Minimize before starting capture option:
Choose View > Minimal.
A bullet placed adjacent to Minimal lets you know this option is enabled.
You can also cycle through the screen views by clicking on the Toggle View button [image] on the main toolbar.
Annotation Toolbar
Displays the Annotation toolbar. The Annotation toolbar is used primarily for adding annotations to the video. Annotations include a timestamp, watermark, caption, highlight, etc.
Choose View > Annotation Toolbar.
A checkmark placed adjacent to Annotation Toolbar lets you know this toolbar is enabled.
Audio Toolbar
Displays the Audio toolbar. The Audio toolbar is used for adding audio effects to the video as it is being recorded. Audio effects include real-time audio inputted from a microphone, mouse click sounds, and keyboard sounds.
Choose View > Audio Toolbar.
A checkmark placed adjacent to Audio Toolbar lets you know this toolbar is enabled.
Cursor Toolbar
Displays the Cursor toolbar. The Cursor toolbar is used for adding cursor effects to the video as it is being recorded. Cursor effects include hiding the cursor, showing the cursor, highlighting the cursor, and highlighting the mouse clicks.
Choose View > Cursor Toolbar.
A checkmark placed adjacent to Cursor Toolbar lets you know this toolbar is enabled.
Zoom & Pan Toolbar
Displays the Zoom & Pan toolbar. The Zoom and Pan toolbar is used for adding zoom and/or pan effects to the video as it is being recorded.
Overall, zooming magnifies your actions. Panning focuses your actions.
Zooming and panning help to focus your viewer's attention on specific areas of your recording.
Zoom while recording to show more detail or a closer look.
Pan to move the focus to another part of the screen.
Choose View > Annotation.
A checkmark placed adjacent to Annotation lets you know this toolbar is enabled.
ScreenPad
Opens ScreenPad. ScreenPad allows you to add annotations to your video as you record. These can be captions, callouts, logos, stamps, sticky notes, or any fixed visual you want to include in the scene during recording.
The annotations are actually graphics files that can be existing BMP, GIF, or JPEG images, or you can use the included graphic editor to create them.
Choose View > ScreenPad.
For more information on using this option, see ScreenPad.
Recent Files
Displays a list of the most recently created or accessed files.
Choose View > Recent Files.
Click on one of these files to see it playback in Player.


Effects Menu Options

The Effects options allow you to choose from a variety of special effects while you are recording to ensure high end, video productions. You can easily show cursor movement as well as perform sophisticated moves like highlighting, zooming and panning. You can also choose the fonts, colors, size and appearance that enhance the professional quality of your videos. For more information on configuring each of these effects, see Recorder Effects Options.

Effects are easily toggled on and off in the Recorder toolbars and most allow you to preview changes before you proceed with your video making.

To select an Effects option, choose the desired option from the dropdown menu.

The following table describes each of the Effects menu options.

Effects Option
Description
Use
Annotation
Displays the Annotation options.
Annotations include a timestamp, watermark, captions, highlights, etc.
Choose Effects > Annotation.
Choose the desired option from the flyout menu.
For more information on each of the Annotation options, see Annotation Tab, and Annotation Toolbar Description Table.
Audio
Displays the Audio options. Audio options are used for adding audio effects to the video as it is being recorded.
Audio effects include real-time audio inputted from a microphone, mouse click sounds, and keyboard sounds.
Choose Effects > Audio.
Choose the desired option from the flyout menu.
For more information on each of the Audio options, see Audio Tab and Audio Toolbar Description Table.
Cursor
Displays the Cursor options. The Cursor options are used for adding cursor effects to the video as it is being recorded.
Cursor effects include hiding the cursor, showing the cursor, highlighting the cursor, and highlighting the mouse clicks.
Choose Effects > Cursor.
Choose the desired option from the flyout menu.
For more information on each of the Cursor options, see Cursor Tab .
Zoom & Pan
Displays the Zoom & Pan options. The Zoom and Pan options are used for adding zoom and/or pan effects to the video as it is being recorded.
Overall, zooming magnifies your actions. Panning focuses your actions. Zooming and panning help to focus your viewer's attention on specific areas of your recording.
Zoom while recording to show more detail or cover more area.
Pan to capture the smaller area where the action is taking place.
Choose Effects > Zoom and Pan.
Choose the desired option from the flyout menu.
For more information on each of the Zoom & Pan options, see Zoom Tab and Zoom and Pan Toolbar Description Table.
Options
Opens the Effects Options tabbed dialog box.
Choose Effects > Option or click on the Options button [image] on the toolbar.
Choose the desired option from the flyout menu. For more information, see Recorder Effects Options.


Recorder Effects Options

The Effects Options dialog box allows you to set options for your recording such as system time stamps, mouse and keyboard audio effects, cursor effects, and much more.

You can access the Effects Options dialog box by choosing Effects > Options from the menu bar or by selecting the Options button [image] on the toolbar.

Additionally, you can access each of the individual tabs that make up the Effects Option dialog box by clicking on the small down arrow next to the Options button to reveal a dropdown menu. From the menu, choose the desired option.

Important Message about Enabling the Effects Settings Options

Once you have made your selections regarding the Effects Settings, you must enable the corresponding option from the Effects dropdown menu or toolbar before the Effects Settings are used during the recording process.

For example, if you would like to use a highlighted cursor, first select the Cursor tab in the Effects Options dialog box and set the options. Next, enable the Highlight Cursor option from the Effects dropdown menu or select the Highlighted Cursor [image] button from the Cursor menu. Click on the Record button and create the video.

See the following topics.

Annotation Tab
Audio Tab
Cursor Tab
ScreenDraw Tab
Watermark Tab
Zoom Tab


Annotation Tab

Note: Access the Annotation tab by choosing Effects > Options > Annotation tab from the menu bar or by selecting the Options button [image] on the toolbar and choosing Annotation.

The Annotation tab will allow you to set the options for many different recording effects while recording.

A few of these effects are:

  • Including the time and date for a predefined period of time.
  • Creating a text caption such as a title, and customize its appearance and position on screen.
  • Adding audio sounds to the cursor clicks or keyboard selections.
  • Assigning visual effects to the cursor such as highlighting.

Using the Annotation tab on the Effects Options dialog box allows you to add many different effects to your recordings. Just a few of these effects include the addition of:

  • A time and date for a predefined period of time.
  • Text, such as a title, and customize its appearance and position on screen.
  • Audio sounds to the cursor clicks or keyboard selections.
  • Visual effects to the cursor such as highlighting.

Note: Once you have made your Annotation tab selections, you must enable the corresponding option from the Effects > Annotation dropdown menu before these options are used during the recording process.

Annotation Tab System Stamp Options Description Table

The following table describes each of the Annotation tab's System Stamp options.

Annotation System Stamp Option
Description & Use
Time/Date
Time/Date Format
Use this option to set up the desired format of the Time/Date stamp. Click on the Time/Date option to enable the Time/Date Format button.
To format, continue with Time/Date Format Button.
See how this option will appear in the Preview area of this tab.
Elapsed Time
Choosing this option puts an elapsed time stamp on the recording. The elapsed time indicates how much time has gone by out of the total running time of the view.
Computer Name
Choosing this option will put the name of the computer on the recording. The name of the computer that is used comes from the PC's system registry.
See how this option will appear in the Preview area of this tab.
User Name
Choosing this option will put the user name on the recording. The user name that is used comes from the PC's system registry and is determined by the logon ID that is being used at the time of the recording.
See how this option will appear in the Preview area of this tab.
Arrange Stamp
The Arrange Stamp button on the Annotation tab gives you access to the Arrange Stamp dialog box. Within this dialog box, you can change the order of the stamps in regards to how they appear on your recording.
Click on the Arrange Stamp button. The Arrange Stamp dialog box is displayed.
To move a stamp up in the order, first highlight the stamp and click Up until the stamp is in the desired position.
To move a stamp down in the order, first highlight the stamp and click Down until the stamp is in the desired position.
Once your changes have been made, choose OK to save the changes and exit back to the Annotation tab.
Choose Cancel to exit back to the Annotation screen without making any changes to the current settings.
Preview
The Preview field allows you to see how the time/date stamp will look on your recording.
Show Stamp for
Determines how long the time/date stamp will be viewed on the recording. To show the time/date stamp on the recording for a predetermined amount of time, enable this option and then enter the time in seconds.
System Stamp Options
This option is used to define the look of the system stamp including the font, font color, font style, location, etc. For more information setting these options, see System Stamp & Caption Option Buttons.
Caption
This option allows you to add a caption to the recording. To enter a caption, simply type in the Caption field. Several of the last captions that were entered will be saved for you in a dropdown list. These are also available for selection.
Prompt before capture
Enable this option to be prompted for a new caption each time you record. This allows you to change the caption on the fly.
Caption Options
This option is used to define the look of the caption including the font, font color, font style, location, etc. For more information setting these options, see System Stamp & Caption Option Buttons.
Highlight Width
This is the width, in pixels, of the highlight box. For more information on the highlight box feature, see Annotation Toolbar Description Table.
To set the width, enter the pixel number in the Width field.
Highlight Color
This is the color of the highlight box. For more information on the highlight box feature, see Annotation Toolbar Description Table.
To set the color, click on the Color button [image].
The Color dialog box will display. Use the mouse to select the desired color. When color is selected, choose OK, it will be updated to the Color box [image].


Time/Date Format Button

The Time/Date Format button gives you access to the Time/Date Format dialog box. Within this dialog box you are able to choose the way your time and/or date stamp is displayed on your recording.

You can choose from several preset options or create your own custom look.

To enable the Time/Date Format button, first enable the Time/Date option as seen in the following graphic.

Click on the Time/Date Format button.

The Time/Date Format dialog box is displayed.

Note: Once you have made your System Stamp selections, you must enable the corresponding option from the Effects dropdown menu before these options are used during the recording process.

Time/Date Format Options Description Table

The following table describes each of the Annotation tab's Time/Date Format options.

Annotation Time/Date Format Option
Description
Time then date
Choose this option to display the time first and then the date.
Time only
Choose this option to only display the time.
Date then time
Choose this option to display the date first and then the time.
Date only
Choose this option to only display the date.
Time
Use the menu to select the desired format for the time. Once you have made a selection, use the Preview field to see how your selection will be displayed on your recording.
Custom Time Format
To use a time format that is not listed, first select the Custom Format option from the menu. The Custom Time Format field becomes enabled.
In the Custom Time Format field, enter the desired format using the given symbols.
For information on each of the time symbols, see System Stamp & Caption Option Buttons.
Date
Use the menu to select the desired format for the date. Once you have made a selection, use the Preview field to see how your selection will be displayed on your recording.
Custom Date Format
To use a date format that is not listed, first select the Custom Format option from the menu. The Custom Time Format field becomes enabled.
In the Custom Time Format field, enter the desired format using the given symbols.
For information on each of the time symbols, see Date/Time Format Symbols.
Preview
View the Preview field to see how your time or date setting will look on your recording.
OK
Once you have made your Time/Date Format selections, choose OK to save and exit back to the Annotation tab.
Cancel
Choose Cancel to exit this dialog without making any changes to the current settings.
Help
Choose Help to access the online help file containing information that is pertinent to this screen.


Date/Time Format Symbols

The following tables describe each of the symbols used for the time and date entries in the Time and Date fields found on the Time/Date Format dialog box.

To access this dialog box, choose Effects > Options > Annotations > Time/Date Format button.

Note: When setting the time or date using the Custom field, you must use a combination of these symbols in the Custom Format field to ensure correct results.

Time Format Symbol Description Table

The following table describes each of the Time Format symbols.

Time Format Symbol
Description
Windows Default
Sets the time to the default time setting on your PC.
Custom Format
Allows you to choose your own setting.
h
Hour, single digit. Example: 1, 5, 10, 12
hh
Hour, double digits. Example: 01, 05, 10, 12
H
Hour, single digit, military style. Example: 1, 5, 15, 18
HH
Hour, double digits, military style. Example: 01, 05, 15, 18
mm
Minutes. Example: 01, 09, 11
ss
Seconds. Example: 01, 02, 32, 47
tt
Time of day. Example: AM, PM

Date Format Options Description Table

The following table describes each of the Date Format symbols.

Date Format Symbol
Description
Windows Default
Sets the date to the default date setting on your PC.
Custom Format
Allows you to choose your own setting.
M
Month, single digit. Example: 1, 5, 10, 12
MM
Month, double digits. Example: 01, 05, 10, 12
MMMM
Month in word format. Example: May, October, December
d
Day, single digit. Example: 1, 5, 10, 12
dd
Day, double digits. Example: 01, 05, 10, 12
dddd
Day in word format. Example: Monday, Wednesday, Sunday
yy
Year in last two digits. Example: 87, 98, 01, 02
yyyy
Year with all four digits. Example: 1987, 1998, 2001, 2002


System Stamp & Caption Option Buttons

A dialog box similar to the following is used to set the font options for both the System Stamp and the Caption features.

To access this dialog box, choose Effects > Options > Annotations > Options button. You will choose from either the System Stamp options or the Caption options.

Once the font options are selected, choose OK to save the options and exit back to the Annotations tab.

Use Cancel to exit back to the Annotations tab without making any changes to the System Stamp or Caption font attributes.

Font Options Description Table

The following table describes each of the Font options along with its use.

Font Option
Description
Use
Normal
Displays normal text in the recording.
See how this option will appear in the Preview area of this dialog box [image].
Click on the radio button next to this option to enable it.
Drop Shadow
Displays text with a drop shadow in the recording.
See how this option will appear in the Preview area of this dialog box [image].
Click on the radio button next to this option to enable it.
Outlined Shadow
Displays text with an outlined shadow in the recording. See how this option will appear in the Preview area of this dialog box [image].
Click on the radio button next to this option to enable it.
Transparent Background
Gives the caption or system stamp a transparent background.
With this option enabled, anything that is behind the System Stamp or the Caption in the recording area will be visible [image].
Click on the box next to this option to enable it.
When enabled, a checkmark will display.
When disabled, the checkmark is removed from the box.
Word Wrap
The System Stamp or the Caption will wrap to the size of the System Stamp or Caption box.
This allows all of the text to be seen [image].
If the text is not wrapped, then it is strung out in one long line. Then, if the text box is resized, the text may be cut off.
Click on the box next to this option to enable it.
When enabled, a checkmark will display.
When disabled, the checkmark is removed from the box.
Position
Use the squares to select the desired location of the System Stamp or the Caption.
Click on the square in the grid that corresponds to the desired position of the caption or system stamp.
Font
Displays the standard Windows font dialog box allowing you to change the font type, size, color, etc.
To change the font attributes, click on the Font button. The Font dialog box displays.
Font: To change the font, select the new font from the font list.
Font Style: To change the font style, select the desired style from the list.
Size: To change the font size, select the new size from the list.
Color: To change the font color, click on the Color button. Choose desired color from dropdown menu.
Sample: This area will give you a preview of the changes made to the font.
OK: Choose OK to save and update changes.
Cancel: Choose Cancel to exit the Font dialog box without making any changes.
Text Color
Opens Color dialog box for selecting desired text color.
Click on the Text Color button:
.
The Color dialog box will display. Use the mouse to select the desired color. When color is selected, choose OK, it will be updated to the Text Color box: .
Background Color
Opens Color dialog box for selecting desired background color.
Click on the Background Color button:
.
The Color dialog box will display. Use the mouse to select the desired color. When color is selected, choose OK, it will be updated to the Background Color box: .
Shadow Color
Opens Color dialog box for selecting desired text shadow color.
Click on the Shadow Color button:
.
The Color dialog box will display. Use the mouse to select the desired color. When color is selected, choose OK, it will be updated to the Shadow Color box: .
Outline Color
Opens Color dialog box for selecting desired outline color.
Click on the Outline Color button:
.
The Color dialog box will display. Use the mouse to select the desired color. When color is selected, choose OK, it will be updated to the Outline Color box: .
OK
To save changes and exit back to the Annotation tab.
Choose the OK button.
Cancel
To exit back to the Annotation tab dialog box without making any changes.
Choose the Cancel button.
Help
To access the online help file containing information that is pertinent to this screen.
Choose the Help button.


Audio Tab

Note: Access the Audio tab by choosing Effects > Options > Audio tab from the menu bar or by selecting the Options button [image] on the toolbar and choosing Audio.

The Audio tab will allow you to set the different audio properties for the mouse clicks and keyboard keystrokes.

Audio Tab Options Description Table

The following table describes each of the Audio tab options along with its use.

Audio Tab Option
Description
Use
Mouse button down sound
This option allows you to choose a sound file for the mouse button down sound.
Click on the Browse button [image]. Browse and select the desired sound file. Choose OK. File path is updated to Audio tab.
Click on the Test Sound button [image] to listen to the sound.
Mouse button up sound
This option allows you to choose a sound file for the mouse button up sound.
Click on the Browse button [image]. Browse and select the desired sound file. Choose OK. File path is updated to Audio tab.
Click on the Test Sound button [image] to listen to the sound.
Key down sound
This option allows you to choose a sound file for the key down sound.
Click on the Browse button [image]. Browse and select the desired sound file. Choose OK. File path is updated to Audio tab.
Click on the Test Sound button [image] to listen to the sound.
Volume
Use the volume slide bar to increase or decrease the volume level for the different sound files on the recording.
Grab the slider bar with the mouse. Drag to the left to decrease sound. Drag to the right to increase sound.
Click on the Test Sound button [image] to listen to the sound.

Note: Once you have made your Audio tab selections, you must enable the corresponding option from the Audio toolbar or the Effects dropdown menu before the audio options are used during the recording process.


Cursor Tab

Note: Access the Cursor tab by choosing Effects > Options > Cursor tab from the menu bar or by selecting the Options button [image] on the toolbar and choosing Cursor.

The Cursor tab allows you to define how the cursor will be displayed in the recording. The effects include cursor selection and highlight capabilities for mouse and cursor clicks.

Note: Once you have made your Cursor selections, you must enable the corresponding option from the Effects > Cursor dropdown menu before the Cursor settings are used during the recording process.

See the following topics.

Cursor Setup Options
Highlight Cursor Options
Highlight Mouse Clicks Options


Cursor Setup Options

The Cursor Setup options in the Cursor Setup dialog box will allow you choose the cursor you want to use in your recording.

To access this dialog box, choose Effects > Options > Cursor > Cursor Setup button [image]. The Cursor Setup dialog box displays.

Cursor Setup Options Description Table

The following tables describes each of the Cursor Setup options.

Cursor Setup Option
Description & Use
Use actual cursor
Enable this option to use the standard Windows default cursor. This is the default setting.
Use custom cursor
Enable this option to choose one of the custom cursors from the dropdown menu:
Use cursor from file
Enable this option to select a cursor from the Windows cursor directory or any other desired directory.
Once this option is enabled, choose the Browse button [image] to access the Cursor directory. Select the desired cursor and then Open. The cursor will be updated to the Use cursor from file field:
OK
Choose OK to save the Cursor selections and to exit back to the Cursor tab. The selected cursor will be updated to the cursor preview window:
Cancel
Choose Cancel to exit back to the Cursor tab without making any changes to the current setup.


Highlight Cursor Options

The Highlight Cursor options allow you to highlight the cursor on your recording. This allows your audience to better view the cursor as it moves across the screen.

With these options, you choose the shape, size, and color of the cursor highlight. To access this dialog box, choose Effects > Options > Cursor.

Cursor Highlight Options Description Table

The following tables describes each of the Cursor Highlight options.

Cursor Highlight Option
Description
Shape
From the dropdown menu, choose the desired shape of the highlight. As you choose a shape a preview of the shape will appear in the preview window [image].
Size
Using the slider bar [image], select the size of the highlight. As you move the slider bar to the right for a larger highlight or to the left for a smaller highlight, you can see the size in the preview window:
Color
The Color button [image] will allow you to select a color for the cursor highlight. You can choose from a palette of existing colors or define a custom color. Once you have selected a color, the color will be reflected in the preview window:
Translucent
Selecting this option will allow the cursor highlight to be translucent or see-through on the screen. This allows most of the recording's background to come through the highlight.
Semi-translucent
Selecting this option will allow the cursor highlight to be semi-translucent or semi see-through on the screen. This allows about half of the recording's background to come through the highlight.
Opaque
Selecting this option will allow the cursor highlight to be solid on the screen. This allows note of the recording's background to come through the highlight.


Highlight Mouse Clicks Options

The Highlight Mouse Clicks options allow you to highlight the mouse clicks on your recording. This allows your audience to better view selections as they are being made on the screen with the use of the mouse.

With these options, you choose the shape, size, and color of the mouse click highlight. To access this dialog box, choose Effects > Options > Cursor.

Mouse Click Highlight Options Description Table

The following tables describes each of the Mouse Click Highlight options.

Cursor Highlight Option
Description
Shape
From the dropdown menu, choose the desired shape of the highlight. As you choose a shape a preview of the shape will appear in the preview window:
Size
Using the slider bar [image], select the size of the highlight. As you move the slider bar to the right for a larger highlight or to the left for a smaller highlight, you can see the size in the preview window:
Color
The Color button [image] will allow you to select a color for the cursor highlight. You can choose from a palette of existing colors or define a custom color. Once you have selected a color, the color will be reflected in the preview window:


ScreenDraw Tab

Note: Access the ScreenDraw tab by choosing Effects > Options > ScreenDraw tab from the menu bar or by selecting the Options button [image] on the toolbar and choosing ScreenDraw.

The ScreenDraw tab allows you to define how the ScreenDraw tool will appear on the recording as you write.

The ScreenDraw feature allows you to draw on your desktop while you record a video. Make your videos livelier and easier to understand by underlining, pointing and illustrating with the freehand drawing tool. Or, you can draw various shapes on screen while recording in order to highlight and draw focus to a particular area. Your video can show your pen moving across the screen as you're recording, or you can pause the recording, then draw, and have your drawing appear already completed.

Note: While recording, this feature is activated using the ScreenDraw toolbar button [image] or, by using a customized hotkey. Using the ScreenDraw hotkey lets you even draw on pop-up menus. For information on configuring the ScreenDraw Hotkey, see Hotkeys Tab.

ScreenDraw Tab Options Description Table

The following table describes each of the ScreenDraw tab options.

ScreenDraw Tab Option
Description
Tool
From the dropdown menu, choose the desired tool for the drawing. As you choose a tool, a preview of the shape will appear in the preview window:
Frame: Draw a frame (rectangular/square box) on the screen.
Highlight: Draw a highlight rectangle on the screen.
Ellipse: Draw an ellipse on the screen.
Pen: Draw freehand on the screen.
Line: Draw a straight line on the screen.
Arrow: Draw an arrow on the screen.
Color
From the dropdown menu, choose the desired color for the drawing tool. As you choose a color, a preview will appear in the preview window:
Width
Using the up and down arrows, select a width for the drawing tool. As you choose a width, a preview will appear in the preview window:
Translucent
Selecting this option will allow the ScreenDraw object to be translucent or see-through on the screen. This allows most of the recording's background to come through the highlight.
Disable keyboard and cursor effects during ScreenDraw
Enabling this option with a checkmark will cause all keyboard and cursor activity to cease while the ScreenDraw option is being used. This allows the user's focus to be drawn to the ScreenDraw object, not other activity in the recording.

Using ScreenDraw While Recording

If you want to change ScreenDraw options after you have started recording, while ScreenDraw is operating, right-click over the capture area. The ScreenDraw menu will display:

Select one of the drawing tool options listed by clicking on a tool name or pressing the accelerator key listed next to the tool names. Once a selection is made, resume drawing.


Watermark Tab

Note: Access the Watermark tab by choosing Effects > Options > Watermark tab from the menu bar or by selecting the Options button [image] on the toolbar and choosing Watermark.

The Watermark tab allows you to add a watermark, such as a company logo, in any fixed position in the recording. This is a helpful way to stamp ownership on the intellectual property that the recording represents.

Other than logos, you can use this feature to position any other information you would like into the recording such as titles, banner ads, etc. As input, you can use graphic files in BMP, GIF, or .JPEG format.

When the Watermark tab is selected, the Watermark Preview screen will also display as seen in the following graphic.

Watermark Image Path

The Image Path option allows you to select the image you will use as your watermark.

To select the desired image, choose the Browse button [image]. Select the desired watermark image and then choose Open. The image will be updated to the Image Path field. Additionally, the image will be displayed in the Watermark Preview window.

Watermark Display Effects

The Display Effects options allow you to apply special effects to your watermark image.

Display Effects Options Description Table

The following tables describes each of the Display Effects options.

Display Effects Option
Description
Overlay
Use this option if you want your watermark to be an opaque overlay on the produced video. This produces a solid image that blocks out the view of any action occurring underneath.
Use Transparent Color
Use this option to make part of the watermark image transparent. The areas of the watermark image that match the transparent color are hidden so the video shows through the watermark.
Change
Use the Change button to select the Transparent Color to be used. The transparent color you select must match the area(s) that you want to be transparent in the watermark image. Use the Preview screen to verify that the transparent effect works. The preview will not show it as being transparent until the right color is selected.
For example, in the following image, you see that the watermark background is not transparent and shows up as white on top of gray: . In order to make the background transparent, white must be selected in the Color dialog box: .
Once a color is selected, it will display in the color preview box:
Underlay
Use this option if you want to show the watermark as a translucent underlay under the video. This option allows any action that occurs under the watermark to show through.
Emboss Image
Use this option to create an underlay watermark effect that appears translucent and slightly raised:
Direction
The emboss direction refers to a shadow effect on the embossed image and a rough indication of the direction of a light source. Use the Preview screen to see how the direction changes the embossing effect. For example:
= Northeast
= South
Depth
Use this option to change how pronounced the embossing effect appears. For example:
= Depth of 226
= Depth of 981

Watermark Image Positioning

The Image Positioning options allow you to choose exactly where your watermark image will be displayed on the recording.

Image Positioning Options Description Table

The following tables describes each of the Image Positioning Effects options.

Image Positioning Effects Option
Description
Positioning Cluster
Use the nine-button positioning cluster to select the position of the watermark within the video frame.
Image Scale
Changes how big the watermark image appears relative to the video frame size. 100% means the watermark image completely covers the video frame. For example:
= 14%
= 30%
Horizontal Offset
Changes the horizontal offset of the watermark image from the edge of the video frame. You can use this option to refine the watermark positioning. Use the Preview screen to see the offset effect.
Vertical Offset
Changes the vertical offset of the watermark image from the edge of the video frame. Use the Preview screen to see the offset effect.
Keep aspect ratio when scaling
Use this option to maintain horizontal and vertical size aspect ratio when scaling the watermark image. When selected, the watermark appears normal, not stretched or distorted. Default setting is on.
Use smooth interpolated scaling
This option applies a smooth scaling algorithm to the watermark image for less jaggedness. Default setting is on. Turn this option off if it interferes with the transparency of your watermark.
Preserve image size
Enable this option to insert the watermark graphic at its full size. This option will not apply any scaling to the graphic at all.


Zoom Tab

Note: Access the Zoom tab by choosing Effects > Options > Zoom tab from the menu bar or by selecting the Options button [image] on the toolbar and choosing Zoom.

The Zoom tab allows you to set up zooming and panning options for your recordings such as zoom speed, pan speed, zoom levels, etc.

Note: You can zoom in or out on the action during recording by using the Zoom Hotkeys. For more information, see Hotkeys Tab.

Zoom Tab Options Description Table

The following table describes each of the Zoom tab options.

Note: Once you have made your Zoom tab selections, you must enable the corresponding zoom and pan options from the Zoom and Pan toolbar or the Effects dropdown menu before the effects are used during the recording process.

Zoom Tab Option
Description
AutoZoom Speed
This setting controls the speed of the rendered zooming effect (that is, the speed of the image scaling).
To increase or decrease the AutoZoom Speed, use the slider bar.
AutoPan Speed
This setting controls the speed at which the capture area follows the mouse. Use this when you want to capture a smaller area of a screen where the action is and ignore the inactive areas. This can help limit file size and help to focus attention.
To increase or decrease the AutoPan Speed, use the slider bar.
Zoom level at start of capture
This setting configures a preset zoom level when the capture begins. The default value is 100%.
Values less than 100% make Recorder start zoomed out.
Values greater than 100% make Recorder start zoomed in.
To change the zoom level, click inside the Zoom level field and enter the desired level.
Center zoom effect
If selected, when the zoom effect is rendered, Camtasia Studio always centers the new capture area over the old area.
In the final recording, the visual effect is that Camtasia Studio automatically pans the image so it stays centered over the previous area.
The default setting is off. To enable this option, click inside the box. A checkmark will display when enabled.
Use smooth scaling
If selected, Recorder uses a smooth scaling algorithm that makes images more readable when zoomed out. The default setting is on.
Note: Enabling this option may degrade the video frame rate since smooth interpolated scaling requires much more computer processing to render the effect.
To enable this option, click onside the box. A checkmark will display when enabled.
Use smooth scale during AutoZoom
If selected, Recorder uses the smooth scaling algorithm while rendering the AutoZoom effect.
This makes the zooming effect look smoother, but the video frame rate may degrade.
This option is off by default. To enable this option, click onside the box. A checkmark will display when enabled.
Show zoom rectangle during AutoZoom
When enabled, this option shows the zoom rectangle during the AutoZoom transition. When disabled, no rectangle will show around the zoomed in portion of the screen. This option is disabled by default.


Recorder Tools Options

Overview

The Tools Options allow you to set options for your recording such as the record and playback rate, file naming conventions, hotkey shortcut strokes, and much more.

You can access the Tool Options by clicking on the Options button on the toolbar [image] or by choosing Tools > Options from the menu bar. Once accessed, the Tools Options tabbed dialog box will display.

See the following topics.

AVI Tab

File Tab

Hotkeys Tab

Live Tab

Capture Tab


AVI Tab

Note: Access the AVI tab by choosing Tools > Options > AVI tab from the menu bar or by selecting the Options button [image] on the toolbar and choosing AVI.

Use the AVI tab to set preferences for recording videos such as codecs, key frame rates, time-lapse capture, etc.

Note: While you can only record files as AVI in Recorder, you can convert them to other output formats, including Flash (.SWF), .WMV and RealVideo.

Also see the following topics.

Recorder AVI Video Setup Button
Recorder AVI Configure Button
Recorder AVI Time-Lapse Capture Setup Button
Recorder AVI Audio Setup Button

AVI Tab Options Description Table

The following table describes each of the AVI tab options.

AVI Option
Description
Auto Configure
Enable this option to use the Recorder defaults. The program automatically determines the best frame rate and compression to use. Clear the check mark in the Auto Configure field if you would like to set your own AVI preferences.
Video Setup
The Video Setup button gives you access to the Compression Settings dialog box. In this dialog box you can set the compression options for the video.
For more information, see Recorder AVI Video Setup Button.
Frames/sec
Enter the frame rate in frames/sec. While more frames per second usually produces smoother videos, your resulting video file will be proportionally larger and more system resources will be required to record the video.
Time-lapse capture
Time-lapse capture mode allows you to capture at one frame rate and to playback at a slower / faster rate. Time-lapse mode also supports very low capture and playback frame rates.
Note: If Time-lapse capture is On, audio recording is disabled. For more information, see Recorder AVI Time-Lapse Capture Setup Button
Time-lapse Setup
The Time-lapse Setup button gives you access to the Time-Lapse Capture Setup dialog box. In this dialog box you can set record and playback rate options. For more information, see Recorder AVI Time-Lapse Capture Setup Button
Audio Setup
The Audio Setup button gives you access to the Audio Setup dialog box. In this dialog box you can set record and playback rate options.
For more information, see Recorder AVI Video Setup Button.
Interleave audio every
Interleaving the audio and video data allows it to playback smoothly when the video file is played from a slower device such as a floppy disk, or CD-ROM. The only reason to disable interleaving would be to speed up video file "Rendering" time.
The box for Interleave audio every X video frames specifies how much to interleave audio and video data. The lower the number specified for "X," the smoother the playback will be.
Interleaving every 1 video frame is full interleaving which always results in the smoothest playback.
Frames
Enter the number of frames that should play before interleaving occurs.
Interleaving with higher numbers of video frames results in progressively less interleaving and potentially less smooth playback. However, the video file may be smaller with less interleaving. This can be an important consideration for long videos with large pixel dimensions and detail.
Seconds
Enter the number of seconds that should play before interleaving occurs.
Interleaving with higher numbers of video frames results in progressively less interleaving and potentially less smooth playback. However, the video file may be smaller with less interleaving. This can be an important consideration for long videos with large pixel dimensions and detail.
Audio Capture Device
Use the dropdown menu to select the device that you want to use to record the audio.
Volume
Click on the Volume button to reveal a Record Control, where you can set recording volume levels for the input device selected.
Description
The Description box shows details about the selections you have made on this tab for the audio and video options of the AVI files you are recording.


Recorder AVI Video Setup Button

Note: Access this option by choosing Tools > Options > AVI tab.

Disabling the Auto Configure option on the AVI tab will enable the Video Setup button as seen in the graphic below.

The Video Setup button gives you access to the Video Compression Setup dialog box. In this dialog box you can set video options such as the compressor or compression quality.

While the fields for each video compression may be similar, the default settings or availability of each of the fields on this screen may change according to which compressor is selected from the drop-down menu.

The following table gives an overview of each of the fields found on the Video Compressor Setup dialog box. However, it is important to note that not all of these options will be available with every compressor option that is selected. To determine which options are available in conjunction with a particular compressor, select the desired compressor from the dropdown menu.

Note: Only the Video Compression options for the TechSmith Screen Capture Codec will be covered in the scope of the Recorder documentation.

Note: It is important to note that each compressor option will have unique configuration options. For more information on each of those options, consult that specific company's documentation. For information about a particular company, select the compressor option from the dropdown menu and then choose the About button.

Video Compression Setup Field Description Table

The following table describes each of the Video Compression Setup options.

Video Compression Setup Field
Description
Compressor
Dropdown selection box for choosing the desired compressor.
Compression Quality
Some codecs are lossy, meaning that the type of compression algorithm used will sacrifice image quality when it is applied to the image data. This can be configurable so that the users gets to decide on making a smaller file and losing more quality, or a larger file with better image quality.
This option is disabled when using the TSCC codec.
Key Frame Every
Leave as default value.
Frames
Leave as default value.
Data Rate
Data Rate is the measurement of how much data can be transmitted over some period of time. Generally this is measured in kilobits per second.
This option is disabled when using the TSCC codec.
KB/Sec
This is Kilobytes per second. The number of bytes that can be transmitted or received in one second. Note KB = kilobyte, not the general kilobits used for data transmission. However there is no reason why you could not measure data transmission in bytes / second.
This option is disabled when using the TSCC codec.
OK
Once you have made your compressor selections choose OK to save the changes and exit back to the AVI Preferences screen.
Cancel
Choose Cancel to exit back to the AVI Preferences screen without making any changes to the current settings.
Configure
Choose the Configure button to set configuration options for the selected compressor. For more information on the configure options, see Recorder AVI Configure Button.
About
Choose the About button to display the version and copyright information pertaining to the compressor option that is selected.


Recorder AVI Configure Button

Note: Access this option by choosing Tools > Options > AVI tab > Video Setup button > Configure button.

Note: Only the configure options for the TechSmith Screen Capture Codec will be covered in the scope of the Recorder documentation.

Note: It is important to note that each compressor option will have its own unique configuration options. For more information on each of those options, consult that specific company's documentation. For information about a particular company, select the compressor option from the dropdown menu and then choose the About button.

The Configure button located on the Video Compression Setup dialog box allows you to customize the compression setting for the TSCC codec.

Configure TSCC Options Description Table

The following table describes each of the Configure TSCC options.

Configure TSCC Field
Description
Compression Control
This is a slider bar that allows you to choose faster compression but a larger file size vs. slower compression with a smaller file size. In all cases, the TSCC video codec is 100% lossless. Typically, you want faster compression during recording and a smaller file size when producing/editing.
OK
Choose OK to save your selections and to exit back to the Preferences AVI tab.
Cancel
Choose Cancel to abandon your changes.
Default
Resets to default configuration. These are the settings that were set when Camtasia Studio was installed.
About
Choose About to read the compressor's maker and copyright information.


Recorder AVI Time-Lapse Capture Setup Button

Note: Access this option by choosing Tools > Options > AVI tab.

Time-lapse capture mode allows you to capture at one frame rate and playback at a slower/faster rate. Time-lapse mode also supports very low capture and playback frame rates. Enabling the Time-lapse capture checkbox on the Preferences AVI tab will enable the Time-lapse Setup button as seen in the graphic below.

Note: If the Time-lapse capture mode is on, the audio recording feature is disabled.

The Time-lapse Setup button gives you access to the Time-lapse Capture Setup dialog box. In this dialog box you can set record and playback rate options.

Since the Time-lapse mode supports very low capture and playback frame rates you can capture at one frame rate and playback at a slower or faster rate. Setting the timing to slow or very slow frame rates may be useful for setting up a "watching" application or capturing program activities that require lengthy processing times.

Time-lapse Capture Setup Options Description Table

The following table describes each of the Time-lapse Capture Setup options.

Time-lapse Capture Setup Field
Description
AVI Capture Rate
This controls the timing of the Recorder "snapshots" of individual frames to be included in the video. Set the desired frame rate in terms of seconds, minutes, or hours.
AVI Playback Rate
This controls how the AVI will play back. The playback rate is kept the same as the capture rate by default, but you can use a faster playback rate to compress the timing, length, and file size of the video. Set the desired playback rate in terms of seconds, minutes, or hours.
OK
Choose OK to save the changes on the Setup dialog and exit back out to the Preferences dialog box.
Cancel
Choose Cancel to abandon your changes
Default
Choose Default to set the frame rate to Recorder default setting, 5 fps.


Recorder AVI Audio Setup Button

Note: Access this option by choosing Tools > Options > AVI tab.

The Audio Setup options allow you to set the audio format for videos that you capture while recording audio. To use this feature, you must have a sound card with a microphone attached. To access the Audio Setup options, click on the Audio Setup button found on the Preferences AVI tab.

Note: If the Time-lapse capture mode is enabled, the audio recording feature will be disabled.

The Audio Format dialog box will display.

Audio Format Options Description Table

The following table describes each of the Audio Format options.

Audio Format Field
Description
Name
This box lists the name, if there is one, of the Audio Format you select or save. This allows you to choose an audio format using a simple understandable name. There are usually several names already assigned.
For example, on most computers you can select Radio Quality in the Name list box, instead of the more cryptic 22.050kHz, 16 Bit, Mono in the Attributes list. These would be the same because they have the same audio format and attributes.
Save As
Add an audio format name using the Save As button.
Remove
Remove an existing audio format name using the Remove button.
Format
Select an audio file format from the Format dropdown menu. Refer to the file type provider for information about the individual selections.
Attributes
Select the audio Attributes from the dropdown menu. The higher the KB/s number, the larger your files will be.
OK
Choose OK to save the Audio Format selections.
Cancel
Choose Cancel to abandon any changes you made in this dialog.


File Tab

Note: Access this option by choosing Tools > Options > File tab.

Use the File tab to set the file naming options for your video recordings.

File Tab Options Description Table

The following table describes each of the File tab options.

File Tab Option
Description
Ask for File Name
Choose this option if you want to name each file separately as it is recorded.
Fixed File Name
Choose this option if you want to define a single file name.
With this option, any recording with this file name will automatically be overwritten when saving subsequent recordings.
Name
Type the name of the file in the text box that you want to be used in conjunction with the Fixed File Name option.
Automatic File Name
Choose this option if you want to assign automatically created and incremented filenames to your recordings.
Prefix
Files will be saved with the prefix you supply along with a number, such as Video-001AVI, Video-002AVI, and so on.
Output Folder
Enter the name of a destination Output Folder in the text box provided or use the Browse button [image] to search for the desired folder.
Temporary File Folder
Specify a drive and folder where files will be stored temporarily during capture and before you save them to another location. The default C:\WINDOWS\TEMP is fine if you have room on your C: drive.
Use the fastest local hard drive on your system that has the most free space. If you need to change the location, click [...] to search for a new one.


Hotkeys Tab

Note: Access this option by choosing Tools > Options > Hotkeys tab.

A hotkey is a key or combination of keys that you push to run a command or operate a program. Use this tab to define the hotkey options used in the making of your recordings. You can change the default hotkeys to whatever you would like. There are three standard Recorder hotkeys as seen in the graphic below.

Additionally, there are five advanced hotkeys which are accessed by choosing the Advanced button [image].

Hotkey Options Description Table

The following table describes each of the options found on the Hotkey tab and the Advanced Hotkey dialog box.

Hotkey Option
Where Found
Default Hotkey
Description
Record/Pause
Hotkey tab
Starts recording if Recorder is stopped; pauses recording if Recorder is running.
Stop
Hotkey tab
Stops Recorder.
ScreenDraw
Hotkey tab
None
Start the ScreenDraw feature.
AutoPan
Advanced Hotkey dialog box
None
Turns on the AutoPan feature during recording.
Hide
Advanced Hotkey dialog box
None
Hides the Recorder screen and disables the hide/unhide tray icon hotkey.
Zoom In
Advanced Hotkey dialog box
None
Zooms in on the recorded area. Press hotkey additional times to zoom farther.
Zoom Out
Advanced Hotkey dialog box
None
Zooms out from the recorded area. Press hotkey additional times to zoom farther.
Mute
Advanced Hotkey dialog box
None
Mutes the sound of the cursor and keyboard clicks.

To Create a Hotkey

To change the hotkeys for any available option, place a checkmark in one or more boxes below <CTRL>, <SHIFT>, or <ALT> if you want to include them in your hotkey combination for the selected action.

Select another keyboard key from the dropdown box. You can choose most keyboard keys here.

Example
If you want to use the key combination <Ctrl> + <Alt> + <R> to Record/Pause a recording, you would check the CTRL and ALT boxes, and then choose the letter R from the dropdown list.

Then, to start or pause recording, you would hold down the <Ctrl> and <Alt> keys while you press <R>.


Live Tab

Note: Access this option by choosing Tools > Options > Live tab.

This tab allows you to set the options for the Live Desktop Video Feed feature.

The Live Output feature allows Recorder to appear as a standard video capture device that can be used as a video source by applications such as streaming media encoders, video conferencing applications, video editors, and Web cam applications.

The live output option essentially makes Recorder a "plug-in" that provides a unique source of content and enhances these applications. These applications normally use real hardware video cameras as their video source.

The live output feature makes Recorder appear as another video camera on the system. However, Recorder's live output is a software camera that records from the desktop. With the live output option ON, Recorder feeds its video frames to applications like a streaming media encoder instead of saving them to a video file.

The same VCR-style record/pause/resume/stop controls are used during a live output session as when recording to a video file. All of Recorder's video effects (cursor highlights, pan, zoom, and all annotation effects) apply for live output. Input options are disabled since you are sending your entire screen into the feed.

Note: Some live encoding applications (for example, the free version of Real Producer) only allow you to choose a single default video capture device. If you have more than one video capture device on your system, such as a video capture card, then the Recorder's video capture device may not be available in the encoding application. In this case, disable the non-Recorder capture device using the Control Panel Multimedia applet. In the Multimedia applet, go to the Devices tab, expand the Video Capture Devices list, select the device to disable, click the Properties button, and choose Do not use this video capture device.

To Use Live Output

  1. Enable the Live Output feature by selecting Capture > Output > Live from the menu bar. A checkmark is placed next to the menu option, indicating that the Live Output mode is on.
  2. Select menu Tools > Options > Preferences. The Preferences tabbed dialog box appears.
  3. Select the Live tab.
  4. Set the Live capture rate in frames per second.

Note: The Live capture rate determines how frequently Recorder updates video frames during live output. This can be used to control the system resources (CPU, for example) used by Recorder.

  1. Note Optional: If desired, set the Default Video Format. This will allow you to set a default size for the output that is seen by the third party. It is important to note that when setting a default size, the size determined by the live output server will override this setting. To set a default setting, click on the Default Video Format button. The first time this option is accessed, the following message about the Camtasia Studio Video Driver will display.

    Choose OK.
  2. The Camtasia Studio Video Capture Format dialog box displays.

    Enter the desired Image Format, Image Dimensions, or Custom Size options and then choose OK. Choose Cancel to exit this dialog box without making any changes.
  3. Choose OK to exit the Tools Options dialog box.
  4. Start the application you are sending live video to.

Note: This may be a streaming media encoder, such as Windows Media Encoder or Real Producer, or it may be a video capture application such as Adobe Premiere, or it may be a live Web cam application. In the application you are sending video to, select the Video Capture Device as the live source.

  1. Use Recorder just as you would for output to a video file.


Capture Tab

Note: Access this option by choosing Tools > Options > Capture tab.

Use this tab to set the Capture Options.

  • A checkmark next to the item lets you know that that item is enabled.
  • To enter or remove a checkmark, click on the box next to the desired item.
  • Place a checkmark in the box next to each option you want to enable.
  • Click on the checkmark next to each option you want to disable.

Capture Tab Options Description Table

The following table describes each of the Capture tab options.

Capture Option
Default Setting
Description
Minimize before starting capture
Off
Recorder program window will reduce to the system tray while capturing video.
Pause before starting capture
Off
Pausing before capture allows you to arrange and position windows and the capture rectangle before beginning the capture.
Hide capture rectangle
Off
Capture rectangle will no longer appear before and during captures.
Solid capture rectangle
Off
The default capture rectangle consists of short angles at each corner of the rectangle. This option turns that box into a solid rectangle.
Report dropped frames
Off
This causes Recorder to report dropped frames in the status display. This is helpful to see and understand what the maximum frame rate Recorder can achieve.
Round frame size to a 4 pixel boundary
On
When it is on, the horizontal and vertical pixel dimensions of the video you are creating are forced to a multiple of 4. This eliminates errors occurring when viewing videos created with certain codecs (such as Microsoft Video 1), which requires frames that are in multiples of 4 pixels.
Note: The TSCC video codec does not have this limitation-videos are encoded and decoded with any pixel dimensions.
Capture layered windows
Off
Allows the capture of translucent or irregularly shaped layered windows. An example of a layered window is the Office Assistant in Microsoft Office 2000.
Note: This feature only works when capturing on Windows 2000, XP, or later.
Single Frame
Off
Will toggle to the single frame capture mode. This option allows only one frame at a time to be captured.
With this option selected, Recorder is always in a paused state.
Use the Record button like a camera shutter button to capture one or more stills that can be saved as an AVI file.
Also see About Recorder's Single Frame Capturing .
Disable display acceleration during capture
Off
Disabling hardware display acceleration on Windows 2000 or later can dramatically increase frame rates and/or reduce system load during recording.
Note: When display acceleration is disabled, your screen will momentarily blank at the start and end of recording. This is normal.


Program Tab

Note: Access this option by choosing Tools > Options > Program tab.

Use this tab to set the Program Options.

  • A checkmark next to the item lets you know that that item is enabled.
  • To enter or remove a checkmark, click on the box next to the desired item.
  • Place a checkmark in the box next to each option you want to enable.
  • Click on the checkmark next to each option you want to disable.

Program Tab Options Description Table

The following table describes each of the Program options.

Program Option
Default Setting
Description
Play AVI files with Camtasia Player
On
If you do not want to use Camtasia Player, remove the checkmark. Your selected Windows video player will be used instead.
Always on top
Off
Puts Recorder at the top of any layered applications on your computer desktop.
Enable Tips
On
When enabled, tips will display.
After save, play the video
On
Plays the video after saving the video file.


About Recorder's Single Frame Capturing

Single Frame is the capture option that captures just one frame at a time. With this option selected, Recorder is always in a paused state. These still frames can be saved as an AVI file to create a slide show or make a "stop frame animation" style video.

When using this option, the Record button is used just like a camera shutter button. Every time you press it, you take a still picture of the screen. You can repeat the capture as many times as needed, and you can change the contents of the capture region between captures to achieve the desired motion effect.

This way, you can arrange the screen without the camera recording your actions. When the screen suits your needs, you simply take a picture. Obviously, this works great for a slide show, because you can include as many different scenes as you require. For an animation-type video, you can condense a longer video by recording only the key steps of a sequence.

This option also works well with the Time-lapse capture mode. For example, by setting the Time-lapse playback frame rate to 1 frame per 10 seconds, you can use Single Frame capture to add slides, each of which is displayed for 10 seconds.

To Use Single Frame Capture
  1. Within Recorder, from the menu bar, select Tools > Options > Program Tab > Single Frame. This is a toggle that you enable by selecting the option once and disable by selecting it again. When the option is enabled, a check mark appears next to the option.
  2. If a Camtasia Tip appears, read it and click Close.
  3. Set any other capture options, including Input, Effects, and Preferences.
  4. To capture a frame, click on the Record button [image].
  5. Repeat the capture as many times as needed. You can change the contents of the capture region between captures to achieve whatever motion effect you want.
  6. When you are finished recording your video, click the Stop button [image] to save your video or the Cancel button [image] to discard your video and start over.


Recorder's Command Line Customizations

The following Recorder command line options allow you to automate and/or control Recorder from other applications or a batch file.

When the command line options are used, Recorder exits with an exit code of 0 on success and 1 on any failure. The exit code is reflected as the "errorlevel" in DOS batch files.

Command Option
Function
Description
/r
Start/Resume
Starts/resumes recording using the current Recorder settings. This option fails if Recorder is already recording.
/p
Pause
Pauses recording. This option fails if Recorder is not running, or if Recorder is not recording.
/s
Stop
Stops recording. This option fails if Recorder is not running, or if Recorder is not recording or paused.
/h
Run Hidden
Hides the Recorder screen and disables the hide/unhide tray icon hotkey. This option always succeeds.
/x
Exit
Causes the running instance of Recorder to exit. This option fails if Recorder is not running. If a recording session is active, the /x option aborts the capture and discards any video file. Note: You can safely perform a /s to stop recording followed by a /x to cause Recorder to exit. (Example: CamRec.exe /s/x).


ScreenPad

ScreenPad is a tool in Camtasia Recorder that lets you add various annotations while you are recording your video. Annotations include pre-made or user-created shapes or text boxes that are stored in ScreenPad libraries. By dragging and dropping one of these library annotations onto your screen, you are create an "instance" of that annotation.

Once you have your ScreenPad annotations arranged on the screen just the way you want them, you can save them as a layout. A layout is simply an arrangement of one or more annotations. They are saved in the "Layouts" tab of the ScreenPad window. Whenever you open a layout, all images appear in the same position on the screen. For instance, if you combined the company's name and logo in a layout - they will always be placed on your screen in the same position. You can assign hotkeys to the layouts allowing you to cycle smoothly through them during recording without ever interrupting the creation of the video clip.

The following chapter teaches you how to create and use ScreenPad annotations in your video production. ScreenPad is accessed from within Recorder by going to View > ScreenPad.

Getting Familiar with the ScreenPad Screen

The ScreenPad screen has a very intuitive, easy-to-use interface. When you first startup ScreenPad, you will be in the default normal view. Below, you will find an overview of the components of ScreenPad's normal view. Before you begin your work within ScreenPad, take a few minutes to get familiar with the ScreenPad screen.


ScreenPad File Menu

The File menu options allow you to access the new, open, and close options as well as the existing libraries that came with ScreenPad.

To select a File option, choose the desired option from the dropdown menu.

Options that give you access to more detailed menus will contain a small arrow next to them. Click on the menu option containing the arrow to reveal the other options.

The following table describes each of the File options.

File Option
Description
New
Creates a new Layout Library, Shape Library, or Text Note Library. Libraries are used to store your shapes, text notes, or layouts. To create a new library, select desired library format from menu and then name the library. The new library will be added to the ScreenPad.
Open
Open an existing Layout Library, Shape Library, or Text Note Library.
Close
Closes selected Layout, Shapes, or Text libraries.
Layouts
Opens a Layout Library. Once a Layout Library is opened, each layout will display as an icon in the Layout view.
My Shapes
Opens a Shape Library in the Shapes view. Once a Shape Library is opened, each of the shapes will display in the Shape Library.
My Text Notes
Opens a Text Note Library in the Text Note view. Once a Text Note Library is opened, each of the notes will display as an icon in the Text Notes view.
Close ScreenPad
Closes the ScreenPad.


ScreenPad Edit Menu

The Edit menu options allow you to access the editing features and ancillary applications that can be used to edit an annotation. There are two different ancillary editing applications that can accessed; the Image Editor and the Icon Editor.

Note: For more information on editing images with the Image Editor, continue with the chapter entitled Working with ScreenPad Shapes.

Note: For more information on editing icons with the Icon Editor, continue with the chapter entitled Working with ScreenPad Library Icons.

The Edit options that are available for the selected annotation will change according to which library annotation is selected. For example, when an annotation in a Shapes Library is selected, you will get the edit options available for Shapes. The same edit options can be accessed through a pop-up menu by right-clicking on an annotation.

Additionally, the available edit options will also change depending on if you are editing an annotation from within a library or from the desktop. For more information on this topic, see Working with ScreenPad Shapes.

To select an Edit option, first choose the desired annotation from one of the Libraries. Next, choose Edit and choose the desired option from the dropdown menu.

The following table describes each of the Edit options.

Edit Option
View Where Available
Description
Copy
Layouts
My Shapes
My Text Notes
Copies the selection to the clipboard.
Paste
Layouts
My Shapes
My Text Notes
Pastes the clipboard contents into the library.
Remove
Layouts
My Shapes
My Text Notes
Will delete the selected item.
New Shape
My Shapes
Inserts a new shape into the New Shape Library. For more information, see "Working with ScreenPad Shapes".
New Text Note
My Text Notes
Inserts a new text Note into the Text Note Library. For more information, see Working with ScreenPad Text Notes.
Edit Image
My Shapes
Allows you to edit the graphic associated with the selected shape. For more information, see "Editing a ScreenPad Image".
Edit Text Note
My Text Notes
Allows you to edit the text in the selected text note. For more information, see "Editing a ScreenPad Library Text Note" and "Editing an Instance of a ScreenPad Text Note
Editing an Instance of a ScreenPad Text Note".
Save Layout
Layouts
My Shapes
My Text Notes
Saves the current configuration of annotations as a layout.
Icon
Layouts
My Shapes
My Text Notes
Allows you to either change the annotation's icon to a different one or edit the annotation's icon using the Icon Editor. For more information on the Icon Editor, see Working with ScreenPad Library Icon.


ScreenPad View Menu

The View options allow you to choose how you will display the annotations within the Libraries. To select a View option, select the option from the dropdown menu.

View Options Description Table

The following table describes each of the View options.

View Option
View Where Available
Description
Icons and Names
All
Enable this option if you would like to view the icon and the name of the annotation within the Library view.
Icons Only
All
Enable this option if you would only like to see the annotation icons displayed.
Names Only
All
Enable this option if you would only like to see the annotation names displayed.
Close All Annotations
All
Closes all open annotations on the desktop.
Refresh All Annotations
All
Refreshes all open annotations on the desktop.


ScreenPad Options Menu

The Options menu allows you to set the Layout hotkeys [image].

Layout Hotkeys

Once the Hotkeys option is selected, the ScreenPad Hotkeys dialog box displays. While recording your video, the Layout hotkeys will enable you to quickly change layouts without having to pause the recording process in order to close one layout and then open another.

For example, you can start recording with no annotation layouts visible. Then, at a predetermined point during recording, use the Show/Hide Layout Hotkey to show the first layout. Then, using the Next or Previous Layout Hotkeys, you can cycle through a set of layouts that illustrate the action on screen in real time. Use the Show/Hide Layout Hotkey again to make them disappear.

Layout Hotkeys Options Description Table

The following table describes each of the Layout hotkey options.

Hotkey Name
Description
Next Layout Hotkey
Closes the current layout and opens the next layout in the list.
Previous Layout Hotkey
Closes the current layout and opens the previous layout used.
Show/Hide Layout Hotkey
Shows or Hides the currently selected layout.

Enabling the Layout Hotkeys

Note: Hotkeys are global to all applications running on your system. If Recorder is running and you are working in another application such as Microsoft Word, and you press F9 to update your fields (assuming you haven't changed the Recorder's default Record/Pause hotkey) then your system will act as if you pressed the Record button in Camtasia which will begin the recording process.

Note: When setting the hotkeys for the layouts, keep in mind that the default hotkeys for Recorder are as follows:
F9 is the hotkey for Record/Pause
F10 is the default hotkey for Stop
Therefore, you will want to set your layout hotkeys to be different from these defaults to avoid any confusion.

Note: If Recorder is not running, then the Recorder Hotkeys have no effect on any other application that is running.

Note: When creating your hotkeys, it would not be a good idea to set the hotkeys to something like the letter 'A' as a hotkey by itself (although we let you do this) since you might be typing in Microsoft Word and Camtasia would keep trying to record every time you press the letter 'A'. Overall, when creating hotkeys, it is better to select a keystroke combination that is more obscure (such as Ctrl+Shift+A).

To use the <CTRL>, <SHIFT>, or <ALT> keys either singly or in combination with one another, click inside the box next to the desired key. A checkmark will appear next to the key that is enabled.

.

To select any other key to use with this hotkey, select the desired key from the dropdown list.

Overall, the hotkey represented in the graphic above is <CTRL> + <ALT> + <N>. Every time this keystroke is pressed while Recorder is running the current layout will change to the next layout in the library.


Working with ScreenPad Shapes

ScreenPad comes with a Shapes library called My Shapes. In this library you will find some basic shapes like sticky notes, callouts, boxes etc.

When talking about a shape, it is important to understand that a shape consists of several different attributes. These are the graphic image of the shape, the shape's size, the text found within the shape, and the opacity of the shape. Using ScreenPad's built in editing features, each of these individual attributes are able to be customized in order to give you the exact look that you desire for your video.

When working with shapes, you can:

  • Organize your shapes by creating new libraries.
  • Create a new shape from an imported GIF, BMP or JPEG image.
  • Make part of a shape transparent.
  • Define the opacity of the shape.
  • Design and draw your own shapes on a blank canvas.
  • Add text to shapes.
  • Edit a shape's color or add annotations such as lines, rectangles, etc.

Creating a New Shape

The following instructions will take you through the process of creating a `blank' shape. A blank shape is simply an opaque white shape that has not had any image, text, or opacity editing done to it. Overall, creating a blank shape is the first step that is required when wanting to create any shape from scratch (versus importing a ready-made image to use for a shape). Once a blank shape is created, you can save it as-is or edit its different attributes.

To create a new shape:

  1. From within Recorder, select menu options View > ScreenPad or click the ScreenPad icon on the toolbar. The ScreenPad appears.
  2. Select the Library in which you want to add the new shape. If you have not created any other libraries, then there will only be one library: My Shapes.
  3. Right-click over an existing shape in the library and select New Shape or choose Edit > New Shape.
  4. The New Annotation dialog box appears.

  1. Enter the Name of the new shape in the Name field: . The name given here will be displayed in the library.
  2. Make sure the Blank radio button is selected: .
  3. Set the shape dimensions (in pixels): . If you don't know the exact size right now, this can be changed later. See Working with ScreenPad Shapes.
  4. If you would like to add a text caption to the inside of the shape, type it in the text box:
  5. Click OK. The new shape is created and displayed on the screen. The shape is also added to the ScreenPad Library.

Creating a New ScreenPad Shape from an Existing Image File

The ScreenPad allows you to import images (GIF, BMP or JPEG) to use when creating new shapes. When an existing image is imported into ScreenPad, it becomes a shape, taking on all of the attributes of a shape. These attributes include the graphic image (what you are importing), the size, the text found within the shape, and the opacity of the shape. Once an image is used to create a shape, you can save it as-is or edit its individual attributes.

To create a shape from an existing file:
  1. From within Recorder, select menu options View > ScreenPad or click the ScreenPad icon on the toolbar. The ScreenPad appears.
  2. Select the Library in which you want to import the new shape. If you have not created any other libraries, then there will only be one library: My Shapes.
  3. Right-click over an existing shape and select New Shape or choose Edit > New Shape. The New Annotation dialog appears.
  4. Enter the Name of the shape in the Name field: . The name given here will be displayed in the library.
  5. To import an image, make sure the Image File button is selected. Once you enable the Image File option, you will be able to browse for the desired file. To browse for the file, click on the Browse button [image]. Once you find the correct image, click on the Open button. The file will be updated to the Image File field as seen here: .
  6. If you would like to add a text caption to the shape, type it in the text box.
  7. Click OK. The new shape is created and displayed on the screen. The shape is also added to the ScreenPad library.

Editing a ScreenPad Library Shape

Note: There are two ways that you can edit a shape: from within a library or by individual `instance'. Editing a library shape saves the changes to be used in every instance of that shape. Editing an instance saves changes to that one occurrence and does not affect the shape in the library.

A shape consists of several different attributes: image, size, text, and level of opacity. Each of these attributes can be edited in a number of different ways, giving you total control over how your shapes and subsequent layouts will appear in your video.

When editing a shape from within a library, the changes that you make to the shape will be saved as that shape and any new instances that you drag from the library will then show the new appearance. For example: You changed the color of a callout inside the library from yellow to blue. All new callouts dragged onto the screen will be blue. Therefore, if you want the edits to effect each instance of the shape, make your edits to the shape from within a library.

To edit a shape from within a library, right-click on the shape within the library. A pop-up menu will display.

Library Shape Pop-Up Menu Description Table

The following table describes each of the Library shape's pop-up menu options.

Option Name
Description
New Shape
Opens the New Shape dialog box for creating a blank shape.
Edit Image
Opens the Image editor for making changes to the shape's image. For more information, see Working with ScreenPad Shapes.
Edit Text
Opens the Text Tool for adding text to the shape. For more information, see Editing a ScreenPad Shape's Text
Edit Opacity
Opens the Opacity Settings dialog box for setting the level of opacity. For more information, see Editing a ScreenPad Shape's Opacity & Transparency.
Copy
Copies the selected shape to the clipboard for use within ScreenPad. The shape can then be pasted into the same library or a different one.
Paste
Pastes the contents of the clipboard into the current library or, you can choose another library and paste the shape into it.
Remove
Deletes the selected shape from the library.
Icon
Allows you to change a shape's icon (how it appears in the library) to an existing icon file or opens the icon editor where you can edit the shape's icon. For more information, see Working with ScreenPad Library Icons.
Shape Library
Allows you to create a new Shape library. For more information, see Working with ScreenPad Shapes.

Editing a ScreenPad Instance of a Shape

Note: There are two ways that you can edit a shape: from within a library or by individual `instance'. Editing a library shape saves the changes to be used in every instance of that shape. Editing an instance saves changes to that one occurrence and does not affect the shape in the library.

You can edit an individual instance or occurrences of a shape that has been dragged and dropped on the screen. When editing an instance of a shape, the properties of the original shape in the library will not be affected by the changes. The next time you drag an instance from the same shape, it will appear in the original format. Overall, if you just want to edit one instance of a shape, make your edits to the shape using the desktop instance.

To edit a shape using the desktop instance, drag and drop an instance to the desktop. Right-click on the instance. A pop-up menu will display.

Instance Shape Pop-Up Menu Description Table

The following table describes each of the Instance shape's pop-up menu options.

Option Name
Description
Edit Text
Opens the Text Tool for adding text to the shape. For more information, see Editing a ScreenPad Shape's Text.
Edit Image
Opens the Image editor for making changes to the shape's image. For more information, see Working with ScreenPad Shapes.
Edit Opacity
Opens the Opacity Settings dialog box for setting the level of opacity. For more information, see Working with ScreenPad Shapes and Editing a ScreenPad Shape's Opacity & Transparency.
Resize
Opens the Resize Annotation dialog box for resizing the shape.
To resize, open the Resize Annotation dialog box.
Use the arrow buttons to increase or decrease the horizontal or vertical size.
Enable the Keep Scale Factors Equal option to keep the shape's scaled to size as either the horizontal or vertical size is changed.
As the resizing is taking place, you will not be able to see the shape. If you would like to see the shape as you resize, use the resize options in the Edit Text dialog box.
Clone
Copies and pastes the selected shape onto the desktop. To clone a shape, right-click on the shape and choose Clone from the pop-up menu. The new shape will be displayed on the desktop.
Save
Saves and updates changes to the original shape in the library.
Save Layout
Saves current arrangement of annotations as a layout in the Layout library. You will be prompted for a new layout name: .
Close
Closes selected shape.
Close All Annotations
Closes all open shapes on desktop.


Editing a ScreenPad Shape's Text

Note: You can also use the Edit Text dialog box to resize a shape. This will help you adjust the shape to fit the shape's text. Or, you can use the resize options to resize a shape even if it does not have text.

To add text to a shape or to edit a shape's existing text, either double-click on the shape or right-click on the shape.

From the right-click pop-up menu, choose Edit Text. The Edit Text tool box will display.

To add text, simply begin typing in the Text Tool display area. As you add or make changes to your text, you will be able to see the changes as they appear in your shape.

Once you have made all of your changes, choose OK to save and update the changes to the shape.

If the shape was edited from the library, each instance that is created from this shape will contain these changes.

If the shape was edited using an instance on the desktop, only this one instance will contain the changes.

ScreenPad Edit Text Options Description Table

The following table describes each of the Edit Text options along with its use.

Button
Option
Description
Use
None
Text Display Field
The area of the Edit Text tool that allows you to enter the desired text.
When you first open the Edit Text tools, the cursor will be flashing in the text display area. At this time, simply enter the desired text. As you type, you will see the text as it appears in the shape.
Or, if at any time during the course of your work the cursor is not in the text display area and you need to add text, simply click on the display area and then begin typing.
Font
Displays the standard Windows font dialog box allowing you to change the font type, size, color, etc.
To change the font attributes, click on the Font button. The Font dialog box displays.
Font: To change the font, select the new font from the font list.
Font Style: To change the font style, select the desired style from the list.
Size: To change the font size, select the new size from the list.
Effects: To apply any effects, enable the desired effect by clicking on the corresponding box.
Color: To change the font color, click on the Color button. Choose desired color from dropdown menu.
Sample: This area will give you a preview of the changes made to the font.
OK: Choose OK to save and update changes.
Cancel: Choose Cancel to exit the Font dialog box without making any changes.
Left Justified
Left justifies the text in the shape.
Click on the Left Justified button to move all text to the left justified position.
Center Justified
Centers the text in the middle of the shape.
Click on the Center Justified button to move all text to the center justified position.
Right Justified
Right justifies the text in the shape.
Click on the Right Justified button to move all text to the right justified position.
Bold
Applies bold attribute to all text.
Click on the Bold button to apply the bold attribute to all of the text.
Italic
Applies italic attribute to all text.
Click on the Italic button to apply the italic attribute to all of the text.
Underline
Applies underline attribute to all text.
Click on the Underline button to apply the underline attribute to all of the text.
Scale Image Horizontal
Resize the shape horizontally.
To resize the shape, grab the slider bar and move up or down. You will be able to see a preview of the resizing on the desktop.
Scale Image Vertical
Resize the shape vertically.
To resize the shape, grab the slider bar and move up or down. You will be able to see a preview of the resizing on the desktop.
Keep Scale Factors Equal
When resizing, keeps the shape proportionally intact by sizing both horizontal and vertical at the same time.
To enable this feature, click on the corresponding box. When enabled, a checkmark will display.
OK
Saves and updates changes to shape - either in the library or for an instance.
Click on the OK button.
Cancel
Cancels any changes to the shape.
Click on the Cancel button.

Continue this topic with Editing a ScreenPad Shape's Opacity & Transparency.


Editing a ScreenPad Shape's Opacity & Transparency

This section describes the differences between Opacity and Transparency and how to apply these attributes to a shape.

ScreenPad's Opacity Overview

Opacity is the attribute that allows your shape to be solid (showing none of the desktop behind it) or to have varying degrees of transparency (the ability to see part of the desktop through the image). When applying opacity to a shape, the entire shape is effected. An example of the use of this attribute is shown in the following graphics.

Continue this topic with Applying ScreenPad's Opacity to a Shape.

Applying ScreenPad's Opacity to a Shape

To edit a shape's opacity, right-click on the shape. From the pop-up menu, choose Edit Opacity. The Opacity Settings dialog box will display.

To adjust the amount of opacity that is applied to the shape, grab the slider bar and move up toward more opaque (solid) or down toward less opaque (transparent). As the slider bar is moved, you will see the percentage of opaqueness shown in the percentage field. Additionally, you will be able to see the shape as the changes are taking place.

Once you have made all of your changes, choose OK to save and update the changes to the shape.

If the shape was edited from the library, each instance that is created from this shape will contain these changes.

If the shape was edited using an instance on the desktop, only this one instance will contain the changes.

ScreenPad's Transparency Overview

The Transparency attribute is very similar to the opacity attribute. However, when using the transparency attribute, you can define particular colors to become transparent on the screen. This allows you to give your shapes the illusion that they are floating over the items on the desktop.

An example of this attribute is shown in the following graphics.

Applying ScreenPad's Transparency to a Shape

To edit a shape's transparency, right-click on the shape. From the pop-up menu, choose Edit Image. The Edit Image tool box will display.

Note: Only the tool needed to add transparency will be described within this process. For a complete explanation of all of the editing tools, see ScreenPad Image Editor.

Overall, there are two ways to apply transparency to your shape.

Method 1
  1. Click on the Color Select tool [image].
  2. Right-click on the color on the image that you want to select as the transparency color. Use the magnifying glass to enlarge the image if you need to in order to see the colors clearly. As soon as you right-click on the color the transparency area will be applied immediately.
  3. The shape's image in the preview window will change to reflect your choice. The color that is to become transparent will now appear gray. For this example, we chose to make the white transparent.

  1. Once you have made all of your changes, choose OK to save and update the transparency changes to the shape. If the shape was edited from the library, each instance that is created from this shape will contain these changes. If the shape was edited using an instance on the desktop, only this one instance will contain the changes.

Note: To undo transparency once you have applied it, click on the Transparency Color tool [image] in the Edit Image dialog box and select none [image] from the color menu. The color will be restored.

Method 2
  1. Click on the down arrow next to the Transparency Color tool [image] to reveal the color chart.
  2. From the color chart, select the color that you want to become transparent.
  3. The shape's image in the preview window will change to reflect your choice. The color that is to become transparent will now appear gray. For this example, we chose to make the white transparent.

  1. Once you have made all of your changes, choose OK to save and update the changes to the shape. If the shape was edited from the library, each instance that is created from this shape will contain these changes. If the shape was edited using an instance on the desktop, only this one instance will contain the changes.

Note: To undo transparency once you have applied it, click on the Transparency tool and select none [image] from the color menu. The color will be restored.


Editing a ScreenPad Image

The graphic part of a shape is called an image. The image can either be a blank shape or an image that has been imported from a file. For more information on blank shapes and importing images, see Working with ScreenPad Shapes.

The image is able to be edited using ScreenPad's build-in Image editor. This section describes each of the edit features along with instructions on their use.

ScreenPad Image Editor

The ScreenPad's Image Editor is a very powerful and useful tool for making changes to your shape's image and such as adding graphical annotations, erasing parts of the image, resizing, changing colors, and more.

To edit a shape's image, right-click on the shape. From the pop-up menu, choose Edit Image. The Edit Image tool box will display.

Edit Image Tools Description Table

The following table describes each of the Edit tools along with its use.

Button
Name
Description
Use
Zoom Slider
Adjust the view zoom level to any magnification.
Grab the slider and move up or down until the desired magnification is reached.
Cut
Cut or delete the selected area from the drawing.
First use the Select tool [image] to choose the area to be deleted. Once selected, click on the Cut tool.
Copy
Copy the selected area to the clipboard for pasting.
First use the Select tool [image] to choose the area to be copied. Once selected, click on the Copy tool.
Paste
Paste the contents of the clipboard to the image. This will only paste content that has been copied to the clipboard from within the Image editor.
First use the Select tool [image] to choose the area to be copied. Once selected, click on the Copy tool [image]. Click on the Paste tool. The selection will be pasted into the image directly over the area from where it was copied. Grab the selection and move to desired location.
Clear
Deletes or clears the entire image area.
Click on the Clear tool. The image will be removed.
Undo
Undo the most recent change to the drawing.
Click on the Undo tool.
Redo
Redo a change that has been undone.
Click on the Redo tool right after you have clicked the Undo tool.
Magnify
Magnify the selected area.
Click on the Magnify tool and then click on the image. Each time you click on the image it will magnify. Right-click on the image to reduce size.
Size to fit Window
Change the view size of the drawing to fit the Image Editor window size.
Click on the Size to Fit Window. The image will be resized to fit the window either horizontally or vertically, depending on the dimensions of the shape.
This option does not change the actual size of the image. It is only the display size that is changed.
Once you have resized the display size of your shape, if you want to return the shape to it's previous display size, use the magnification scroll bar to adjust to desired display size.
Resize
Resize the drawing to specific pixel dimensions. Also, change the color depth of the drawing.
Click on the Resize tool to display Resize toolbox.
Width: Enter the desired width in pixels.
Height: Enter the desired height in pixels.
Crop to Selection Rectangle: You can use the Select tool to select the size you would like to crop the image to. Once the desired size is selected, choose the Resize tool and then click on the Crop to Selection Rectangle option.
Colors: Select the desired color palette from the dropdown list.
OK: Choose OK to save resize changes and update to the Image Editor.
Cancel: Choose Cancel to abort any changes.
Note: This same resize option is available to you by right-clicking on the shape either from within the library or on the desktop and choosing Resize.
Note: You can also size your shape by right-clicking on the shape either from within the library or on the desktop and choosing Edit Text. Use the slider bars to change the size of the image.
Select Area
Select a rectangular area of the drawing for editing or manipulation using the other tools.
Select the Select Area tool and then drag the desired area on the image with the mouse. Release the mouse when desired area has been selected.
Use the handles on the selected area to fine tune the selection by dragging a handle in any direction.
Move the selection by grabbing the selection with the mouse and dragging to new location.
Select Color
Picks up a color from the image for drawing or adding transparency.
For Drawing: Select the Select Color tool and then click on an area of the image to select the desired color. The foreground color tool will change to reflect choice [image].
At this time, you can use the drawing tools to add annotations drawn in the selected color.
For Transparency: Right-click over an area to select the transparency color. The transparency area will be applied immediately.
Flood Fill
Quickly fills a selected area with the desired color.
Click the paint can, then click an area of the drawing to pour the color into.
Add Text
Add text over the image. Once text is added to a shape's image and the image is saved, you cannot edit the text later.
Click on the Add Text tool. The Text Tool dialog box displays.
Enter the desired text and then select the font attributes. For more information on each of the font attributes, see ScreenPad Text Note Dialog Box.
Air Brush
Adds selected color in random patterns to the image.
Select the desired color and then click on the Air Brush tool. To spray the color in random patterns, click down on the image with the mouse and drag the mouse around the image. Release mouse when finished.
Erase
Erases an area of the image. The Eraser Width is adjustable.
Select the desired eraser width from the Eraser Width tool [image] and then click on the Eraser tool. To erase a small portion of the image, click once with the mouse on the section to be erased or for a larger area, click down on the image with the mouse and drag the mouse around the image. Release mouse when finished.
Pen
Draw a line freehand in the drawing area. Line width is set with the Pen Width tool.
Select the desired line width from the Pen Width tool [image] and then click on the Freehand Draw tool. To draw, click down on the image with the mouse and drag the mouse across the image. Release mouse when finished.
Line
Draw a straight line in the drawing area. Line width is set with the Pen Width tool.
Select the desired line width from the Pen Width tool [image] and then click on the Line tool. To draw, click down on the image with the mouse and drag the mouse across the image. Release mouse when finished.
Eraser Width
Use this tool to set the size of the Freehand Eraser tool.
To set the eraser width, click on the small arrow on the Eraser Width tool [image] to reveal the size menu:
Use the mouse to click on the desired size.
Pen Width
Use this button to set the pixel width of freehand lines, straight lines, and shapes.
To set the pen width, click on the small arrow on the Pen Width tool [image] to reveal the size menu:
Use the mouse to click on the desired size.
Rectangle
Draw a rectangle shape in the drawing area.
Select the desired line width from the Pen Width tool [image] and then click on the Rectangle tool. To draw, click down on the image with the mouse and drag the mouse across the image. Release mouse when finished.
Rounded Rectangle
Draw a rounded rectangle shape in the drawing area.
Select the desired line width from the Pen Width tool [image] and then click on the Rounded Rectangle tool. To draw, click down on the image with the mouse and drag the mouse across the image. Release mouse when finished.
Ellipse
Draw an ellipse (circle or oval) in the drawing area.
Select the desired line width from the Pen Width tool [image] and then click on the Ellipse tool. To draw, click down on the image with the mouse and drag the mouse across the image. Release mouse when finished.
Filled Rectangle
Draw a filled rectangle shape in the drawing area using the foreground color.
Choose the desired color using the Foreground Color tool. Select the desired line width from the Pen Width tool [image] and then click on the Filled Rectangle tool. To draw, click down on the image with the mouse and drag the mouse across the image. Release mouse when finished.
Filled Rounded Rectangle
Draw a filled rounded rectangle shape in the drawing area.
Choose the desired color using the Foreground Color tool. Select the desired line width from the Pen Width tool [image] and then click on the Filled Rounded Rectangle tool. To draw, click down on the image with the mouse and drag the mouse across the image. Release mouse when finished.
Filled Ellipse
Draw a filled ellipse (circle or oval) in the drawing area.
Choose the desired color using the Foreground Color tool. Select the desired line width from the Pen Width tool [image] and then click on the Filled Ellipse tool. To draw, click down on the image with the mouse and drag the mouse across the image. Release mouse when finished.
Foreground Color
Displays the color to be used with the paint and drawing tools.
Click the down arrow to select the color, or use the eyedropper and left-click over the image to select the foreground color to be used with any paint or drawing tool.
Transparency Color
Displays the color to be used as transparent.
Click the down arrow to select the color, or use the eyedropper and right-click over the image to select the color that will be used as transparent.
OK
Saves and updates changes to image..
If the shape was edited from the library, each instance that is created from this shape will contain these changes.
If the shape was edited using an instance on the desktop, only this one instance will contain the changes.
Once you have made all of your changes, choose OK to save and update the changes to the shape.
Cancel
Cancels all changes to image.
Choose Cancel to abandon all changes to the image.


Working with ScreenPad Text Notes

A Text Note is an annotation that only contains text, no image. However, it can contain special types of borders and the Text Note's background color, font, font color, font size, etc can be customized.

The following graphic gives you an idea of the difference in regards to looks between a shape that contains text and a Text Note.

ScreenPad comes with a Text Notes library called My Text Notes. In this library you will find some basic notes to add to your video. You can create more notes and add them to this library or to a new library.

When talking about a text note, it is important to understand that a text note consists of several different attributes. These are the text within the note, the note's size, the text note's graphical settings, and the opacity of the Text Note.

Using ScreenPad's built in editing features, each of these individual attributes are able to be customized in order to give you the exact look you desire for your video.

When working with Text Notes, you can:

  • Create a new note in the library.
  • Create an instance of a text note.
  • Organize your notes by creating new libraries.
  • Define the opacity of the note.
  • Add and edit text.
  • Edit a note's border, font, or colors.

Creating a New ScreenPad Library Text Note

The following instructions will take you through the process of creating a new text note.

There are two ways that you can edit a text note: from within a library or by individual `instance'. This section describes creating a new library Text Note.

To create a new text note:

  1. From within Recorder, select menu options View > ScreenPad. The ScreenPad appears.
  2. Select the Library in which you want to add the new text note. If you have not created any other libraries, then there will only be one notes library: My Text Notes.
  3. Right-click over an existing note in the library and select New Text Note or choose Edit > New Text Note.
  4. The New Text Note dialog box appears

.

  1. Enter the text and select each of the desired attributes of this text box. For information on each of the Text Note options, see ScreenPad Text Note Dialog Box.
  2. Once you have made all of your changes, choose OK to save and update the changes to the text box.

ScreenPad Text Note Dialog Box

The following section describes the options found in the Text Note dialog box. This dialog box is accessed when you are performing the following processes:

  1. Creating a new library text note.
  2. Editing an existing library text note.
  3. Editing an instance of a text note.

This dialog box is accessed in several ways depending on the desired text note process:

  • Right-click on library note and choose New Text Note from the pop-up menu.
  • Right-click on library note and choose Edit Text Note from the pop-up menu.
  • Right-click on an instance of a library note and choose Edit Settings from the pop-up menu.
  • Highlight a library note and choose Edit > New Text Note
  • Highlight a library note and choose Edit > Edit Text Note
  • When in edit mode inside an instance of a text note, right-click and choose Settings from the pop-up menu.

Note: The title on the Text Note dialog box will differ slightly according to which process you are involved in. For instance, you may see 'new' or 'edit' on the title bar in addition to the Text Note title as seen in the following graphics.

-OR-

Note: After you have reviewed this information, continue this topic with Editing a ScreenPad Library Text Note.

Text Note Dialog Box Description Table

The following table describes each of the options found in the Text Note dialog box along with its use.

Button
Option
Description
Use
Text Display Field
The area of the Edit Text tool that allows you to enter the desired text.
When you first open the Text Note dialog box, the cursor will be flashing in the text display area. At this time, simply enter the desired text. As you type, you will see the text as it appears in the text note.
Or, if at any time during the course of your work the cursor is not in the text display area and you need to add text, simply click on the display area and then begin typing.
Font
Displays the standard Windows Font dialog box allowing you to change the font type, size, color, etc.
To change the font attributes, click on the Font button. The Font dialog box displays.
Font: To change the font, select the new font from the font list.
Font Style: To change the font style, select the desired style from the list.
Size: To change the font size, select the new size from the list.
Sample: This area will give you a preview of the changes made to the font.
OK: Choose OK to save and update changes.
Cancel: Choose Cancel to exit the Font dialog box without making any changes.
Left Justified
Horizontally left justifies the text in the text box.
Click on the Left Justified button to move all text to the left justified position.
Center Justified
Horizontally centers the text in the middle of the text box.
Click on the Center Justified button to move all text to the center justified position.
Right Justified
Horizontally right justifies the text in the text box.
Click on the Right Justified button to move all text to the right justified position.
Top Justified
Vertically top justifies the text in the text box.
Click on the Top Justified button to move all text to the top justified position.
Middle Justified
Vertically middle justifies the text in the text box.
Click on the Middle Justified button to move all text to the middle justified position.
Bottom Justified
Vertically bottom justifies the text in the text box.
Click on the Bottom Justified button to move all text to the bottom justified position.
Bold
Applies bold attribute to all text.
Click on the Bold button to apply the bold attribute to all of the text.
Italic
Applies italic attribute to all text.
Click on the Italic button to apply the italic attribute to all of the text.
Underline
Applies underline attribute to all text.
Click on the Underline button to apply the underline attribute to all of the text.
Word Wrap
Wraps the text in the text box. This allows the text box to be sized and the text flows accordingly.
If the text is not wrapped, then it is strung out in one long line. Then, if the text box is resized, the text may be cut off.
Word Wrap is turned on by default.
To disable the Word Wrap feature, click in the Word Wrap box. When disabled, the checkmark is removed from the box. When enabled, a checkmark will display.
None
Text Color
Opens Color dialog box for selecting desired text color.
Click on the Color box next to the words `Text color' [image].
The Color dialog box will display. Use the mouse to select the desired color. When color is selected, choose OK, it will be updated to the Color box: . The text in the text display area will also be updated with the color:
None
Bkgd Color
Opens Color dialog box for selecting desired background color.
Click on the Color box next to the words `Bkgd color' [image].
The Color dialog box will display. Use the mouse to select the desired color. When color is selected, choose OK, it will be updated to the Color box: . The background in the text display area will also be updated with the color:
None
Width
Determines the width of the text box.
Enter the desired size by increasing or decreasing the size using the arrow buttons.
If you don't know the size that you want, the text box width can be manually resized on the desktop by pulling the border of the text box either to the left or to the right.
If an instance of a text box is resized while on the desktop and you want to permanently save that size for use later, right-click on the text box and choose Save. The text box in the library is updated.
Height
Determines the height of the text box.
Enter the desired size by increasing or decreasing the size using the arrow buttons.
If you don't know the size that you want, the text box width can be manually resized on the desktop by pulling the border of the text box either to the left or to the right.
If an instance of a text box is resized while on the desktop and you want to permanently save that size for use later, right-click on the text box and choose Save. The text box in the library is updated.
Frame Style
Allows you to choose the look of the frame surrounding the text box.
Click on the down arrow next to the Style field to reveal the dropdown menu [image]. Use the mouse to select the desired border from the list.
Frame Width
Determines the width of the text box frame.
Enter the desired size by increasing or decreasing the size using the arrow buttons.
Frame Color
Some frames are able to have their colors changed. If the frame that you have selected is able to have the color changed, the Color field will become enabled.
Click on the Color field to open the Color dialog box for selecting desired frame color.
Click on the Color box next to the word Color [image].
The Color dialog box will display. Use the mouse to select the desired color. When color is selected, choose OK, it will be updated to the Color box:
Default
Resets all of the selected options back to the ScreenPad's default values.
Click on the Default button.
OK
Saves and updates changes to shape - either in the library or for an instance.
Click on OK button.
Cancel
Cancels any changes to the shape.
Click on the Cancel button.

Editing a ScreenPad Library Text Note

A text note consists of several different attributes: text, size, frame, and level of opacity. Each of these attributes can be edited in a number of different ways, giving you total control over how your text notes and subsequent layouts will appear in your video. There are two ways that you can edit a text note: from within a library or by individual `instance'. This section describes editing a Library Text Note.

Editing a Text Note from within a Library

When editing a text note from within a library, the changes that you make and save to the note will be saved as that note and any new instances that you drag from the library will then show the new appearance. For example: You changed the background color of a note inside the library from white to blue. All new notes dragged onto the screen from that same note will have a blue background. Therefore, if you want the edits to effect each instance of the note, make your edits to the shape from within a library.

To edit a shape from within a library, right-click on the shape within the library. A pop-up menu will display.

Library Shape Pop-Up Menu Description Table

The following table describes each of the Library shape's pop-up menu options.

Option Name
Description
New Text Note
Opens the New Text Note dialog for creating a new note.
Edit Text Note
Opens the Image editor for making changes to the note's image. For more information, see ScreenPad Image Editor.
Edit Opacity
Opens the Opacity Settings dialog box for setting the level of opacity. For more information, see Editing a ScreenPad Shape's Opacity & Transparency.
Copy
Copies the selected note to the clipboard for use within ScreenPad. Text Note can then be pasted into the same library or a different one.
Paste
Pastes the contents of the clipboard into the current library or choose another library and paste shape into it.
Remove
Deletes the selected note from the library.
Icon
Allows you to change a note's icon (how it appears in the library) to an existing icon file or opens the icon editor where you can edit the note's icon. For more information, see Working with ScreenPad Library Icons.
Text Note Library
Allows you to create a new Text Note library. Creating a New ScreenPad Library Text Note.

Editing an Instance of a ScreenPad Text Note

A text note consists of several different attributes: text, size, frame, and level of opacity. Each of these attributes can be edited in a number of different ways, giving you total control over how your text notes and subsequent layouts will appear in your video.

There are two ways that you can edit a text note: from within a library or by individual `instance'. This section describes editing an instance of a Text Note. You can edit an individual instance or occurrences of a text note that has been dragged and dropped onto the screen. When editing an instance of a text note, the properties of the original text note in the library will not be affected by the changes. The next time you drag an instance from the same text note, it will appear in the original format. Overall, if you just want to edit one instance of a text note, make your edits to the note using a desktop instance.

To edit a text note using a desktop instance, drag and drop an instance to the desktop. Right-click on the instance. A pop-up menu will display.

Instance Text Note Pop-Up Menu Description Table

The following table describes each of the Instance text note's pop-up menu options.

Option Name
Description
Edit Text
Highlights the text in the text note for editing. Changes made to the text apply to all of the text in the text box.
Edit Settings
Opens the Edit Text Note dialog box for making changes to the note's attributes. For more information, see ScreenPad Text Note Dialog Box.
Edit Opacity
Opens the Opacity Settings dialog box for setting the level of opacity. For more information, see Editing a ScreenPad Shape's Opacity & Transparency.
Clone
Copies and pastes the selected text note onto the desktop. To clone a note, right-click on the note and choose Clone from the pop-up menu.
Save
Saves and updates changes to the original text note in the library.
Save Layout
Saves current arrangement of annotations as a layout in the Layout library. You will be prompted for a new layout name.
Close
Closes selected shape.
Close All Annotations
Closes all open shapes on desktop.

ScreenPad Text Note Edit Options while in Edit Mode

After you have created your text note, you can edit the text by either double-clicking on the text note or right-clicking on the text note and selecting Edit Text from the pop-up menu.

As soon as the text in the text note is highlighted for editing, you are in Edit Mode.

While in Edit Mode, you will be able to select text, copy or paste any selected text, delete text, or access the Text Note settings. To access the Edit Mode menu, right-click on the text note's highlighted text.

The Edit Mode menu will display.

Text Note's Edit Mode Pop-Up Menu Description Table

The following table describes each of the Instance Text Note's pop-up menu options.

Option Name
Description
Undo
Undoes the last edit.
Cut
Cuts the selected text.
Copy
Copies the selected text to the clipboard for use in other applications that support cut and paste.
Paste
Pastes the contents of the clipboard.
Delete
Deletes the highlighted text.
Select All
Selects all of the text in the text note.
End Edit
After you have made your edits, click on End Edit to leave the edit mode. After you are out of Edit Mode, right-click on the text note to save your edits.
Settings
Accesses the Edit Text Note dialog box. For more information, see ScreenPad Text Note Dialog Box.

Editing a ScreenPad Text Note's Opacity

Opacity is the attribute that allows your text note to be solid (showing none of the desktop behind it) or to have varying degrees of transparency (the ability to see part of the desktop through the image). When applying opacity to a text note, the entire note is effected.

An example of the use of this attribute is shown in the following graphics.

Applying Opacity to a Text Note

To edit a Text Note's opacity, right-click on the note. From the pop-up menu, choose Edit Opacity. The Opacity Settings dialog box will display.

To adjust the amount of opacity that is applied to the note, grab the slider bar and move up toward more opaque (solid) or down toward less opaque (transparent). As the slider bar is moved, you will see the percentage of opaqueness shown in the percentage field.

Once you have made all of your changes, choose OK to save and update the changes to the note.

If the note was edited from the library, each instance that is created from this note will contain these changes.

If the note was edited using an instance on the desktop, only this one instance will contain the changes.


Working with ScreenPad Library Icons

The icons that are displayed within your libraries can be changed or edited to give you the exact look that you desire for viewing your layouts, shapes, or text notes.

To Change an Icon

To change an icon to an existing icon:

  1. Right-click on the icon that you would like to change.
  2. From the pop-up menu choose Icon > Change Icon.
  3. A standard Open dialog box will display. Browse and then select the desired icon.
  4. Choose Open.
  5. The new icon will be updated to the library:

Editing Icons Using the ScreenPad Icon Editor

Icon Editor allows you to edit an icon in a library.

To edit an icon:

  1. Right-click on the icon that you would like to change.
  2. From the pop-up menu choose Icon > Edit Icon.
  3. The Icon Editor will open.

  1. Using the drawing tools, make desired changes.
  2. Select OK to save changes and update them to the icon in the library. Choose Cancel to abandon changes and return to library.

Icon Editor Options Description Table

The following table describes each of the Icon Editor's options.

Button
Tool Name
Description
Cut
Cut or delete the selected area from the drawing.
Copy
Copy the selected area to the clipboard for pasting.
Paste
Paste the contents of the clipboard to the drawing.
Clear
Clear the drawing area.
Undo
Undo the most recent change to the drawing.
Redo
Redo a change that has been undone.
Select Area
Select a rectangular area of the drawing for editing or manipulation using the other tools.
Select Color
Click the eyedropper, then left-click over an area of the drawing to select the foreground color. Right-click over an area to select the transparency color.
Flood Fill
Click the paint can, then click an area of the drawing to pour the color into.
Add Text
Add text over the drawing. You can select formatting characteristics from the Text Tool dialog that appears.
Air Brush
Spray the color in random patterns to partially color or fill an area.
Freehand Erase
Erase an area of the drawing. Width: Eraser Width.
Freehand Draw
Draw a line freehand in the drawing area. Line width is set with the Pen Width button.
Line
Draw a straight line in the drawing area. Line width is set with the Pen Width button
Eraser Width
Use this button to set the size of the Freehand Eraser tool.
Pen Width
Use this button to set the pixel width of freehand lines, straight lines, and shapes.
Rectangle
Draw a rectangle shape in the drawing area. Color: Eyedropper or Color Selector.
Rounded Rectangle
Draw a rounded rectangle shape in the drawing area. Border width is set with the Pen Width button.
Ellipse
Draw an ellipse (circle or oval) in the drawing area.
Filled Rectangle
Draw a filled rectangle shape in the drawing area using the foreground color.
Filled Rounded Rectangle
Draw a filled rounded rectangle shape in the drawing area.
Filled Ellipse
Draw a filled ellipse (circle or oval) in the drawing area.
Foreground Color
Click the down arrow to select the color, or use the eyedropper and left-click over the image to select the foreground color to be used with any drawing tool.
Transparency Color
Click the down arrow to select the color, or use the eyedropper and right-click over the image to select the color that will be used as transparent.


Camtasia Player

Camtasia Player is a simple, standalone video player, optimized for playing screen recordings.

  • Player always plays back videos at 100% of their original size so that they remain readable.
  • It runs on any 32-bit Windows platform, with no dependencies on runtime libraries, OS version, or DirectX.
  • The Player is a single .EXE file that does not need any setup, nor does it use the registry or any configuration files.
  • Player is designed to be as easy to use as possible. Command line options are provided which allow Player to be invoked in various ways from CD-ROMs, multimedia authoring tools, and scripting languages or batch files.
  • Player only plays AVI video files. Any audio or video codecs required by the AVI file must be installed before Player can play the video.
  • The basic Windows multimedia support for playing AVI files must be installed.
  • Player does not setup any shell associations to become the default AVI player. However, this could be setup by an install program that you provide or, by the end user.

Opening Camtasia Player

You can open Player in two different ways.

  • Choose Start > All Programs > Camtasia Studio 2 > Applications > Camtasia Player.
  • From within another Camtasia Studio component, choose Tools > Camtasia Player.

Benefits

The TSCC is built into the Camtasia Player. The benefits of having a built-in TSCC include:

  • The ability to playback videos on the host PC without having to install the TSCC.
  • Lossless preservation of 100% of the image quality, even through multiple decompression/recompression cycles that are typical during the production process.
  • Optimization for screen capture so that the resulting files are small and highly compressed.
  • Exceptional compression speed at all color depths.

There are several other benefits to using Player:

  • Provides reliable playback that you can control using command line arguments. For example, you can command the player to exit after playing, or command it to play full screen.
  • Always plays back videos at 100 percent of their original size for best readability.
  • Player is small and self-contained. It works on any 32-bit Windows platform, even Windows 95. There are no extraneous DLLs or DirectX components required.

Note: Camtasia Player supports many command line options that allow complete control over the player when it is run from CD-ROMs, multimedia authoring tools, help files, and scripting languages or batch files. For more information, see Player Command Line Customizations.

See also:

Getting Familiar with the Player Screen

Player Playback Controls

Player Command Line Customizations

Player Background Color Command

Player System Requirements

In order to run Camtasia Player, your system must meet these specifications:

  • Microsoft Windows 95, 98, Me, NT 4, 2000, XP or later version
  • Windows-compatible sound card and speakers (recommended)
  • 360 KB of hard-disk space for program installation
  • Basic Windows multimedia and AVI file support must be installed.
  • Multimedia and AVI file support is normally installed by default with Windows.
  • The standard Windows MCI "Motion Video Device" must be installed. To check if it is installed, open the Control Panel's Multimedia applet, and look for Advanced > Media Control Devices > Motion Video Device. To install MCIl, open the Control Panel's Add New Hardware applet, navigate to Sound, Video and Game controllers > Microsoft MCI > Install the "Motion Video Device.
  • Any audio or video codecs required by your AVI files must be installed. To check if a codec is installed, open the Control Panel's Multimedia applet, and look for the codec under Advanced > Audio Compression Codecs or Advanced > Video Compression Codecs.
  • To install a standard Windows audio or video codec, open the Control Panel's Add/Remove Programs applet, select the Windows Setup tab > check the Multimedia checkbox > click Details > Audio and Video compression boxes are checked.

Making Camtasia Player your Default Player

For Windows Me, Windows 2000, Windows XP or later:
  1. Right-click on an AVI in Windows Explorer.
  2. Select Open With > Other Program or Open With > Choose Program. The Open With dialog box displays.
  3. Click on the Browse button [image] to open the standard Browse dialog box.
  4. Navigate to and select C:\Program Files\TechSmith\Camtasia Studio 2\CamPlay.exe.
  5. Choose Open. You will be back at the Open With dialog box.
  6. Check the Always use this program to open these files or Always use the selected program to open this kind of file option.
  7. Choose OK.

For Windows 98, and Windows NT 4:
  1. In My Computer or Windows Explorer, click the View menu, and then click Options.
  2. Click the File Types tab (or the Folder Options tab on Windows 98).
  3. In the list of file types, select the file type for the AVI file extension (e.g. "Video Clip" or "Video Clip (AVI)"). The settings for that file type are shown in the File Type Details box.
  4. Click Edit.
  5. In the Actions box, select Open.
  6. Click Edit. You may want to note the current setting, in case you want to restore it. Specify the full pathname for Camtasia Player followed by "/open" (e.g. "C:\Program Files\TechSmith\Camtasia\CamPlay.exe" /open)
  7. Click OK.

Getting Familiar with the Player Screen

The Player screen has a very intuitive, easy-to-use interface. Below, you will find an overview of the Player screen. Before you begin your work within Player, take a few minutes to get familiar with the Player screen.


Player Playback Controls

The playback controls are displayed at the top of the player. You will use these controls to control basic playback tasks such as playing, pausing, stopping, rewinding, and fast-forwarding your video files.

Note: To aid in your navigation around the Player screen, each time your cursor touches a button, a tip will appear. The tip gives you the name of the control.

Playback Control Description Table

The following table describes each of the Player playback controls.

Control Button
Control Name
Control Description
Play
Begins playing the video.
Pause
Pauses video.
Stop
Stops the video from playing.
Beginning
Moves video to the beginning.
Rewind
Rewinds the video.
Forward
Fast-forwards the video.
End
Moves video to the end.
Seek Bar
Indicates the playback progress of the video. You can drag the seek bar to the place in the video where you want to start playback.


Player Menu Options

The following section describes each of the Player Menu options.

Player File Menu Options

The File menu options allow you to access the open, close, and exit options. To select a File option, choose the desired option from the dropdown menu.

File Options Description Table

The following table describes each of the File options.

File Option
Description
Open
Opens a standard Open dialog box that allows you to select the AVI file that you want to play.
Close
Closes the current AVI.
Exit
Exits the Player.

Player Play Menu Options

The Play menu options allow you to access the play options. These are many of the same options that are available in the playback controls. To select a Play option, choose the desired option from the dropdown menu.

Play Options Description Table

The following table describes each of the Play options.

Play Option
Description
Play/Pause
Begins playing the video and toggles to Pause which pauses the video.
Stop
Stops the video from playing.
Beginning
Moves video to the beginning.
Rewind
Rewinds the video.
Forward
Fast-forwards the video.
End
Moves video to the end.
Full Screen
Plays the video in full-screen mode. With this option, the video does not enlarge. Instead, the background of the screen is filled in to hide the rest of the desktop. Use the ESC key to exit the full screen mode.
Repeat
Plays the video again from the beginning.
Volume
Allows you to increase, decrease, or mute the volume.


Player Command Line Customizations

When you launch Player, by default it has a title bar, a menu bar, a tool bar, and a status bar. You can customize those elements by specifying arguments on the command line when launching Player.

The exact syntax for the command line arguments is:

CAMPLAY [<options>] [<file>]

where <file> is an optional video file name and <options> is an optional set of options.

For example, when putting Camplay.exe in the Run Program field, you could set it up to run Full Screen and then Exit when finished, by using the following command line arguments and syntax:

Or, you could not have it run full screen and just exit when finished by using the following syntax: Camplay.exe /E.

Player Command Line Options Table

The following table lists the command line options that are available for use with Player.

Command
Description
/A
Launches with "Always on top" option.
/BC RGB(255,0,255)
Set background color, default is black.
/D
Launches without allowing "Dragging" by the video area.
/E
Exits after playing the video.
/F
Launches in Full Screen Mode
/M
Launches without a menu bar
/MX
Launches with its window maximized
/open
Open the specified video (<file>) but does not play it
/p x, y
Sets the movie player window's top corner to an X, Y position indicated in pixels. Example: /p 300, 300
/p x%, y%
Sets the movie player window's top corner to an X, Y position indicated in percent. Example: Example: /p 60%, 50%
/play
Immediately play the specified video (<file>) [default]
/R
Repeats the video forever
/S
Launches without a status bar
/T
Launches without a title bar
/TB
Launches without a tool bar

Command Line Examples

The following table lists the command line options that are available for use with Player.

Examples
Examples
CAMPLAY "clip1AVI"
Plays "clip1AVI" with the default user interface.
CAMPLAY /E /F "my videoAVI"
Plays "my videoAVI" full screen and exit after playing.
CAMPLAY /M "clip2AVI"
Opens "clip2AVI" without a menu bar (i.e. no File>Open menu option).
CAMPLAY /BC RGB(128,128,128) /F "clip3AVI"
Plays "clip3AVI" full screen and fill the background with dark gray if the video does not fill the entire screen.


Player Background Color Command

You can add background color using RGB codes in the command line. For the background color, you must supply a color argument with the syntax RGB (r, g, b) where r, g, and b are the red, green and blue components of the color.

Valid values for r, g, and b are in the range 0 to 255. For example:

  • RGB(0,0,0) = black
  • RGB(255,255,255) = white
  • RGB(0,0,255) = blue
  • RGB(255,0,255) = teal green
  • RGB(128,128,128) = dark gray

The background color shows only when the video that is playing does not fill the entire frame. For example, if the player is maximized while a 360x240 video is playing, the background color will show.

You can use MS Paint for easy way to generate the RGB numbers by following these steps:

  1. Open MS Paint.
  2. Double-click on the paint box to open the Edit Color dialog box. Click on the Define Custom Colors button. The Custom Color palette will display.
  3. Click on a color in the color grid. The spectrum will display along with the RGB color code. Find the desired color.
  4. Enter the RGB code in the command line using the format given in the paragraph above.


Camtasia MenuMaker

Camtasia MenuMaker allows you to create an attractive menu from which to launch your files. With MenuMaker, copies of all of your files are located in one central location making it easy to open and close files or applications. This means no more searching through drives, directories, and folders when giving a presentation or teaching a class. This also allows you to easily create a CD-ROM that will launch with the menu displayed, a perfect way to distribute information to customers, students, workgroups, and more.

You can make your menu from a number of different templates that are included with MenuMaker or you can make your own customized template. Additionally, you can include all types of files in your menu such as document files, graphic files, multimedia files, etc. The only stipulation for the inclusion of files is that the host application necessary to run the files resides on the PC that is used to launch the files.

MenuMaker operates on a project basis. This means that you add files, edit the look and feel of the menu and then save your work as a project file. Later, you can come back to that project file and change the look of the menu, add or delete files, etc. From the project file, you can also test the menu and create the menu files.

Opening Camtasia MenuMaker

You can open MenuMaker in two different ways.

  • Choose Start > All Programs > Camtasia Studio 2 > Applications > Camtasia MenuMaker.
  • From within another Camtasia Studio component, choose Tools > Camtasia MenuMaker.

See also:

The MenuMaker Welcome Screen

Create a New Menu Project Using the MenuMaker Wizard

MenuMaker Toolbar Options

MenuMaker Menu Options

Menu Properties

Create the Menu Using the MenuMaker Wizard


The MenuMaker Welcome Screen

The Welcome screen is intended to give you an easy way to create a new project or to open a project.

From the Welcome screen, choose the desired option for your work in MenuMaker and then choose OK.

Create a new menu using the Wizard

Choose this option if you would like to create a new project using the wizard to step you through the process.

Create a new menu

Choose this option to create a new menu project without the help of the wizard.

Open an existing menu

Choose this option if you would like to open a project that has already been created. When opening an existing project, you will be able to make edits to the menu's look and feel as well as the files included in the menu.

Open a recent menu

Choose this option if you would like to open a menu project that has recently been opened. This option will enable the recent list dropdown menu for you to choose from. This dropdown menu contains the last four projects that were opened.

Note: To disable the Welcome screen from appearing each time MenuMaker is opened, click on the Show this dialog at startup box to remove the checkmark. Once this screen is disabled, you will find the same open options under the File menu. To enable the Welcome screen once again, from within MenuMaker, choose Tools > Options. Within the Options dialog box, click on the Display welcome dialog on startup option. Choose OK.


6 Quick and Easy Steps to Creating a Menu

Creating a new menu with Camtasia MenuMaker is quite simple, involving only six basic steps from beginning to end. This includes such steps as selecting a template, adding the files, saving the project, testing, and then creating the menu.

The following section gives you are brief overview of each step.

Note: This short tutorial does not take you through the process of creating a new menu using the wizard. For a complete discussion on creating a menu using the wizard, see Create the Menu Using the MenuMaker Wizard

Step 1: Open MenuMaker

Open Camtasia MenuMaker. Choose the Create a new menu option in the Welcome screen.

Step 2: Add Menu Properties

Click on the Edit Menu Properties button on the toolbar. The Menu Properties dialog box displays.

  • In the General tab, enter the menu's title and select the display options.
    For a complete discussion of the General tab options, see MenuMaker General Tab.
  • In the List tab, edit the properties of the List Box.
    For a complete discussion of the List tab options, see MenuMaker List Tab.
  • In the Content tab, add, sort, and rename the menu's content.
    For a complete discussion of the Content tab options, see MenuMaker Content Tab.
  • In the Resources tab, select the menu's audio and visual effects.
    For a complete discussion of the Resources tab options, see MenuMaker Resources Tab .

Step 3: Test Menu in Preview Mode

Once you have set your properties for the menu, click on the Test button to test your menu in preview mode. Test each file and sound in the menu to ensure that it is operating correctly before creating your menu.

Step 4: Save Project

Once you have created your menu, click on the Save button to save your menu project for future use.

Step 5: Create Menu

Use the Create Menu button to create you menu.

For more information on this topic, see About the Menu Creation Process.

Step 6: View Menu

After you have created your menu, go to the menu folder and run the menu using the EXE file. Test each file and sound in the menu to ensure that it is operating correctly before distributing your menu.

If you included the autorun option on this menu, burn the menu folder to a CD and test to make sure it runs automatically when inserted into the CD-ROM drive.


About the Menu Creation Process

Once you have created your menu project, you will need to create the actual menu files. During the creation process, a folder is made that will house a copy of all of the files necessary to run your menu.

Later, you can copy this entire folder to a CD or to another location on a network and run the menu from there.

During the creation process, several files are created. These are the files used to run the menu, to autorun the CD if that option was selected, folders to house and organize the content files, etc. Additionally, the content files that were selected to be included with this menu are copied here.

The following graphic illustrates the structure of the files and folders that are created. The EXE file that runs the menu, a Media folder which contains the menu's content files, and the autorun command are located in the root directory of the menu's folder.

When the Media folder is opened, you will see a folder named for the menu project. Inside of this folder are the content files that were added to the menu. These are organized by type and placed into an appropriate organizational file.


Getting Familiar with the MenuMaker Screen

The MenuMaker screen has a very intuitive, easy-to-use interface. Below, you will find an overview of the components of the MenuMaker's screen.

Before you begin your work within MenuMaker, take a few minutes to get familiar with the MenuMaker screen.


Create a New Menu Project Using the MenuMaker Wizard

The wizard will walk you through the process of creating a menu project using a template that is already created for you. After you have finished with the wizard, you will have the option of making changes to the look of the menu before you create the actual menu.

To create a new menu project using the wizard, make sure that the Create a new menu using the Wizard option is selected in the Welcome screen and then choose OK. The MenuMaker Wizard will begin.

Note: For information on editing the menu project after the wizard is complete, continue with Menu Properties.

Step 1. Choose Template

During this step, you will choose the template that will house the different components of your new menu. The template contains the graphic for the menu interface as well as the different list box and font attributes.

MenuMaker gives you the choice of several predefined templates to use. These are located in the folder entitled Basic Templates. Each of these templates will display a floating menu self contained within a border. This menu allows whatever else is on the desktop to remain visible while the menu is open.

Note: When you create your own templates, by default, they will be stored in the My Templates folder.

When selecting a template from the dropdown menu, a thumbnail image will display. This will allow you to preview the template's graphic interface before you make your selection.

Once you have made your template selection, choose Next.

Step 2. Choose Files

During this step, you will choose the files that you would like to be included in your menu. You can choose as many video, sound, image, program, and document files to your menu as you would like.

Note: The only real stipulation for adding files is that the application that is necessary to run the selected files should be present on the host PC.

To help you keep track of the size of your menu project, the total file size of your menu project is reflected in the read-only Total disk space used by Menu field.

To add the desired files, click on the Add Files button. The Add File Items dialog box will display.

  1. Select a directory in the Look in field.
  2. Select the type of file you want to add to the menu in the File of Type field.
  3. Once your file is selected, choose Apply. If desired, select another file and then choose Apply.
    Note: If you are selecting several files from within the same directory, press and hold the <CTRL> key to select multiple files to add at one time.
  4. Repeat this process until you have finished selecting your files and then choose OK.

The files will be updated to the wizard screen as seen in the following graphic. The read-only Total disk space used by field at the bottom of the screen will track the size of the combined files that you are adding to the menu.

Alongside the file name will be an icon. These icons let you know which application will be used to open that file when it is accessed from the menu on the PC that is being used to create the menu.

Note: The applications that are used to open a particular type of file on the host PC depend upon the associations set up on the host PC.

File Order

The order in which the files appear in this list is the order in which they will appear in the menu. If you would like to change the order, delete a file, or sort the files, highlight the file and then use the options described in the following table.

Button
Description
Delete Files
Deletes the selected file.
Sort By Name
Sorts all files alphabetically by file name.
Sort By Type
Sorts all files according to file type and then alphabetically.
Move Up
Moves the selected file up in the order. This will allow you to choose the order in which the files will be displayed in the CD menu.
Move Down
Moves the selected file down in the order. This will allow you to choose the order in which the files will be displayed in the CD menu.

Once you have made your file selections and performed any edits, choose Next.

Step 3. Enter Title

During this step, you will enter a title for this menu. This is the name that will be displayed in the menu's title bar. In the Menu Title field, enter the title of this menu.

Once you have entered your title, choose Finish.

Your menu project will now be created and displayed.

At this time, you are now in Edit Mode. Within edit mode, you can make changes to the look of the template, change the file names displayed within the menu, add or delete files in the menu, test the menu in preview mode, or create the menu.

To edit your MenuMaker project, continue with Menu Properties.

See also MenuMaker Toolbar Options.


MenuMaker Toolbar Options

Overview

Several of the most-used options have been added to the toolbar on the MenuMaker screen.

Placing these much-used tools on the toolbar allows you to access them more quickly.

To aid in your navigation around the MenuMaker toolbar, each time your cursor touches a button, a tool tip will appear. The tool tip gives you the name of the tool [image].

Toolbar Description Table

The following table describes each of the MenuMaker tools that can be found on the toolbar along with its use.

Button
Tool Name
Description
Use
New Project
Will open the MenuMaker Welcome screen. Use this to open the wizard, begin a new project, open a project, or open a recent project.
Choose the desired option from the Welcome screen. Choose OK.
Open Project
Displays a standard Open dialog box allowing you to select either a project or template file to open.
Project files have a .CMMP extension.
Template files have a .CMMTPL extension.
Browse and select the desired file to be opened.
Choose Open.
Save Project
Saves the MenuMaker project file. Saving the project allows you to open the project again at a later time.
Click on the Save button.
Edit Menu Properties
Opens the Menu Properties dialog box. These options allow you to make changes to the menu's various properties such as the font attributes, color scheme, list box attributes, etc.
Click on the Edit Menu Properties button.
For complete information on the Menu Properties options, continue with Menu Properties.
Test Menu
Will open up the menu in preview mode. While in preview mode, you can test each of the files to ensure that they work correctly before creating the menu files.
This also allows you to preview the menu graphics, colors, font, sound effects, etc. If you don't like any of these properties, you can change them before creating the menu files.
Click on the Test Menu button. The menu will be displayed in preview mode.
To exit out of preview mode, click on the system close button in the upper right hand corner of the menu [image].
Create Menu
Will open up the creation wizard that will walk you through the menu creation process.
Click on the Create Menu button.
Wizard
Will open up the wizard that will walk you through the process of creating a new menu project.
Click on the Wizard button.
For complete information on the creating a new project using the wizard, continue with Create a New Menu Project Using the MenuMaker Wizard.
Camtasia Studio
Used to access the other Camtasia Studio components.
Click on the small down arrow to reveal a dropdown menu of individual Camtasia Studio components.
Help Contents
Will open the online help.
Click on the Help button.


MenuMaker Menu Options

The following section describes each of the MenuMaker's menu options.

MenuMaker File Menu Options

The File menu options allow you to access the menu project's open, close, and save options. To select a File option, choose the desired option from the dropdown menu.

The following table describes each of the File options.

File Option
Description
New Project
Will open the MenuMaker Welcome screen. Use this to open the wizard, begin a new blank project, open a project, or open a recent project.
Open Project
Displays a standard Open dialog box allowing you to open a project file.
From within the Open dialog box, browse and select the desired file to be opened. Choose Open.
Note: Project files have a .CMMP extension.
Open Template
Displays a standard Open dialog box allowing you to open a template.
The folder that is open by default is the folder that is defined in Tools > Options:
From within the Open dialog box, you can also browse and select the desired file to be opened.
Choose Open.
Note: Template files have a .CMMTPL extension.
Test Menu
Will open up the menu in preview mode. While in preview mode, you can test each of the files to ensure that they work correctly before creating the menu files.
This also allows you to preview the menu graphics, colors, font, sound effects, etc. If you don't like any of these properties, you can change them before creating the menu files.
Create Menu
Will open up the wizard that will walk you through the menu creation process.
Close Project
Closes the current project.
Save Project
Saves the MenuMaker project file. Saving the project allows you to open the project again at a later time.
The first time that a project is saved, you will be prompted to Save As. Select the folder to store project in and enter a name for the project. Choose OK.
Save Project As
Saves the project as another name. Select the folder to store project in and enter a name for the project. Choose OK.
Save As Template
Saves the project as a template. When saving as a template, only the menu properties are saved, not the files. This allows you use the graphic interface that you have created again in later projects.
When saving, you will be prompted to give the template a name.
Enter the name of the template and then select OK.
Note: The default folder where your templates will be saved is called User Templates. This is found in C:\Program Files\TechSmith\Camtasia Studio\Media\MenuMaker. This folder can be changed by selecting a different folder in the Select template folder field under Tools > Options:
Note: If you change the location of your template folder, the templates that you create will not show up in the Wizard when opting to create a menu using the Wizard. However, if you choose to create a menu using the Create a New menu option, then you can browse for your templates and use them from any location.
Recent File
Displays a list of the most recently opened projects.
Exit
Exit the MenuMaker application.

MenuMaker Edit Menu Options

The Edit menu options allow you to access the options used to change the different properties of the menu such as the menu graphic, font attributes, list box style, etc. To select an Edit option, choose the desired option from the dropdown menu.

The following table describes each of the Edit options.

Edit Option
Description
General Properties
Opens the General tab of the Menu Properties dialog box.
In the General tab, enter the menu's title and select the display options.
For a complete discussion on the General tab options, see MenuMaker General Tab.
List Properties
Opens the List tab of the Menu Properties dialog box.
In the List tab, edit the properties of the List Box.
For a complete discussion on the List tab options, see MenuMaker List Tab.
Content
Opens the Content tab of the Menu Properties dialog box.
In the Content tab, add, sort, and rename the menu's content.
For a complete discussion on the List tab options, see MenuMaker Content Tab.
Resources
Opens the Resources tab of the Menu Properties dialog box.
In the Resources tab, select the menu's audio and visual effects.
For a complete discussion on the Resources tab options, see MenuMaker Resources Tab.

MenuMaker View Menu Options

The View menu options allow you to customize the look of the MenuMaker screen. To select a View option, choose the desired option from the dropdown menu.

The following table describes each of the View options. These options are toggle options. That is, you choose the option once to enable the option and then once again to disable it. When enabled, a checkmark will be present next to the option in the dropdown menu.

View Option
Description
Toolbar
Enable this option to view the toolbar.
Status bar
Enable this option to view the status bar at the bottom of the MenuMaker screen.
Large Toolbar Buttons
Enable this option to view the toolbar using large buttons.

MenuMaker Tools Menu Options

The Tools menu options gives you access to the other Camtasia Studio components as well as to a few MenuMaker options such as choosing the template folder and enabling and disabling the welcome menu and tips.

The following table describes each of the Tools options.

Tools Option
Description
Camtasia Recorder
Starts Camtasia Recorder.
Options
Brings up the Options dialog box.
To enable an option, click on the box. If a checkmark is entered in the box, that option is enabled. To disable an option, click on the checkmark to remove it.
Select Template Folder: Allows you to designate a folder to store the templates that you create in MenuMaker. This becomes the default folder that is opened when the Open Template option is selected.
Display welcome dialog on startup: This option, when enabled, will display the Welcome dialog box. This option is enabled by default.
Enable Tips: When fully enabled, all of the tips will display while working in MenuMaker [image]. This option is enabled by default.
When completely disabled, none of the tips will display [image].
When some of the tips have been turned off and some are still enabled, the tips box will contain a gray checkmark [image].

MenuMaker Help Menu Options

The Help menu options gives you access to the MenuMaker online help as well as other Camtasia Studio and TechSmith support options.

The following table describes each of the Help options.

Help Option
Description
Camtasia Studio Help
Opens the Camtasia MenuMaker online help.
Support
Displays the Technical Support dialog box. This dialog box contains important TechSmith Web addresses for receiving technical support. This dialog box also contains application diagnostic information.
Copy to Clipboard: Copies the diagnostic information to the clipboard to be pasted elsewhere.
Save to File: Saves the diagnostic information as a text file.
Check for Upgrade
Accesses the TechSmith upgrade Web site which will allow you to check for possible upgrades.
Frequently Asked Questions
Accesses the TechSmith Frequently Asked Question Web site which will allow you to search the FAQ database. http://www.techsmith.com/products/studio/faqs.asp
TechSmith on the Web
Displays a dropdown menu of several helpful TechSmith Web sites.
TechSmith Home: http://www.techsmith.com/defaultflash.asp
Camtasia Studio Home: http://www.techsmith.com/rdr/sftw/camstudio/home/default.asp http://www.techsmith.com/products/studio/default.asp
Send Feedback: http://www.techsmith.com/products/feedback.asp
TechSmith Products:
http://www.techsmith.com/defaultflash.asp
About Camtasia Studio
Displays the About dialog box listing version and licensing information.


Menu Properties

The Menu Properties dialog box allows you to set options for your menu such as the title, overall size, display style, font attributes, what graphic is to be used as the background, and what sounds if any will play while using your menu.

You can access the Menu Properties dialog box by choosing the Menu Properties tool on the toolbar [image].

Additionally, you can access each of the individual tabs that make up the Menu Properties dialog box by choosing the desired option from the Edit menu.

See the following topics:

MenuMaker General Tab

MenuMaker List Tab

MenuMaker Content Tab

MenuMaker Resources Tab


MenuMaker General Tab

The General tab will allow you to set the different properties for the menu's overall look. These options determine how the menu will be displayed, the size of the menu, how the menu will be positioned on the PC screen, etc.

There are many properties that can be changed which will allow you to get the exact look that you want for your menu. Once a property is set, choose Apply to apply that option to the List Box.

Choose OK to exit the General tab.

General Tab Options Description Table

The following table describes each of the General tab options.

General Tab Option
Description
Menu Title
Enter the name of the Menu's title. This will be displayed in the menu's title bar.
Note: If you created your menu using the Wizard, then you will see the title given in the Wizard in this field.
Start Menu automatically when CD-ROM is inserted.
If you would like the menu to start automatically when it is inserted into the CD-ROM drive, enable this option. When enabled, a checkmark is present.
Always use Camtasia Player on AVI files.
If you would like to make Camtasia Player the default player for all of your AVI video files that are included in this menu, enable this option. When enabled, a checkmark is present. If this option is not enabled, then Avi videos will play on the system's current default player.
Options
The Options button opens the Options for Camtasia Player dialog box. This dialog box is used to customize the command line options when launching Player.
For more information on these options, see MenuMaker Options for Camtasia Player Dialog Box.
Image File
This is the graphic that is used as the background for the menu. Choose the folder [image] to browse and select a BMP, GIF, or JPEG file.
If you do not want to use an image for the menu's background, leave this field empty. The background will be the color of the background.
Layout
This determines how the background image will be displayed within the menu.
Center: the graphic will be centered in the menu. If the graphic is smaller than the menu, then the background color will be visible.
Stretch: This option will stretch the graphic to cover the entire menu.
Tile: This option will tile the graphic to cover the entire menu
Background Color
This is the color of the menu's background canvas. If the image does not cover the entire surface of the menu, parts of the canvas will be visible.
If you choose not to use a graphic for the menu, then you can choose a solid background color to display.
Click on the button to reveal the Color dialog box. Choose the desired color and choose OK. The color will be updated in the General tab dialog box.
Size
This option determines the overall size of the menu. 640x480 is a size that will display properly on most PC screens.
Width: This is how wide the menu is in pixels.
Height: This is how tall the menu is in pixels.
Display Mode
This option determines if the menu will be displayed within a free standing window or within a full screen.
Window: The standalone window option displays a floating menu self contained within a border. This menu allows whatever else is on the desktop to remain visible while the menu is open.
Full Screen: This menu displays a coordinating full screen background that hides whatever else is on the desktop while the menu is open.
Desktop Color
This is the background canvas color that displays outside of the menu when the full screen option is selected. The amount of desktop color that displays on the desktop is determined by the size of the menu.
Click on the Desktop Color button to reveal the Color dialog box. Choose the desired color and choose OK. The color will be updated in the General tab dialog box.


MenuMaker Options for Camtasia Player Dialog Box

Once you click on the Options button in the General tab, the Options for Camtasia Player dialog box will display.

This dialog box is used to customize the command line options when launching Player.

Camtasia Player Options Description Table

The following table describes each of the Player options that can be included in your menu.

Player Option
Description
Start playing automatically
Starts Player as soon as menu item is double-clicked on.
Exit after playing movie
Player closes automatically as soon as video is done playing.
Repeat movie until closed
Automatically repeats movie until Player is manually closed by user.
Stay on last frame
Player stops on and displays last frame when video finishes.
Always on top
Player will reside as the topmost application on the desktop.
Play in maximized mode
Player operates as in maximized mode.
Play in full screen mode
Player operates as a full screen.
To title bar
No title bar displays while Player is running.
No menu bar
No menu bar displays while Player is running.
No toolbar
No tool bar displays while Player is running.
No status bar
No status bar displays while Player is running.
No dragging by movie area
You cannot drag the video around the screen.
Background Color
Sets the background color. This is the color that is seen around the video if the video size does not take up the full screen when the full screen option is enabled. Click on the Background Color button to reveal the Color dialog box. Choose the desired color and choose OK. The color will be updated in the Options for Camtasia Player dialog box.
Load Default
Loads the default values. The default options are selected using the Save as Default button.
Save as Default
Allows you to select the desired command lines and save them as the default value. Then, when accessing this dialog box at a later time, clicking on the Load Default button will automatically select those options for you.
OK
Choose OK to save changes and exit back to the General tab.
Cancel
Choose Cancel to exit back to the General tab without making any changes.
Help
Choose Help to access the online help file containing information that is pertinent to this screen.


MenuMaker List Tab

The List tab will allow you to set the different properties for the menu's List Box.

Once a property is set, choose Apply to apply that option to the List Box. Choose OK to exit the List tab.

There are many properties that can be changed which will allow you to get the exact look that you want for your menu. Some of these properties are text color, font attributes, color, style, position, etc.

List Tab Options Description Table

The following table describes each of the List tab options along with its use.

List Tab Option
Description
Use
Text Color
Normal Color: Color of the text in the List Box before that item is ever selected to run.
Visited Color: Color of the text in the List Box after an item has been accessed.
Highlighted Color: Color of the text when the cursor is passed over it.
Click on the Text Color button to reveal the Color dialog box.
Choose the desired color and choose OK. The color will be updated in the List tab dialog box.
Text Alignment
Determines the justification of the text within the List Box.
Left: Left justifies the text.
Center: Center justifies the text.
Right: Right justifies the text.
Click on the down arrow to reveal the dropdown menu. From the list, choose the desired alignment option.
Text Font
Displays the standard Windows Font dialog box allowing you to change the font type, size, color, etc.
To change the font attributes, click on the Font button. The Font dialog box displays.
Font: To change the font, choose the new font from the font list.
Font Style: To change the font style, choose the desired style from the list.
Size: To change the font size, choose the new size from the list.
Sample: This area will give you a preview of the changes made to the font.
OK: Choose OK to save and update changes.
Cancel: Choose Cancel to exit the Font dialog box without making any changes.
Background Color
Color of the List Box itself.
Click on the Background Color button to reveal the Color dialog box.
Choose the desired color and choose OK. The color will be updated in the List tab dialog box.
Blend Effect
Opacity is the attribute that allows your List Box to be solid (showing none of the graphic behind it) or to have varying degrees of transparency (the ability to see part of the graphic through the image).
When applying opacity to the List Box, the entire box is effected.
To adjust the amount of opacity that is applied to the List Box, grab the slider bar and move up toward more opaque (solid) or down toward less opaque (transparent).
Frame Style
Determines the frame style of the List Box. This feature works best with darker colored List Boxes and with a higher level of opacity as well.
None: No frame.
Bump: Appears to be sitting on top of the menu.
Etched: 3D edge effect.
Raised: Appears to be raised above the menu.
Sunken: Appears to be sunken into the menu.
Click on the down arrow to reveal the dropdown menu. From the list, choose the desired style option.
Position
Left: This is the number of pixels that the List Box is located from the left of the menu.
Top: This is the number of pixels that the List Box is located from the top of the menu.
Width: This is how wide the List Box is in pixels.
Height: This is how tall the List Box is in pixels.
Highlight the number field and type the new number in pixels.
The List Box can be manually moved and sized while in preview mode. These fields are updated with the new position and size values once the List Box is altered.


MenuMaker Content Tab

The Content tab allows you to add and arrange the file or Web link content that you want to include in your menu. There are three parts to this tab: the toolbar, the content list, and the file name fields.

In general, the toolbar is used to add the content and to arrange it in the order that it will appear in the menu.

The content list contains the content files. To work with any file, simply highlight it in the list. Alongside the file name will be an icon. These icons let you know which application is being used as the default application for opening that file on the host system.

At the bottom of the tab, the status bar will give keep you informed of the size of your collective files.

Note: The icon does not imply which application will be used for playback if the menu is a used on a system other than the one it was created on.

The file name fields allow you to rename the content files, view the content path, and assign a tool tip that will display in the menu when the cursor hovers over an item.

Content Tab Toolbar Description Table

The Content tab's toolbar contains the options for adding files and Web links and for determining how the files will look in the menu. Overall, the order in which the files appear in the Content list is the order in which they will appear in the menu.

If you would like to change the order of the content files, delete a file, or sort the files, highlight the file and then use the toolbar desired option described in the following table.

Button
Tool Name
Description
Use
Add Files
Used to add the desired files to the menu.
To add the desired files, click on the Add Files button. The Add File Items screen will display.
Within the dialog box, choose a directory in the Look in field.
Choose the type of file you want to add in the File of Type field.
Once your file is selected, choose Apply. If desired, select another file and then choose Apply.
Note: If you are choosing several files from within the same directory, you can add these all at one time. Press and hold the <CTRL> key and then use the mouse to select the multiple files to add.
Repeat this process until you have finished selecting your files and then choose OK
Note: Alongside the file name will be an icon. These icons let you know which application will be used to open that file when it is accessed from the menu.
Add Web Address
Used to add a Web address to the menu.
Click on the Add Web Address button. The Add Web Address Item dialog box will display.
Type in the desired Web address and then choose OK.
Add Static Text
Used to insert non-selectable text or blank lines into the menu.
This feature is most useful when desiring to add titles or headings on top of files in the menu. Adding spaces to the beginning of a file or static text entry will allow you to set up your menu with indents. You can also add tool tips to the static text items.
Click on the Add Static Text button. The Add Static Text Item dialog box will display.
Type in the desired text or leave this blank to add a blank line and then choose OK.
Delete Selected Item
Deletes the selected file.
Highlight item and then click on the Delete button.
Delete All Items
Deletes all items.
Click on the Delete All Items button. You will be asked to confirm the deletion of all of the files. Choose Yes to delete all files. Choose No to abort the deletion of all files.
Move Item Up
Moves the selected file up in the order. This will allow you to choose the order in which the files will be displayed in the menu.
Highlight item and then click on the Move Item Up button.
Move Item Down
Moves the selected file down in the order. This will allow you to choose the order in which the files will be displayed in the menu.
Highlight item and then click on the Move Item Down button.
Sort Alphabetically
Sorts all files alphabetically by file name.
Click on the Sort Alphabetically button.
Sort by Type
Sorts all files according to file type and then alphabetically.
Click on the Sort by Type button.
Show / Hide Parameters
The parameters option allows you to enter command line options for an AVI playback application.
This option should only be used if you are sure of the player that will be used on the menu's target system.
Highlight the desired file in the content list. Click on the Show / Hide Parameters button. The Parameters field displays.
Enter the desired parameters.

Content Tab File Name Fields Description Table

The file name fields allow you to rename the content files, view the content path, and assign a tool tip that will display in the menu when the cursor hovers over an item.

Each of these options are explained in the following table along with its use.

File Name Fields
Description
Use
Name
This option allows you to rename the selected file. Oftentimes the name of the actual file is not the name that is best to display in the menu. This option allows you to rename the file for display purposes. This option only renames the files in the menu, it does not rename the actual files.
Choose the file from the content list. Press <Tab> Make the desired changes within the Name field. As you enter the new name, the name within the content list will change as well.
File Name
This field reflects the path of the selected file. This is populated automatically when a file is selected. This allows you to see the path and original file name.
This field is disabled unless a Web address is selected in the content list.
If a Web address is selected, this field allows you to make changes to the Web address.
This option is only available when a Web link is selected in the content list.
To make changes to a Web address, highlight the item in the content list. Press <Tab>. Make changes within the File Name field. The changes will be reflected in the content list.
Tool tip
The tool tip is the information that displays while the cursor is hovered over an item in the menu [image]. Each file's tool tip can be customized.
Enter the desired text for the tool tip.
Note: The Tool tip field can contain an unlimited number of characters. Therefore, you can enter or copy and paste an informative paragraph into this field and it will display as a tool tip paragraph in the menu. This is demonstrated below:
Total disk space used by
This field will track the size of the combined files that you are adding to the menu.
This is a read-only field.


MenuMaker Resources Tab

The Resources tab allows you to add sound and visual effects to your menu such as startup or end sounds, animated cursor, title bar icon, etc.

Resources Tab Options Description Table

The following table describes each of the Resources tab options along with its use.

Resources Tab Option
Description
Use
Mouse Click
This option allows you to choose a sound file for the mouse clicking on the menu.
Click on the Browse button [image]. Browse and select the desired sound file. Choose OK. File path is updated to Resources tab field.
Click on Test button [image] to test the sound.
Mouse Hover
This option allows you to choose a sound file for the mouse hovering over an item on the menu.
Click on the Browse button [image]. Browse and select the desired sound file. Choose OK. File path is updated to Resources tab field.
Click on Test button [image] to test the sound.
Menu Startup
This option allows you to choose a sound file that plays when the menu starts up.
Click on the Browse button [image]. Browse and select the desired sound file. Choose OK. File path is updated to Resources tab field.
Click on Test button [image] to test the sound.
Menu Exit
This option allows you to choose a sound file that plays when the menu exits.
Click on the Browse button [image]. Browse and select the desired sound file. Choose OK. File path is updated to Resources tab field.
Click on Test button [image] to test the sound.
Browse
Choose this button to open the Browse dialog box for adding a resource file.
Choose the Browse button [image] to browse and select a file. Choose OK. File path is updated to Resources tab field.
Icon File
Allows you to select an icon file to display in the menu's title bar. This same icon will display in the system tray when the menu is minimized.
Choose the Browse button [image] to browse and select a file. Choose OK. File path is updated to Resources tab field.
Cursor File
Allows you to choose a cursor or animated cursor that will be used when the cursor hovers over an item in the menu.
Choose the Browse button [image] folder to browse and select a file. Choose OK. File path is updated to Resources tab field.


Create the Menu Using the MenuMaker Wizard

A MenuMaker Wizard will take you through the simple creation process step-by-step. To begin the menu creation process, click on the Create Menu button on the toolbar [image] or choose File > Create Menu.

The Wizard will begin.

Step 1. Create Menu Folder

During this step, you will designate the location and enter a name of the folder that will house the menu files.

Directory Field

In the Directory field, click on the Browse button [image]. The Browse for Directory dialog box will display. Browse and select the desired directory that will contains the menu folder. Choose OK. The Directory file path is updated to reflect your selection.

Menu Folder Name

In the Menu Folder Name field, enter the name of the folder that will house the menu files. By default, this is the name that was given as the title of the menu.

If desired, you can rename the folder to whatever you would like by highlighting the name and typing the new name.

Full Path

The Full Path field is a read-only field that reflects the directory and folder structure.

Choose Next to continue.

Step 2. Creating Menu

During this step, the menu files will be processed and the menu created.

As the files are being processed, the Building Menu status bar will give you the overall status of the build.

The Now Copying status bar will show which file is being copied.

Choose Cancel to abort the menu creation process.

Once the menu is created, you will see the Finish screen.

Step 3. Finish

At this time, the menu has been created and the files now reside in the folder that you designated.

You now have the option of opening Windows Explorer so you can review that folder and it's contents after the Wizard exits.

This dialog box also gives you instructions on how to play your menu and where your menu folder can be found.

To review the folder after exiting the wizard, enable the Open Windows Explorer option. When enabled ,a checkmark will be displayed.

Choose Finish to exit the Wizard. You have successfully completed the menu creation process.


Camtasia Theater

Camtasia Theater allows you to easily create an attractive and interactive menu from which to launch your Camtasia Studio-made Flash files.

Camtasia Theater adds DVD-like navigation to your screen videos in Flash format. Using Theater's menu, your users can quickly navigate between multiple movies or view them all in a pre-defined sequence. Theater presentations can be viewed online and on CD-ROM.

Theater operates on a project basis. This means that you add files, edit the look and feel of the menu and then save your work as a project file. Later, you can come back to that project file and change the look of the menu, add or delete files, etc.

Features of Theater:

  • Select a single Flash file or complete directories
  • Sort and rename videos
  • Auto-sequencing option
  • Scrolling menu
  • Flash playback controls
  • Font and color control
  • HTML output
  • XML output for custom configuration


Getting Familiar with the Theater Screens

The Theater screen has two very intuitive, easy-to-use interfaces plus the interface for the actual menu. In the following sections, you will find an overview of the Theater screen in both Menu mode and Controls mode as well as an overview of the menu screen. Before you begin your work, take a few minutes to get familiar with the Theater screens.

Menu Tab View

The Menu tab view is used to add a title to the menu, customize the look of the menu's text and background color, add the desired SWF movies to the menu, and order the movies within the list.

Controls Tab View

Within the Controls tab view, you can set the options for pausing and playing, change the controller color, add an about box, add duration information, and more.

Playback View

The following graphic gives you a look at how your menu might look using some of the options found within Camtasia Theater.


About the Menu Creation Process

Once you have created your menu project, you will need to create the actual menu files using an export process. During creation, a folder is created that will house a copy of all of the files necessary to run your menu.

The file that is created will have the same name as the name of the menu's title. This folder will house all of the files used to run the menu as well as an image and movie and folder to house and organize the menu's content.

The following graphic illustrates the structure of the files and folders that are created. The HTML file that runs the menu, an Images folder which contains the menu's frame graphics, and a Movies folder which contains the menu's SWF files, are all located in the root directory of the menu's folder.

  • When the Image folder is opened, you will see several GIF files. These are the files that make up the frame of the menu.
  • When the Movies folder is opened, you will see the SWF files that you have selected to include in this menu.
  • When distributing your menu in any way, you must include all of these files for your menu for run properly.


Important Note about Camtasia Studio Produced SWF Files

The following section contains important information about using your Camtasia Studio-made SWF files in your Theater menu. To ensure success when exporting a Theater menu, it is highly recommended that you read this information before creating your first menu.

About the Playback Controls

If you plan on using your Camtasia Studio-made SWF movies within Camtasia Theater, then you will want to produce your SWF movies, within Camtasia Studio, with the Playback Controls option set to None.

If you do not disable this option, then your SWF movies launched from within the Theater menu will contain two sets of playback controls.

You get to these controls by choosing from within Camtasia Studio: File > Produce Video As > Macromedia Flash SWF Movie File > Next button > Macromedia Flash Encoding Options screen > Playback Controls > None.

If you have already produced your Flash movie with these controls enabled, it is advised that you re-produce your movie with this option disabled.


6 Quick and Easy Steps to Creating a Theater Menu

Creating a Flash menu with Camtasia Theater is quite simple, involving only seven basic steps from beginning to end. This includes such steps as adding a title, choosing custom colors, adding the files, saving the project, creating the menu, and then testing .

The following section gives you are brief run through of each step.

Step 1. Open Theater

Open Camtasia Theater. Choose Tools > Camtasia Theater.

Step 2. Add Title and Customize

Within the Menu title field, enter a title for this menu.

Make any other desired customizations to the title or item fonts, text alignment, or movie sequencing.

Step 3. Choose Menu Colors

Within the Colors properties box, customize the colors for the menu's background, title, item text, or item rollover text. To change the color, click on the desired button. A standard Color dialog box displays.

Choose the desired color and then click on OK. The color is updated to the Color properties box.

Step 4. Add Movies

Within the Menu List box, click on the Add SWF movie button [image] on the sidebar. A standard Browse dialog box displays. Browse and select the desired SWF movie file and then choose OK.

The movie now displays within the Movie List area. Continue with this process until all of the movies have been added.

To edit the name of the file to a more logical name than what the actual file name might be, double-click on the file name in the Menu Item Name column and then reenter the desired name.

Use the arrow buttons to move the selected movie up or down within the list.

When you have made all of your additions and edits to the list box, you are ready to customize the look of the controller.

Step 5. Configure Controller

Click on the Controls tab to display the Controls options. In this tab:

  • Select whether or not you want your movies to pause before playing or start automatically. If you choose to pause them you have to manually begin playing the movie by clicking on the start button.
  • Click on the Movie controller color button to select the color of the movie controller.
  • Choose whether or not you would like to include an About box in your menu. If so, enable this option and then add the about box text in the About text field.
  • If desired, select any duration or elapsed time properties to display in the controller.
  • Select your preload movie options if desired. The preload move plays until the actual SWF file has been loaded according to the percentage specified in the % of main movie to preload field.

Once you have made all of your additions and edits to the controller, you are ready to export and create the actual menu.

Step 6. Save Project & Export Flash Menu

At this time, save your project file. This will allow you to come back and work on this menu at a later time. Next, it is time to export and create your Flash menu.

Click on the Export Flash Menu button at the bottom of the screen.

A standard Browse dialog box displays. Browse and select the folder that will house this menu's files. Choose OK. The folder will be created for you.

If an existing folder exists by the same name, you will be asked if you want to overwrite the contents of that folder. Choose OK to overwrite. Choose No to be prompted for a different file name. Choose Cancel to exit back to Theater's main screen without making any changes.

Once you choose OK, the export process will begin.


Theater Menu Options

The following section describes each of the Theater Menu options.

Theater File Menu Options

The File menu options allow you to save a project, open a new or existing project, and export a menu. To select a File option, choose the desired option from the dropdown menu.

File Options Description Table

File Option
Description
New
Clears the current menu contents in order to begin a new menu project.
Open
Opens a standard Open dialog box that allows you to browse and select the desired Theater project file.
Save
Saves the current project.
Save As
Save the current menu as a project file. Saving your work as a project file allows you to come back to the menu at a later time to make and save additions or edits of any kind. This opens a standard Save As dialog box that will allow you to browse for the desired folder and name your project.
Export Flash Menu
Opens the Browse for Folder dialog box used to select the folder that will house your menu files. Once you select the desired folder, choose OK. The export will begin.
Exit
Exits Theater.

Theater Help Menu Options

The Help menu options allow you to access the online help for Theater. To select a Help option, choose the desired option from the dropdown menu.

Help Options Description Table

Help Option
Description
Help
Displays the Camtasia Theater online help.
About Camtasia Theater
Displays the About box for Camtasia Theater. The about box contains copyright and version information.


Menu Tab Options

When you first open Camtasia Theater you will be in Menu view. The menu view is used to add a title to the menu, customize the look of the menu's text and background color, add the desired SWF movies to the menu, and order the movies within the list.

General Properties Options Description Table

The following table describes each of the General Properties options. These options are used to format the menu's title and as well as the listed item's font size and alignment.

Option Name
Description and Use
Menu title
Enter the name of the Menu's title. This will be displayed in the menu's title bar.
Menu title font size
Use the arrow on the Menu Title Font Size field to select the desired font size for the menu's title.
Menu item font size
Use the arrow on the Menu Item Font Size field to select the desired font size for the items in the menu list.
Menu alignment
Use the arrow on the Menu Alignment field to select the alignment of the text in relation to the menu. Choose either the left or the right.
Play movies in sequence
Enable this option if you would like to automatically play your movies in sequence. If this option is not enabled, then you will play your movies by clicking on them within the menu's list box.
Launch menu after export
Enable this option to view the menu that you are creating after it is done being exported. If left disabled, then you will have to search for the directory that the menu was saved in and launch the menu from there by double-clicking on the HTML file.
Export Flash Menu
Click on this button to begin the menu export process. See also Exporting the Menu.

Color Options Description Table

The following table describes each of the Colors options. These options are used to format the menu's colors.

Option Name
Description and Use
Movie background
Color of the playback area within the menu. If the movie that is playing in the menu is not large enough to fill the entire playback area, this color will be displayed around the movie.
Click on the button to reveal the Color dialog box. Choose the desired color and choose OK. The color will be updated in the List Tab dialog box.
Menu background
Color of the menu panel that displays the movie titles.
Click on the button to reveal the Color dialog box. Choose the desired color and choose OK. The color will be updated in the List Tab dialog box.
Menu title
Color of the menu's title.
Click on the button to reveal the Color dialog box. Choose the desired color and choose OK. The color will be updated in the List Tab dialog box.
Item normal
Color of the text in the List Box before that item is ever selected to run.
Click on the button to reveal the Color dialog box. Choose the desired color and choose OK. The color will be updated in the List Tab dialog box.
Item rollover
Color of the text when the cursor is passed over it.
Click on the button to reveal the Color dialog box. Choose the desired color and choose OK. The color will be updated in the List Tab dialog box.

Menu List Options Description Table

The following table describes each of the Menu List options. These options are used to add the actual SWF movies to the menu, edit the movie titles displayed within the menu, and to order the movies in the menu list.

Tool
Option Name
Description and Use
Menu Item Name
Shows the name of the SWF file. You can edit this to be any name that you would like. Often times it is better to give the movie a standardized name rather than using the file name.
Example: TrnVid0002.swf might be the file name but you can rename it to Training Video #2.
Edit this entry by double-clicking on the entry and reentering the desired name.
Menu Item File
Shows the path to the SWF file. You can change this file from within this field by double-clicking on the entry and choosing the desired file from the Browse box.
Add SWF Movie
Choose this option to add a movie file to the menu.
To add the desired file, click on the Add SWF Movie button. The Add Movie Items screen will display.
Within the dialog box, choose a directory in the Look in field and then choose the movie file you want to add.
Once your file is selected, choose Open.
Repeat this process until you have finished selecting your movies.
Add all SWF movies in folder
Choose this option to quickly add all of the SWF movies in a particular folder.
To add the desired files in a folder, click on the Add all SWF Movies in a folder button. The Browse for a Folder dialog box will display.
Within the dialog box, choose a folder and then choose OK.
Remove Movie
Removes the selected movie from the list.
Move Movie Up
Moves the selected movie up in the order. This will allow you to choose the order in which the files will be displayed in the menu.
Move Movie Down
Moves the selected movie down in the order. This will allow you to choose the order in which the files will be displayed in the menu.

Note: You can easily drag and drop your SWF files from Windows Explorer into the Menu List. When dragging and dropping, you can choose multiple files. To perform this operation, simply select the desired files in Explorer and drag them into the Menu List and drop them as seen in the following graphic.


Controls Options

When you first open Camtasia Theater you will be in Menu view. To go to the Controls view, simply click on the Controls tab. The Controls are used to customize the look of the playback controls that display within the menu itself and within the individual SWF movies.

Within the Controls tab, you can set the options for pausing and playing, the controller color, adding an about box, adding duration information, and more.

General Properties Options Description Table

The following table describes each of the General Properties options. These options are used to select the controller's color, customize the about box, if any, and more.

Option Name
Description and Use
Pause at start
Enable this option of you want your movies to pause when your menu first opens. If you enable this option, you will have to press the Start button in order to begin playing a movie.
Movie Controller color
Click on the Movie Controller Color button to display the color selection chart.
Use the mouse to select the color that you want to tint the Movie Controller.
Show About box
Enable this option if you would like to make an "About" box available to the users.
The About box is accessed by the user when the Camtasia Studio button is selected on the Movie Controller. This type of box usually contains important information such as copyright, authorship, dates, etc.
When the About box option is enabled, enter the desired information, up to eight lines of text in the About text field.

Duration / Elapsed Time Properties Options Description Table

The following table describes each of the Duration / Elapsed Time options. These options are used to select the duration's display format, type of font, font color, and more.

Option Name
Description and Use
Display Format
From the dropdown menu, select a display text format for the duration and/or elapsed time. You may chose different Hour: Minute: Second combinations.
You can also choose if you want the minute and second labels to be displayed. The small letters denote the display of the labels.
Show Elapsed Time
Display the current time of the SWF movie in the selected display format.
Show Duration
Display the total duration of the SWF movie in the selected display format.
Font
Select the font in which you would like the duration and/or elapsed time to be displayed. To assure that the target machine has these fonts, there are two standard options for you to choose from, either Arial or Times New Roman.
Font Color
Select the color of the duration text. Click on Font Color button to display the color selection chart.
Use the mouse to select the desired color.
Note: If the color you want is not one of the swatches in the color selection box, enter the hexadecimal number for it in the number field.

Preload Movie Properties Options Description Table

The following table describes each of the Preload Movie options. These options are used to select the preloading movie, percentage of movie to play before the main movie plays, and more.

Option Name
Description and Use
Show loading movie
Enable this option if you would like to show a SWF movie while your SWF file downloads.
Loading movie URL
Enter the URL or path to the movie you would like to display while your SWF file loads.
The URL may be absolute (http://www.mydomain.com/mymovie.swf) or relative (./mymovie.swf).
To help get you up and going quickly making menus with Camtasia Theater, we have provided a URL that links to a Camtasia Studio-made preload SWF file. This loading movie is entered in this field by default. The loading movie can be found in Theater's Resources folder.
Match movie size
Enable this option if your would like your preloading movie's size to match the size of the menu's SWF files. This option ensures that both movies are the same size in terms of width and height.
If this option is not enabled, then the preloading movie will display at it's own width and height dimensions. In this case, if some of the SWF files are larger in size than the loading movie, the background color will show.
% of main movie to preload
Enter the percentage of the main movie that you would like to preload before it begins playing. The preload movie will remain on the screen until this percentage is reached.
Minimum Preload movie display time (in seconds)
You may enter the minimum amount of time in seconds that you would like the preload movie to remain on the screen.
This works in combination with the % of Main Movie to Preload setting. This means that both conditions must be met before the movie will begin playing.


Exporting the Menu

Once you have created your menu project, you will need to create the actual menu files using an export process. During the creation process, a folder is created that will house a copy of all of the files necessary to run your menu.

The file that is created will have the same name as the name of the menu's title. This folder will house all of the files used to run the menu as well as an image and movie and folder to house and organize the menu's content.

Begin the Export Process
  1. Click on the Export Flash Menu button at the bottom of either the Menu or Controls tab.

Note: Enable the Launch menu after export option to view the menu that you are creating after it is done being exported. If left disabled, then you will have to search for the directory that the menu was saved in and launch the menu from there by double-clicking on the HTML file.

  1. A standard Browse dialog box displays. Browse and select the folder that will house this menu's files. Choose OK. The folder will be created for you. If an existing folder exists by the same name, you will be asked if you want to overwrite the contents of that folder. Choose OK to overwrite. Choose No to be prompted for a different file name. Choose Cancel to exit back to Theater's main screen without making any changes.
  2. Once you choose OK, the export process will begin.

  1. When the export has completed, you will see a confirmation status box.

  1. Choose OK to complete the export. Your menu will display. Theater will also remain open for you to continue your work.


Editing the XML File to Change the Look of the Theater Menu

If you have produced your Theater menu and decide that you don't like the look of some of your options, you can easily edit the *._config.xml to make any desired changes. This process saves a great deal of time since you don't have to make the changes in Theater and then export the movie again to get the desired results. Most, but not all, of the options that are present in Theater's Menu and Controls screen can be accessed within the XML file.

Overall, the process for editing the menu is quite simple. You simply edit the XML file in a text editor, modify the values in between the starting and closing XML tags > <, and then save the file. Detailed instructions on modifying the XML file follow this overview information.

Modifying the SWF Movie's XML File

Open the XML file using Notepad or WordPad.

  • To open in Notepad, simply double-click on the XML file.
  • To open within WordPad, within Windows Explorer, right-click on the XML file and choose Open With > WordPad.

The XML file will open and you will see many values surrounded by XML tags.


XML Entry Overview

There are three parts to the tags in this XML file. The first is the opening tag enclosed in (< >). After the opening tag is the value. This is the part that will be edited. After the value is the closing tag. The closing tag looks like the opening tag except that it has a slash (/) before the tag name.

Note: When making edits, all of the new entries must be formatted exactly as they appear in the original XML file.

Continue this topic with Making the Actual Changes to the XML File.


Making the Actual Changes to the XML File

In the desired line, you will need to change the current option entry to the new entry. The option entries, known as values, are found between the XML tags > <.

To make a change, highlight the existing value and then type the new value using the same formatting that existed in the original value. Once you have made your changes, choose File > Save As. From the Save As dialog box, choose Save. When asked if you want to overwrite the existing file, choose Yes.

Launch the accompanying HTML file in your web browser and the changes will take effect.

XML Advanced Playback Control Options

The following table describes each of the XML file options.

Option Name
XML File Name
Description
Valid Values
Auto Start the Movie
AutoStart
This option will determine if the movie begins playing right after it is loaded.
If the value entered is "0", the user must push play in order to start the movie.
1 = Movie will begin playing.
0 = Movie will pause before playing.

Movie Width
MovieWidth
Width of the content movie in pixels.
Cannot be changed within this file. In order to change the Movie Width, you must make the changes within Camtasia Studio and then reproduce your movie.
Movie Height
MovieHeight
Height of the content movie in pixels.
Cannot be changed within this file. In order to change the Movie Height, you must make the changes within Camtasia Studio and then reproduce your movie.
Background Color
Background Color
This option describes the background color of the movie. The color is entered in hexadecimal color code.
If you are not sure what color code to use, you can easily look up "hexadecimal color chart" by doing an Internet search from your favorite browser. This will give you a list of sites that contain the information that you need.
Enter the hexadecimal color number.
Movie File Name
MovieURL
This is the name of the actual SWF main movie.
Enter the desired movie name.
Note: If this option is changed, the actual *.swf file name must also be renamed to match this entry.
Show Loading Movie
ShowLoadingMov
This option is used to show a SWF movie while your Camtasia Studio SWF file downloads.
1 = Preload movie will begin playing.
0 = Preload movie will not play.
Loading Movie URL (local or on HTTP server)
LoadingMovURL
When choosing a different preload movie using the XML file, the loading movie must be a SWF file.
It cannot be a JPEG, GIF, or BMP.
Enter the URL or path to the SWF movie you would like to display while your Camtasia Studio SWF file loads.
This file can be on local system or it can be on an HTTP or HTTPS server.
If the selected file is on a local system, it will be copied to the SWF file's output directory.
If the selected file is on an HTTP or HTTPS server, the file will not be copied to the SWF file's output directory.
Match preload movie size to main movie size
ScaleLoadingMov
You can enable this option (1) if you would like your preloading movie's size to match the size of the main movie. This option ensures that both movies are the same size in terms of width and height.
If this option is not enabled (0), then the preloading movie will display at it's own width and height dimensions.
1 = Preload movie size will match the size of the main movie.
0 = Preload movie will play at its original size.
Percent of main movie to preload
LoadingMovPercentToLoad
The preload movie will remain on the screen until this percentage is reached.
Enter the percentage out of 100 that you would like to preload before it begins playing.
Minimum Preload movie display time (in seconds)
LoadingMovMinDuration
The time in seconds that you would like the preload movie to remain on the screen.
This option works in combination with the Percent of Main Movie to Preload setting.
This means that both conditions must be met before the movie will begin playing.
Enter the minimum amount of time in seconds that you would like the preload movie to remain on the screen.
Controller Color
ControllerColor
This option describes the color of the movie controller. The color is entered in hexadecimal color code.
If you are not sure what color code to use, you can easily look up "hexadecimal color chart" by doing an Internet search from your favorite browser. This will give you a list of sites that contain the information that you need.
Enter the hexadecimal color number.
Show Fast Forward and Rewind Controls
ShowFFRW
Enable this option to display the fast forward and the rewind controls on the Movie Controller.
When enabled, the finished movie will contain a Fast Forward and Rewind control button.
1 = Will display the Fast Forward and Rewind Controls.
0 = Fast Forward and Rewind Controls will not display.
Show About Box
ShowAbout
Enable this option if you would like to make an "About" box available to the users.
The About box is accessed by the user when the Camtasia Studio button is selected on the Movie Controller.
1 = Will display the About box.
0 = The About box will not display.
About Box Text
AboutBoxText
This type of box usually contains important information such as copyright, authorship, dates, etc.
Enter the desired information, up to eight lines of text.
Display Format
TimeDisplayFormat
Enter a display text format for the duration and/or elapsed time. There are several different Hour: Minute combinations.
Enter the desired duration code exactly as it is given here.
SS
Two digit seconds
MM:SS
Two digit minutes and seconds separated by a colon
HH:MM
Two digit hours and minutes separated by a colon
HH:MM:SS
Two digit hours, minutes, and seconds separated by colons
SSs
Two digit seconds with `s' abbreviation
MMm SSs
Two digit minutes and seconds with `m' and `s' abbreviations
HHh MMm
Two digit hours and minutes with `h' and `m' abbreviations
HHh MMm SSs
Two digit hours, minutes, and seconds with `h,' `m,' and `s' abbreviations
Duration
ShowDuration
Displays the total duration of the SWF movie in the selected display format.
1 = Will display the duration.
0 = The duration will not display.
Show Elapsed Time
ShowElapsedTime
Displays the current time of the SWF movie in the selected display format.
1 = Will display the elapsed time.
0 = The elapsed time will not display.
Time Display Font
TimeDisplayFont
Enter the font in which you would like the duration and/or elapsed time to be displayed.
To assure that the target machine has these fonts, there are two standard options for you to choose from:
Arial
Times New Roman
Font Color
TimeDisplayFontColor
This option describes the color of the duration and elapsed time display. The color is entered in hexadecimal color code.
If you are not sure what color code to use, you can easily look up "hexadecimal color chart" by doing an Internet search from your favorite browser. This will give you a list of sites that contain the information that you need.
Enter the hexadecimal color number.


Contacting TechSmith Technical Support

If at any time you experience problems with Camtasia Studio, we encourage you to contact TechSmith Technical Support. Technical support is offered free of charge.

Mailing Address

TechSmith Corporation
2405 Woodlake Drive
Okemos, MI 48864 USA

Telephone

Toll free: 800.517.3001 (USA Only)
Voice: 517.381.2300
Fax: 517.381.2336

TechSmith Support Links
  • For more information on Camtasia Studio, visit our homepage at http://www.techsmith.com/products/studio/default.asp.
  • For the most up to date FAQs, visit http://www.techsmith.com/products/studio/faqs.asp.
  • For information on TechSmith's upgrade policy, visit http://www.techsmith.com/products/upgrade/default.asp.
  • To find out about TechSmith's products, visit http://www.techsmith.com/defaultflash.asp.
  • For Frequently Asked Questions, visit http://www.techsmith.com/products/studio/faqs.asp.
  • Download a free evaluation copy of Camtasia Studio at http://www.techsmith.com/order/initial.asp.